commit dc630e6d81be8aa495254839731e4f3521cf9e31
Author: djm@openbsd.org <djm@openbsd.org>
Date:   34 hours ago

    upstream: unbreak WITH_OPENSSL=no builds, also allowing ed25519
    
    keys to be used via PKCS#11 when OpenSSH is built without libcrypto.
    
    OpenBSD-Commit-ID: ecf26fdf7591bf2c98bac5136fbc36e0b59c3fc2

commit a5bec2cdfc4f38ddb6211809851aae29ba99a35a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   34 hours ago

    upstream: fix variable name in disabled code
    
    OpenBSD-Commit-ID: 5612e979575d5da933c8b720d296423fd84392f5

commit 5e4bfe6c16924b1c21a733f3e218cfcba98e301e
Author: Damien Miller <djm@mindrot.org>
Date:   5 days ago

    more ec/ed25519 fixing

commit 2603098959eff55cbe188c3dfcbe5302808a80fc
Author: Damien Miller <djm@mindrot.org>
Date:   5 days ago

    repair build for libcrypto without ed25519 support

commit a729163c56ecc002c0cb04db56e7d86ceec2e8b0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 days ago

    upstream: regression tests for Ed25519 keys in PKCS#11 tokens
    
    OpenBSD-Regress-ID: 50067c0716abfea3a526b4a0c8f1fe15e7665c0f

commit 361ff0ca308ac02449e71689fc5ea72114db43db
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 days ago

    upstream: Support ed25519 keys hosted on PKCS#11 tokens.
    
    Tested on Yubikeys and against SoftHSM2.
    
    feedback/ok tb@
    
    OpenBSD-Commit-ID: 90ddb6529f2e12e98e8bba21d8592e60579ce2e4

commit 2b530cc3005a71c5ba6b712978872fc9c147439c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 days ago

    upstream: update our PKCS#11 API header to v3.0;
    
    feedback/ok tb@
    
    OpenBSD-Commit-ID: e67fa6a26e515c2b1fb7b0d1519d138aafb3e017

commit 550d2a4a66c50f7641563a63b900761d99efb24a
Author: Damien Miller <djm@mindrot.org>
Date:   6 days ago

    another attempt at fixing !EC builds

commit ed1e370d84e9dc39bc31c19cca12222d991fdc6f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 days ago

    upstream: Don't snprintf a NULL since not all platforms support it.
    
    OpenBSD-Commit-ID: 6e0c268e40047e96fab6bc56dc340580b537183b

commit eedab8db12d57c4f4583f6b60e48a4ce25b47b9c
Author: Damien Miller <djm@mindrot.org>
Date:   6 days ago

    unbreak !EC builds

commit 203f5ac6cfa0e257db7509d4bb830e8a4bba6211
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 days ago

    upstream: test code now needs to link ssh-pkcs11-client.c any time
    
    sshkey.c is included
    
    OpenBSD-Regress-ID: 9d07188eae9a96801c3150b3433bb220626d4443

commit 33b4f05c8ddab24aa6c47afb313b8cbd0d4b77f4
Author: Damien Miller <djm@mindrot.org>
Date:   7 days ago

    update clang-16 -> clang-19

commit 03e9e993ef1ef5accc6457152278cab5988f9b3d
Author: Damien Miller <djm@mindrot.org>
Date:   7 days ago

    include ssh-pkcs11-client.o as common dep

commit 2f5269938a8e4769f484c9d45419a86529078ede
Author: Damien Miller <djm@mindrot.org>
Date:   7 days ago

    remove vestigial stub

commit bf33a73c40522ce60961d4fff316a7187fb06ca0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 days ago

    upstream: this should include stdlib.h explicitly
    
    OpenBSD-Commit-ID: 1c0cc5c3838344b33ae4ab7aa62c01530357bf29

commit 9f8ccc3b81b53324cc489f3fe00f03c329c0acb2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 days ago

    upstream: less stale reference to PKCS#1 1.5 hash OIDs; feedback
    
    from tb@
    
    OpenBSD-Commit-ID: 9fda77978491a130a7b77d87d40c79277b796721

commit 1641ab8744f500f55f12155d03f1a3116aaea374
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 days ago

    upstream: factor out encoding of a raw ed25519 signature into its
    
    ssh form into a separate function
    
    OpenBSD-Commit-ID: 3711c6d6b52dde0bd1f17884da5cddb8716f1b64

commit a8c0e5c871c0c7ee5ae93e353b1499a53c09c71d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   7 days ago

    upstream: Help OpenSSH's PKCS#11 support kick its meth habit.
    
    The PKCS#11 code in OpenSSH used the libcrypto public key method API
    (e.g. the delightfully named RSA_meth_free()) to delegate signing
    operations to external keys. This had one advantage - that it was
    basically transparent to callers, but also had a big disadvantage -
    that we'd manually have to track the method implementations, their
    state and their relationships to the underlying PKCS#11 objects.
    
    This rips this out and replaces it with explicit delegation to
    PKCS#11 code for externally hosted keys via the ssh-pkcs11-helper
    subprocess. This is very similar to how we handle FIDO keys in
    OpenSSH (i.e. via ssh-sk-helper). All we need to track now is a
    much simpler mapping of public key -> helper subprocess.
    
    Kicking our libcrypto meth dependency also makes it much easier
    to support Ed25519 keys in PKCS#11, which will happen in a subsequent
    commit.
    
    feedback / ok tb@
    
    OpenBSD-Commit-ID: a5a1eaf57971cf15e0cdc5a513e313541c8a35f0

commit 259c66aebe4e1f9d60e548f728ff74083bcccddf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 days ago

    Remove DEBUG_ACTIONS variable.
    
    If needed it can be set in github if needed.

commit 40fb2dc4ece76c8f0c624d90a17bc1bbf47f3729
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 days ago

    upstream: add a ssh_config RefuseConnection option that, when
    
    encountered while processing an active section in a configuration file,
    terminates ssh(1) with an error message that contains the argument to the
    option.
    
    This may be useful for expressing reminders or warnings in config
    files, for example:
    
    Match host foo
           RefuseConnection "foo is deprecated, use splork instead"
    
    ok djg
    
    OpenBSD-Commit-ID: 5b0072fcd08ad3932ab21e27bbaa66b008d44237

commit defc806574d2256036d69a291caf0f3484844de6
Author: miod@openbsd.org <miod@openbsd.org>
Date:   3 weeks ago

    upstream: Add missing inter-library dependencies to LDADD and
    
    DPADD. ok tb@ deraadt@
    
    OpenBSD-Commit-ID: a05e13a7e2c0b65bb4b47184fef731243431c6ff

commit e6805e2a6b33e001e1a7257b85ab779fd592a578
Author: Jan Tojnar <jtojnar@gmail.com>
Date:   2 years, 2 months ago

    Add gnome-ssh-askpass4 for GNOME 40+
    
    GTK 3 has been in maintenance mode for a while now, and it is on the road
    to being abandoned. As a result, the dialogue looks out of place on modern
    systems.
    
    We could port it to GTK 4 but without the program being registered as an
    application (i.e. having a .desktop file), GNOME Shell would ask for
    permission to grab input every time.
    
    Let’s instead use the GNOME Shell’s native prompt through the unstable
    Gcr API.

commit f9dc519259804702cab0fa0ca8b193a360e3ec38
Author: Damien Miller <djm@mindrot.org>
Date:   3 weeks ago

    let ga_init() fail gracefully if getgrouplist does
    
    Apparently getgrouplist() can fail on OSX for when passed a non-existent
    group name. Other platforms seem to return a group list consisting of
    the numeric gid passed to the function.
    
    This makes ga_init() handle this failure case gracefully, where it will
    return success but with an empty group list array.
    
    bz3848; ok dtucker@

commit f01a899b92ab8c5e6ff71214658bd09636c47e87
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 weeks ago

    upstream: add a "Match Group NoSuchGroup" to exercise groupaccess.c
    
    OpenBSD-Regress-ID: 7ff58e6f0eb21eb9064dd0cfa78c3b6f34b5f713

commit 1052fa62b35e0bb25b0c1efb9fdd7870e4a68ab6
Author: Damien Miller <djm@mindrot.org>
Date:   3 weeks ago

    more diagnostics when getgrouplist fails

commit eddd1d2daa64a6ab1a915ca88436fa41aede44d4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 weeks ago

    upstream: Fix mistracking of MaxStartups process exits in some
    
    situations. At worst, this can cause all MaxStartups slots to fill and sshd
    to refuse new connections.
    
    Diagnosis by xnor; ok dtucker@
    
    OpenBSD-Commit-ID: 10273033055552557196730f898ed6308b36a78d

commit c971f3d93efe4c00d73b276cdbab66e7c66c9b5c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 weeks ago

    Add include for gssapi definitions.
    
    Patch from dbelyavs at redhat.com via bz#3846.

commit 007b69f21cf9e64125b241d4411a5e47f5028aa8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 weeks ago

    upstream: add a regress test for configurations > 256KB
    
    mostly by Dmitry Belyavskiy
    
    OpenBSD-Regress-ID: fcedb249e4cf2447e078a839877f99730ee79024

commit 0cf38d74463bcf80510e7fd1b3d9328e7d91eb00
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 weeks ago

    upstream: the messaging layer between sshd-session and sshd-auth had a
    
    maximum message size of 256KB. Some people apparently have configurations
    larger than this and would hit this limit.
    
    Worse, there was no good logging that could help diagnose what was
    going wrong.
    
    So this bumps the maximum message size to 4MB and implements an early
    check (usable via the sshd -t test mode) that will report it to the
    user where it is hopefully more visible.
    
    bz3808, reported by Dmitry Belyavskiy, ok dtucker@
    
    OpenBSD-Commit-ID: 69c303fb68cbd1a4735936835d67a71e7b57f63b

commit fd10cea0f16e928ae2b52fbeadccd475d0438eb4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 weeks ago

    upstream: mux: fix incorrect return value check in local forward
    
    cancellation
    
    channel_cancel_lport_listener() returns 1 on success and 0 on failure.
    The previous code incorrectly checked for `== -1`, a value the function
    never returns, so failure was not detected and the "port not found"
    error message was never shown when cancelling dynamic or local port
    forwards.
    
    From: Boris Tonofa <b.tonofa@ideco.ru>
    
    OpenBSD-Commit-ID: 3e9d2252a4d0bd318d4f25e2b518afb44acea170

commit 29cf521486bf97ab9de5b9b356f812107e0671bc
Author: Damien Miller <djm@mindrot.org>
Date:   4 weeks ago

    wrap some autoconf macros in AC_CACHE_CHECK
    
    This allows skipping/overriding the OSSH_CHECK_CFLAG_COMPILE and
    OSSH_CHECK_CFLAG_LINK macros used to discover supported compiler
    or linker flags. E.g.
    
      $ ./configure ossh_cv_cflag__fzero_call_used_regs_used=no
      [...]
      checking if cc supports compile flag -ftrapv and linking succeeds... yes
      checking if cc supports compile flag -fzero-call-used-regs=used and linking succeeds... (cached) no
      checking if cc supports compile flag -ftrivial-auto-var-init=zero... yes
    
    Patch from Colin Watson, ok dtucker@

commit b28e91aff80fd24341de8cb3c34dc454d6b75228
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 weeks ago

    upstream: Add shebang path to askpass script. Required for exec on
    
    some platforms (musl, probably others).
    
    OpenBSD-Regress-ID: 35cdeed12ae701afcb812f800c04d817325cd22a

commit 83d3ffc0fc0f5e4473ab43f0d42a1cf9497ce0b5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 weeks ago

    upstream: Check dropbear server version for required features.
    
    Dropbear added the '-D' flag in version 2025.87.  We need that for the
    dropbear-server test, so skip on older versions.
    
    OpenBSD-Regress-ID: 9db0b84edd54d3c00ab17db1dc6d62af4644c550

commit 0b17d564cfae82f2a52e9b4d588657da47ea4e43
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 weeks ago

    Encrypt temporary password we're setting.
    
    Now that we want to actually use the random password for tests, we need
    to correctly encrypt it, instead of just setting it to a random string
    that's not the "locked" value.

commit 700205bd861c25cc7564010cf63d984d8db5098a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 weeks ago

    Fix env again.

commit 223a1beac7b7be9252f69055781c9c15f4d8a607
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 weeks ago

    Move env again.

commit d32614b448528ac08a65caac323a34b4f559a204
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 weeks ago

    Move env to where it (hopefully) belongs.

commit 8a9384de483b8fb69a800e0347273686a5715fc3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 weeks ago

    Enable password tests on Github ephemeral VMs.

commit bcfe7340d9b622ecd978c87dbf885c8b5a503ca2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 weeks ago

    upstream: Add simple regression test for dropbear as a server.
    
    OpenBSD-Regress-ID: 7abe1f6607d0cd49839918aade8f135d2462d389

commit 838d5ec4b12fb519ed9db76e5beccf11b7ee212f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 weeks ago

    upstream: Add simple test for password auth. Requires some setup
    
    so does not run by default.
    
    OpenBSD-Regress-ID: d5ded47a266b031fc91f99882f07161ab6d1bb70

commit 57fb460165ae3b2d591f2468d7fe13cc1abda26d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: add RCS ID
    
    OpenBSD-Regress-ID: 6e30094e3bf0a1c65efb75c67a87093304a3e619

commit 688fa02728f2efbf18388bc1a8e94e7ba7ee4f11
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 weeks ago

    upstream: make "Match !final" not trigger a 2nd pass ssh_config
    
    parsing pass (unless hostname canonicalisation or a separate "Match final"
    does). bz3843
    
    ok dtucker@
    
    OpenBSD-Commit-ID: ce82b6034828888f0f3f1c812e08f5e87400d802

commit 5ba8391d697740a838fd8811434f707f0e079baa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: better debug diagnostics when loading keys. Will now list
    
    key fingerprint and algorithm (not just algorithm number) as well as making
    it explicit which keys didn't load.
    
    OpenBSD-Commit-ID: ee3e77a0271ab502e653922c6d161b1e091f8fee

commit b360f3a675e24b0dbb2ec30d985e3b6756996c0d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: whitespace
    
    OpenBSD-Commit-ID: 6e96814bcf70d0edbb0749ec61cc4fd8707f286d

commit ad38ec5f1b6768944d64ed7709da8706538b5509
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 weeks ago

    upstream: fix leak on error path; Coverity CID 481976
    
    OpenBSD-Commit-ID: 963dba2c804e2fd8efea2256092899874d0dbc7b

commit 5f761cdb2331a12318bde24db5ca84ee144a51d1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   6 weeks ago

    Update obsd tests to use current images.

commit 1e8347e3543a415067ccc556aefea97656ecafb7
Author: Damien Miller <djm@mindrot.org>
Date:   6 weeks ago

    add sshd-auth to RPM spec files

commit dd800444943bd64913507f6005586136d49f63db
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Limit each moduli size to a max of 100 entries.
    
    OpenBSD-Commit-ID: 747219d54565030ff7c45298b9f5e971801f6cb2

commit 05f7bf46d1e2c101e9cbdd3df2ccee484bed969f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Now that ssh-keygen defaults to the maximum memory for
    
    moduli generation we no longer need to run it twice to get enough.  Use mkdir
    -p instead of a conditional, which allows "make -jN" to work without error.
    
    OpenBSD-Commit-ID: c2eb57285424f819f9520fa33e0d6d3c4a361a5e

commit df3f903d616763a105570610a616dacf0f83438e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Fix overflow check in sshbuf_dup_string. It's already
    
    constrained by SSHBUF_SIZE_MAX, but still worth fixing the check.  Patch from
    afonot via github PR#573, with & ok djm@
    
    OpenBSD-Commit-ID: 438888498e66472fc6a48133196d6538d27bff18

commit 80916d0d3794e2f92dd6998d7c45daba484e4f18
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Plug mem leak. Patch from afonot via github PR#574, ok djm@
    
    OpenBSD-Commit-ID: 65619f14ef206028ce39bc31f704b832a0609688

commit bd1bd7e8296aa51a4b3958cef2fbb17894ba94e9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   6 weeks ago

    upstream: Save return value from sshbuf_len instead of calling it
    
    multiple times. Fixes Coverity CID 470521.
    
    OpenBSD-Regress-ID: 356b8b43c8a232deaf445c1ff7526577b177a8e9

commit 2827b6ac304ded8f99e8fbc12e7299133fadb2c2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Plug leak. Coverity CID 405058.
    
    OpenBSD-Regress-ID: 7fb2fce68d2cb063cdb94d5d66f84fa3a2902792

commit 9cdc72b829e9f0e24dedc533cbe87291d8a88c9e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Remove dead code flagged by Coverity CID 307783. ok djm@
    
    OpenBSD-Regress-ID: e579f5ec2fd2eb2fe2bad654d16f2ba655a3e035

commit 930a45ee759728c8ba711c45a2a985b8191bd297
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Set user, host and path to NULL immediately before calling
    
    parse_user_host_path in tests.  This ensures that we don't accidentally use
    the previous value if the function under test doesn't set them Also fixes
    Coverity CIDs 405056 405065 405066.
    
    OpenBSD-Regress-ID: 43678ff59001712f32214fe303b1c21c163c2960

commit 2314d87f9b8b430532111fd6e5e8df0cf9068c9c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Plug mem leak on error path here too.
    
    Coverity CID 307781.
    
    OpenBSD-Regress-ID: 18e053d9b661fbb4227d3db03172077c1216bb2e

commit 567ef4e7ddc5c1e7a461560963a1dc759669821d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Plug mem leak on error path.
    
    Coverity CID 307776.
    
    OpenBSD-Regress-ID: c44246690973e1b8643e51079a2faa7ace26490c

commit 5d415897ac04e237f1fa73b9dcb9ba8fb3ac812b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Remove dead code ternary. We always report at least
    
    KB/s, so B/s is never used.  Coverity CID 291809, ok djm@
    
    OpenBSD-Commit-ID: a67c5bcc9e19c8965bfeace0e337b13660efa058

commit 4b3d27032ba88dd089b721f3bbe3e4a8d23b4ae1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 weeks ago

    upstream: Improve termination condition of while loop to compare
    
    size_t's.  Assuming read() does what it's supposed to this shouldn't matter,
    but should be more robust.  Flagged by Coverity CID 470514, ok djm@
    
    OpenBSD-Commit-ID: d7b5ad60feb797b3464964b9ea67fd78fb9d6cc6

commit 5530e5f83b3cd3425ea3dbab02da15140befdd91
Author: Darren Tucker <dtucker@dtucker.net>
Date:   7 weeks ago

    Replace Windows 2019 runners with 2025 ones.
    
    The windows-2019 runners are being decomissioned.

commit a22ff3c6f11edd00c19981f9cb85d3b25d305a56
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 weeks ago

    Disable _FORTIFY_SOURCE during snprintf test.
    
    Prevents mistakenly detecting snprintf as broken on FreeBSD 15 with
    _FORTIFY_SOURCE enabled.  bz#3809, patch from jlduran at gmail.com

commit 203bb886797677aa5d61b57be83cfdc1b634bc9c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 weeks ago

    upstream: Fix x11_channel_used_recently() to return true when channel
    
    has been used within the last second, instead of more than a second ago.
    Should fix ~5s delay on X client startup when ObscureKeystrokeTiming is
    enabled. bz#3820, ok (& sigh) djm@
    
    OpenBSD-Commit-ID: b741011e81fb3e3d42711d9bd3ed8a959924dee4

commit dc6c134b48ba4bcfadedcea17b4eddac329601d9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 weeks ago

    upstream: When there's more than one x11 channel in use, return
    
    lastused of most recently used x11 channel instead of the last one found. ok
    djm@
    
    OpenBSD-Commit-ID: 94a72bf988d40a5bae2e38608f4e117f712569fe

commit 73ef0563a59f90324f8426c017f38e20341b555f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: replace xmalloc+memset(0) with xcalloc(); from AZero13 via
    
    GHPR417
    
    OpenBSD-Commit-ID: 921079436a4900325d22bd3b6a90c8d0d54f62f8

commit 3a61f5ed66231881bee432c7e7c6add066c086af
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: fix punctuation around host key fingerprints to make them
    
    easier to copy and paste.
    
    Patch from Till Maas via GHPR556; ok dtucker@
    
    OpenBSD-Commit-ID: c0100182a30b6925c8cdb2225b18140264594b7b

commit b12d4ab1e16f57c6c348b483b1dbdd4530aaaddd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Replace strncmp + byte count with strprefix in Penalty
    
    config parsing. ok kn@, djm@
    
    OpenBSD-Commit-ID: 34a41bb1b9ba37fb6c7eb29a7ea909547bf02a5a

commit a356d978e30dd9870c0b3a7d8edca535b0cd2809
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Make the display number check relative to
    
    X11DisplayOffset.
    
    This will allows people to use X11DisplayOffset to configure much higher
    port ranges if they really want, while not changing the default behaviour.
    Patch from Roman Gubarev via github PR#559, ok djm@
    
    OpenBSD-Commit-ID: e0926af5dc0c11e364452b624c3ad0cda88550b5

commit e18983d03ab969e2f12485d5c0ee61e6d745a649
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 weeks ago

    Remove progressmeter.o from libssh.a.
    
    It's now explicitly included by the binaries that need it (scp & sftp).
    bz#3810, patch from jlduran at gmail.com

commit f8967045ad9d588bc11426642070bf8549065e62
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Null out keys between test runs.
    
    BENCH_START and BENCH_FINISH are actually a while() loop in disguise,
    so if sshkey_generate does not reset the key pointer on failure the test
    may incorrectly pass.  It also confuses Coverity (CID 551234).
    
    OpenBSD-Regress-ID: bf4d32079fc6df6dce1f26c2025f4ed492f13936

commit a26091ecdb2a3d72b77baf3c253e676a3c835a24
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: add some verbosity
    
    OpenBSD-Regress-ID: 11c86cda4435b5f9ab6172c4742b95899666c977

commit 484563ec70e30472ab4484d49bca9a83771d785c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: use start_ssh_agent() to ensure we get logging
    
    add some verbosity
    
    OpenBSD-Regress-ID: a89bf64696b9fb1b91be318e6b8940c9ab21c616

commit e3c58113ebb3397b252ff26e0e94f726b7db7a8a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 weeks ago

    upstream: add a start_ssh_agent() function that sets up an agent
    
    with logging
    
    OpenBSD-Regress-ID: 7f9f30f9c64acbd4b418a5e1a19140cc988071a8

commit 3de011ef7a761751afe28ac7ef97fe330d784595
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Plug leak of startup_pollfd in debug and child paths.
    
    Coverity CID 405024, ok djm@
    
    OpenBSD-Commit-ID: db46047229253e9c4470c8bbf5f82706ac021377

commit d0245389bc55f16082cadd0a39dda5af1c415dfa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 weeks ago

    ssh-keygen changes were fixup'ed into single commit.

commit 140bae1df2b7246bb43439d039bf994159973585
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   10 months ago

    auth-pam: Check the user didn't change during PAM transaction
    
    PAM modules can change the user during their execution, in such case ssh
    would still use the user that has been provided giving potentially
    access to another user with the credentials of another one.
    
    So prevent this to happen, by ensuring that the final PAM user is
    matching the one that initiated the transaction.

commit 216824172724a50a4a75439fb2b4b8edccf5b733
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Remove ssh-keygen's moduli screen -Omemory option.
    
    This vaguely made sense 20 years ago, but these days you'd be hard
    pressed to *find* a machine small enough to not support the maximum
    (127MB), and no one is screening moduli on such machines anyway,
    so just use the max.  This also fixes Coverity CID 470522 by deleting
    code in question.  "kill it with fire" djm@.
    
    OpenBSD-Commit-ID: 39036aa406a99f0a91923aa3a96afff1205558e6

commit f5cd14e81fa29b4924959cb2e1f9c206aae2d502
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Fix compile error on 32bit platforms.
    
    Spotted by & ok tb@
    
    OpenBSD-Commit-ID: cbcf518247886f3c7518fc54cb3bd911ffc69db7

commit eccc15014fe146e8590568e6737a3097bfac3415
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Use pointer from strprefix in error message,
    
    missed in previous.
    
    OpenBSD-Commit-ID: d2cdec6cf0fcd4b0ee25e4e3fad8bc8cf0ee657d

commit 91903511d0597c3bea218167f9ca5a176fa0dc20
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Replace strncmp and strncasecmp with hand-counting bytes
    
    with strprefix. nits lucas@, ok lucas@ djm@
    
    OpenBSD-Commit-ID: f0888807f151ea2bdaf6fed36303ae81f259d1d4

commit 0c64d69e4e24a3ab06f7922ef389e7399c4dfb88
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Include stdint.h for UINT32_MAX.
    
    OpenBSD-Commit-ID: edc29ed67e8bd03bac729d9b4849066d1d3a8cb9

commit 3e11478f585408888defa56fa47e8dc6567378d0
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Ensure args to nh_update() fit within uint32, which it
    
    should always anyway. Placates Coverity CID 470520.  While there, fix the
    upstream URL.  ok djm@
    
    OpenBSD-Commit-ID: 2478e89fde089a49fa02f9faf6287d35959c9f92

commit f097d7bd07da4634c1a723d1dc4fcf56e7d0e147
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Don't leak the args list. Coverity CIDs 481569 & 481570,
    
    ok job@ tb@.
    
    OpenBSD-Commit-ID: becabcd00513d13d1435b68b7ccffa7151b72393

commit a4ea7f6042f25b41061a83445016a1ea4f470f7b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   10 weeks ago

    upstream: Explictly set LC_ALL=C on each sort invocation.
    
    Remove it from sshd_config (where it could be overridden by shell startup
    scripts, eg on macos-15) causing random test failures.  with & ok djm@
    
    OpenBSD-Regress-ID: ad0a6678964784096e9a9e6d15ead36beed92f18

commit 7674c03caed80cb3565d14690c92068a14051967
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 weeks ago

    Allow setting LTESTS in repo variables.

commit d8b5bd36078e5b6d78da4633f0cc9b90ffda8b50
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 weeks ago

    Rename debugging variable RUN_ONLY_TEST.
    
    to RUN_ONLY_TARGET_CONFIG to make it more obvious what it matches.

commit a79a2c1190bd3124da21d9e1582dd94877c7f972
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 weeks ago

    chown regress logs before uploading.

commit 24889a33071086b6f1f62568b0c2bd0a4955ac49
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   2 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: 07e29dc891e29b31e03e2e5493658b4a9ac19431

commit 4b8bee62d72ffb3c419c9ead6c9fb1a586283868
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   2 months ago

    upstream: use "const char * const" for malloc_options here also
    
    OpenBSD-Commit-ID: 869715b9c7e1dd5b85efd07814e7e53f0286eea2

commit 6629eee21ca9d0a597a04dcac744a1ad882f912e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   2 months ago

    upstream: Adjust debug message to prevent (unsigned) integer overflow.
    
    Fixes Coverity CID 481110, ok djm@
    
    OpenBSD-Commit-ID: 26178bf3b812707fb498ea85d076cadd1f2eb686

commit 7acb70e05e9977ceca7b33df84ceaea337b1efef
Author: bluhm@openbsd.org <bluhm@openbsd.org>
Date:   2 months ago

    upstream: Fix OpenBSD RCS ID typos. from Andrius V
    
    OpenBSD-Regress-ID: 5c03a2ef5323969fc4978f2eec4f1a25c48c572a

commit 2b2a7a2a0d70023b439080bb2770ff36522dbea8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Remove debug change accidentally commited.
    
    Fixes Coverity CID 481160.

commit 450a8a1df1577ddbe68fe8da1fb8514d3781ef32
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Collect all of regress dir on failure.
    
    This may allow us to sort through its entrails and determine the cause
    of some types of failures.

commit de25e739781c4c09d20abd410f50f0a6f192dc72
Author: Damien Miller <djm@mindrot.org>
Date:   2 months ago

    minimal shims for fstatat(2)/unlinkat(2) in agent
    
    Add some very minimal and task-specific replacements for
    fstatat(2) and unlinkat(2) in the ssh-agent socket cleanup
    loop, for platforms that lack these functions. ok dtucker@

commit 6d192645a613aa814d51050b0458f37265b90d6c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   2 months ago

    upstream: Output the current name for PermitRootLogin's
    
    "prohibit-password" in sshd -T instead of its deprecated alias
    "without-password".  bz#3788, patch from cjwatson at debian.org.
    
    OpenBSD-Commit-ID: 2d5df18d5ad33a9b6c7547ec78a8e6ea13813df9

commit 1ccf42378df202472e7254f37f7dabb2f5723955
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   2 months ago

    upstream: Copy arg to be passed to dirname().
    
    POSIX allows dirname() to modify its args and return a pointer into it,
    so this prevents an overlapping strlcpy.  bz#3819, patch from cjwatson
    at debian.org
    
    OpenBSD-Commit-ID: c32e496e6a1618aba31c8b7a9d4e1376c5ea6aa1

commit b5877b7b3e597f47578ade9dbe7e4332f112dfc4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   2 months ago

    upstream: Add $OpenBSD$ marker for easier syncing.
    
    OpenBSD-Commit-ID: 27ff3e1e2e6610d9981ebe43ae9b783236800035

commit 58d094c7cb974d7bd3ba6eb1059b186a2ac3dd55
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 months ago

    upstream: Correct FILES section to mention new default path to
    
    agent sockets. Spotted by / ok jmc@
    
    OpenBSD-Commit-ID: 91d736d78d71a4276c9cbb075b1462bbc3df55a6

commit d1d5c8b9b8de8283618c18d0dafdec6a209911cc
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Fix nc install some more.

commit 49a2412ad23162e44be9e0b2cb12f6daf6b666d7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Fix cvs up of nc.

commit df22801b3f0ae245f825cf9c9dbb4543e41a7c5c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Install nc during upstream test.
    
    This ensures that the installed nc matches the expectations of the
    regress tests.

commit e391c5289c2b687ff886cf780dc8fcb426e4d5d2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Remove 9.7 branch from CI status page.
    
    It's been obsolete long enough that github no longer reports its
    status.

commit b71773c20d566fa5dcaf9edf3139bdcb3f2c4bc2
Author: Damien Miller <djm@mindrot.org>
Date:   2 months ago

    pull a small netcat SOCKS4A fix from upstream

commit 0adb2db25eff3fe1c90c55654387ae1e4e18a396
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 months ago

    upstream: test SOCKS4A; ok tb
    
    OpenBSD-Regress-ID: d880b75280295cd581a86e39bb0996d347f122d2

commit 5699f4e9553c6a228fd9dc578d99e3aa6451c014
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 months ago

    upstream: remove log tarballing "it seemed like a good idea at the
    
    time" - dtucker@
    
    ensure that log files have correct perms when running under sudo/doas
    
    ok dtucker@
    
    OpenBSD-Regress-ID: 20588c14b05de9519f85d638b374b66ae0678c89

commit 0c14e6b69a20f20d602e0e72559ca3f4dbc797fb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 months ago

    upstream: use logit_f("...") instead of logit("func: ...")
    
    OpenBSD-Commit-ID: c8d49eb39a9abff3cbcaeaf7df9d48468a5a0695

commit 1743589d038476f28dc4dfb1f69317649ae22ac5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   2 months ago

    upstream: function to make a sshbuf from a hex string; useful in
    
    tests
    
    also constify some arguments
    
    OpenBSD-Commit-ID: 00f9c25b256be0efd73f2d8268ff041bc45ffb2c

commit 83729cf503289104d7e64a69be14579523988cb6
Author: Damien Miller <djm@mindrot.org>
Date:   2 months ago

    merge netcat SOCKS4A support from OpenBSD
    
    Not a full sync of this file as we have diverged substantially
    from upstream (it has libtls support, etc.)

commit 750f1867476bda36879f69e25e8f52cb45c58807
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Include OpenSSL compat shim where needed.

commit 6fb728df50c1afd338cb0223a84ce24579577eff
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Run all tests on Cygwin again.
    
    ... now that we've fixed ci-setup on Cygwin.

commit 648a3a008cf1cfa54631d2f0457b5313c455f484
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Use USERNAME rather than LOGNAME on Cygwin.
    
    LOGNAME is specified by POSIX, but Windows (or at least, github's
    Windows images) don't set it.

commit 0214e53124c09528b6ee29b9a551442b5611a454
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Add debug output when setting up CI environment.

commit 9d9a2c0369419f3b4952e597db7b8696f54e7f3a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Include openssl compat shims in test.
    
    Fixes tests on platforms using older LibreSSL releases prior to 3.4.

commit 1a9b1cfa4e8b807c7f82fdba8f730c2abdbba071
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Add compat shims for EC_POINT affine_coordinates
    
    LibreSSL <3.4 does not have EC_POINT_[gs]et_affine_coordinates
    but does have the now-deprecated _GFp variantes.  We still support
    LibreSSL back as far as 3.2.x so add a compat shim.

commit cff2175200b412a9207a4fe5c1bdcc54e8a73d07
Author: tb@openbsd.org <tb@openbsd.org>
Date:   3 months ago

    upstream: Use EC_POINT_[sg]et_affine_coordinates()
    
    It is available in all supported OpenSSL flavors/versions and the _GFp
    variants will be removed from LibreSSL.
    
    ok hshoexer jsing
    
    OpenBSD-Regress-ID: 66cf1561e7b6c49002978f2d6720956f33a882f0

commit 2d35e24739b515394017b74465a0996c384cf28f
Author: tb@openbsd.org <tb@openbsd.org>
Date:   3 months ago

    upstream: Use EC_POINT_[sg]et_affine_coordinates()
    
    It is available in all supported OpenSSL flavors/versions and the _GFp
    variants will be removed from LibreSSL.
    
    ok hshoexer jsing
    
    OpenBSD-Commit-ID: ecedca0e1ffa80e0c9ef7c787bc6a972882c596b

commit 17003b9f1cd7b7bf1f52493cc4a1ab95727c3ed7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: make the progress-meter code safe against being called
    
    when not initialised; spotted by tb@ feedback/ok tb@ deraadt@
    
    OpenBSD-Commit-ID: a9fda1ee08a24c62e0981ff6d15ca93b63467038

commit 2d023e7a95d673e93ccc1978bf8931f7335b2b53
Author: tedu@openbsd.org <tedu@openbsd.org>
Date:   3 months ago

    upstream: convert a last quad_t to int64_t. ok deraadt djm
    
    OpenBSD-Commit-ID: 1c9e01ba1a9ccf442a9cdf10f222077f66885f1f

commit fc8c56ade809f66f7df4b5153a4d92593631c12a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   2 months ago

    Set runner pasword to random string.
    
    The most recent version of the Github ubuntu-latest image sets the
    password field to "!" which sshd considers to be a locked account,
    breaking most of the tests.

commit c404686c17daeda7e95ca6fc14c8a4a570cf975d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Debug log for why an account is considered locked.

commit ee1d31781cf0d292a50b4df4cb8cb6ffcbfbe9af
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Move debug log output into separate workflow step.
    
    Should reduce the need to scroll back to find out which test actually
    failed.

commit ddfb78a15f57a33427d462b9c401de5c8e6799da
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Skip sftp-perm on Cygwin too.

commit 8846caccb86b3f5a4f1c10bfffcc9cf1adc17925
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Remove CYGWIN binmode as it's now obsolete.

commit cf795d55437e6c1ffe85e90e0fae00e885e50036
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Also skip sftp-cmds test on Cygwin.
    
    Fails at the hardlink step.

commit d1b28639c1cb382943bd92c68992ea74af9b5773
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Tell Cygwin to use native symlinks.

commit 56782dad7d7f96b4943951227515bd7904ac3cf7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Skip keygen-knownhost test on Cygwin.
    
    It fails but at this time it's not clear why.

commit d5cbac2364b03e55b733a2422a07e78e16d2a118
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Pass Cygwin setup location to CI setup.
    
    (instead of hard coding it, wrongly).

commit 82f1f52c5582f005761e4e200c279ddd9c6781e4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Add RUN_ONLY_TEST to limit which tests are run.
    
    For testing, you can set the repo variable RUN_ONLY_TEST in your repo
    (Repo -> Settings -> Security -> Actions -> Variables) to run only that test.

commit 140ba45895de8ebfb3e2517b0ddee58729979c29
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Move misc-agent.o to LIBSSH_OBJS.
    
    It's needed by the fuzzer.

commit 3357bf2fe2d11b6ed4465c1ed2871bd1099cbbc5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Put PRIV_ECDSA back, it's still used.
    
    Should fix oss-fuzz test.

commit f5726215957bb34e18bb872d527845c2f64e2389
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Since it's unused, make dirfd() take void *.
    
    Some platforms (eg Old BSDs) in some configurations define DIR to "void
    *", which causes compile errors in the no-op implementation.

commit 1511f113a27d8aafe080aa6493cb3c0cf2b5abe0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Add no-op implmentation of dirfd().
    
    Fixes build on pre-POSIX.1 2008 systems.

commit 086369736a9496b39af0d9f09443fa81b59b7f05
Author: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Date:   4 months ago

    ssh-agent: exit 0 from SIGTERM under systemd socket-activation
    
    When the ssh-agent service is configured to be launched under systemd
    socket-activation, the user can inspect the status of the agent with
    something like:
    
        systemctl --user status ssh-agent.service
    
    If the user does:
    
        systemctl --user stop ssh-agent.service
    
    it causes the `systemd --user` supervisor to send a SIGTERM to the
    agent, which terminates while leaving the systemd-managed socket in
    place.  That's good, and as expected. (If the user wants to close the
    socket, they can do "systemctl --user stop ssh-agent.socket" instead)
    
    But because ssh-agent exits with code 2 in response to a SIGTERM, the
    supervisor marks the service as "failed", even though the state of the
    supervised service is exactly the same as during session startup (not
    running, ready to launch when a client connects to the socket).
    
    This change makes ssh-agent exit cleanly (code 0) in response to a
    SIGTERM when launched under socket activation. This aligns the systemd
    supervisor's understanding of the state of supervised ssh-agent with
    reality.
    
    Signed-off-by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

commit 755c3d082e59e6884f28d30e6333a1444e9173d1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Skip d_type check on platforms that don't have it.
    
    On those, the subsequent stat() should catch the sockets.

commit 207289a5663bdf49903e1aeb938dcc0924e2ac63
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   3 months ago

    upstream: Rename sockaddr_un sun -> sunaddr.
    
    This makes things easier in -portable, where on Solaris an derivatives
    "sun" is defined to "1", causing compilation errors.  ok deraadt@.
    
    OpenBSD-Commit-ID: 0669043afb49856b57b382f0489221bd98305d3b

commit 7cc8e150d51a4545b86d996692b541419b35d1a3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: remove DSA from the regression/unit test suite too.
    
    OpenBSD-Regress-ID: 4424d2eaf0bce3887318ef6d18de6c06f3617d6e

commit 0404fa799746c283325a463c363436eb152daefc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: another missing ifdef
    
    OpenBSD-Regress-ID: 4f71f8f122eac4cbf7f1d2088a9be45317dd3e4a

commit c5dbbe8805caaee132545ab4cffd3b2221e80975
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: missing ifdef
    
    OpenBSD-Regress-ID: 7260fb672de5738c17dec06c71a5be0186bb2b09

commit 93e904a673a632604525fdc98b940b7996f1ce54
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: memory leak on error path; bz3821
    
    OpenBSD-Commit-ID: 65577596a15ad6dd9a1ab3fc24c1c31303ee6e2b

commit 55b38ff4d7286c8fac2a472da664462e0f2d75e0
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   3 months ago

    upstream: test ssh-agent with the -T flag to force the old /tmp
    
    location rather than inside the homedir.  During relink operation,
    /.ssh/agent was created which is surprising.  This test sequence could use
    some improvement so this is a temporary fix. observed by florian, change ok
    semarie
    
    OpenBSD-Commit-ID: c7246a6b519ac390ca550719f91acfdaef1fa0f0

commit a32d28d792567253bb601362f36391f155f8f772
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: finally remove DSA signature support from OpenSSH.
    
    feedback/ok tb@, ok deraadt@
    
    OpenBSD-Commit-ID: bfe6ee73c1b676c81a2901030c791f8ec888228f

commit 928f8dcc1bb622c25be409c34374b655d0149373
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: Now that there's an I-D for certificate keys, refer to
    
    that instead of the much more basic format description we had previously.
    
    OpenBSD-Commit-ID: cf01e0727a813fee8626ad7b3aa240621cc92014

commit fe883543bece18c975fa53aa02104f0433645d99
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   3 months ago

    upstream: - add full stop to the text in -a - move the -U and -u
    
    text to the correct place
    
    OpenBSD-Commit-ID: 2fb484337a0978c703f61983bb14bc5cbaf898c2

commit 5fd6ef297dec23e3574646b6334087131230d0a6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Add minimal implementations of fstatat and unlinkat.
    
    Fixes build on some pre-POSIX.1-2008 platforms.

commit d2480827b3ef6ec119965822afdff35d734b2dee
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    New location of cygwin setup.

commit 57eb87b15bd0343372f99d661ce95efb25a16f1e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Boringssl now puts libcrypto in a different place.

commit 61525ba967ac1bb7394ea0792aa6030bcbbad049
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Handle systems that don't have st_mtim.
    
    Ignores nanoseconds, but it's checking for >1h old so a few nanoseconds
    shouldn't matter much.  Fixes build on Mac OS X.

commit 27861e9b15151898841097c14ee974c026093131
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Supply timespecsub if needed.

commit 7c0e6626e4be53efcfbb92f0c6382a76f1138e38
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    includes.h for compat, time.h for clock_gettime.

commit 7a7cc3cf721fe7fe9f4925d92bb7c694b8550a7f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Cygwin install in back on D:

commit 6ab8133c067a8e91ba69ce7ca04f95b50f2f2d7b
Author: Damien Miller <djm@mindrot.org>
Date:   3 months ago

    depend

commit 12912429cf39cfeca97dd18a8f875ad9824d1751
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: missing file in previous commit
    
    OpenBSD-Commit-ID: e526c97fcb2fd9f0b7b229720972426ab437d7eb

commit 80162f9d7e7eadca4ffd0bd1c015d38cb1821ab6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: Move agent listener sockets from /tmp to under
    
    ~/.ssh/agent for both ssh-agent(1) and forwarded sockets in sshd(8).
    
    This ensures processes (such as Firefox) that have restricted
    filesystem access that includes /tmp (via unveil(3)) do not have the
    ability to use keys in an agent.
    
    Moving the default directory has the consequence that the OS will no
    longer clean up stale agent sockets, so ssh-agent now gains this
    ability.
    
    To support $HOME on NFS, the socket path includes a truncated hash of
    the hostname. ssh-agent will by default only clean up sockets from
    the same hostname.
    
    ssh-agent gains some new flags: -U suppresses the automatic cleanup
    of stale sockets when it starts. -u forces a cleanup without
    keeping a running agent, -uu forces a cleanup that ignores the
    hostname. -T makes ssh-agent put the socket back in /tmp.
    
    feedback deraadt@ naddy@, doitdoitdoit deraadt@
    
    OpenBSD-Commit-ID: 8383dabd98092fe5498d5f7f15c7d314b03a93e1

commit 566443b5f5d7bc4c5310313b4e46232760850c7a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: correct log messages; the reap function is used for more
    
    than just the preauth process now
    
    OpenBSD-Commit-ID: 768c5b674bd77802bb197c31dba78559f1174c02

commit e048230106fb3f5e7cc07abc311c6feb5f52fd05
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: make writing known_hosts lines more atomic, by writing
    
    the entire line in one operation and using unbuffered stdio.
    
    Usually writes to this file are serialised on the "Are you sure you
    want to continue connecting?" prompt, but if host key checking is
    disabled and connections were being made with high concurrency
    then interleaved writes might have been possible.
    
    feedback/ok deraadt@ millert@
    
    OpenBSD-Commit-ID: d11222b49dabe5cfe0937b49cb439ba3d4847b08

commit c991273c18afc490313a9f282383eaf59d9c13b9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   3 months ago

    upstream: fix a out-of-bounds read if the known_hosts file is
    
    truncated after the hostname.
    
    Reported by the OpenAI Security Research Team
    
    ok deraadt@
    
    OpenBSD-Commit-ID: c0b516d7c80c4779a403826f73bcd8adbbc54ebd

commit b5b405fee7f3e79d44e2d2971a4b6b4cc53f112e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   3 months ago

    Set Windows permssions on regress dir.
    
    Prevents "unprotected private key file" error when running tests.

commit 76631fdd04824c3e50ea6551d3611b1fe0216a41
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Add 10.0 branch to test status page.

commit c627b468d3b99e487e2b24c90958ae57e633d681
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    cygwin-install-action now puts setup.exe on D:

commit 52bddbc1a7f53a1e5c871767913648eb639ac6d5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Include time.h for clock_gettime().

commit 9b50cb171b5c56184ce6fa3994ce62f9882d2daf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Add includes.h for new tests.
    
    Fixes builds on older platforms.

commit 46e52fdae08b89264a0b23f94391c2bf637def34
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Provide INFINITY if it's not provided.
    
    INFINITY is specified in c99, so define if not provided.

commit 849c2fd894aa87a7e40c71e8d5bda5392b1205be
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Look for sqrt(), possibly in libm.
    
    The unit tests now use sqrt(), which in some platforms (notably
    DragonFlyBSD and Solaris) is not in libc but rather libm.  Since only
    the unit tests use this, add TESTLIBS and if necessary put libm in it.

commit 1ec5b39f1f673beac039bb42c98a11aa2b08a0b2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Cast signalled_keydrop to int when logging to prevent warning
    
    on platforms where sig_atomic_t is not the same as int.  bz#3811, patch from
    jlduran at gmail com.
    
    OpenBSD-Commit-ID: b6bc9e9006e7f81ade57d41a48623a4323deca6c

commit f3d465530e75cb6c02e2cde1d15e6c4bb51ebfd9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: basic benchmarking support for the unit test framework enable
    
    with "make UNITTEST_BENCHMARK=yes"
    
    ok dtucker@
    
    OpenBSD-Regress-ID: 7f16a2e247f860897ca46ff87bccbe6002a32564

commit 609fe2cae2459d721ac11d23cd27b8a94397ef3c
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   4 months ago

    upstream: rework the text for -3 to make it clearer what default
    
    behaviour is, and adjust the text for -R to make them more consistent;
    
    issue raised by mikhail mp39590;
    behaviour explained by naddy
    
    ok djm
    
    OpenBSD-Commit-ID: 15ff3bd1518d86c84fa8e91d7aa72cfdb41dccc8

commit 8725dbc5b5fcc3e326fc71189ef8dba4333362cc
Author: Damien Miller <djm@mindrot.org>
Date:   4 months ago

    update version numbers

commit cc7feb9458ad3b893b53dc9c7500d1affd208bde
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: openssh-10.0
    
    OpenBSD-Commit-ID: db5b4a1f1c9e988f8f166b56dc5643606294b403

commit fc86875e6acb36401dfc1dfb6b628a9d1460f367
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: Fix logic error in DisableForwarding option. This option
    
    was documented as disabling X11 and agent forwarding but it failed to do so.
    Spotted by Tim Rice.
    
    OpenBSD-Commit-ID: fffc89195968f7eedd2fc57f0b1f1ef3193f5ed1

commit dd73459e351b0a2908aed90910c8ff9b0b381c6d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: oops, I accidentally backed out the typo fix
    
    OpenBSD-Commit-ID: f485f79bf3e9ebbe1de13ac96150cf458956cfd8

commit 0cb945891944bada5850e85d60afa3c807cf1af6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: typo
    
    OpenBSD-Commit-ID: f912725c7d303720706b3ccfb2cb846d46296d13

commit cd4a6bd50b658d707867caa1f5aa40b35c2b6c19
Author: Damien Miller <djm@mindrot.org>
Date:   4 months ago

    initialise websafe_allowlist in agent fuzzer

commit 55b7cb48af96c1102ef8ab5a73bb329cbed30945
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: typo
    
    OpenBSD-Regress-ID: 08477b936d1d0c1e8a98aa1c0e1bdde8871894c9

commit 985d8cbcd3438cc36b4e709476f1783e358ddfb1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: typo
    
    OpenBSD-Commit-ID: 6e683e13e72bf1e43bbd3bbc6a8332d5a98bdc99

commit 000c3d14e94d8f7597087c457260ea9417045b65
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Include time.h for time().
    
    Fixes warning on some platforms when building without openssl.
    
    OpenBSD-Commit-ID: 04ca29b8eaae1860c7adde3e770baa1866e30a54

commit 49b8b9bf829e08af22366530614a5e59ac341ca9
Author: tb@openbsd.org <tb@openbsd.org>
Date:   4 months ago

    upstream: Wrap #include <openssl/dsa.h> in #ifdef WITH_DSA
    
    ok djm
    
    OpenBSD-Commit-ID: ed01a7c102243f84e4a317aefb431916d98aab15

commit f80fb819e5521e13f167edbcc3eed66e22ad0c2a
Author: Damien Miller <djm@mindrot.org>
Date:   4 months ago

    remove all instances of -pie from LDFLAGS
    
    Previously only the first instance of this flag was removed.
    Unbreaks build on OpenSUSE Tumbleweed. Patch from Antonio Larrosa

commit 6c9872faa1c297a84c6d3e3b95a927be99eadbf6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   4 months ago

    upstream: remove ability to enable DSA support. Actual code will be
    
    g/c'd separately. ok deraadt@
    
    OpenBSD-Commit-ID: 2a032b75156c4d922e8343fa97ff6bc227f09819

commit 8460aaa4e1f8680f03cc5334556b9440b401f010
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Add TEST_SSH_SSHD_ENV to sshd lines here too.
    
    OpenBSD-Regress-ID: 045f2c88b42d694b404db51c5de5eca20d748ff1

commit 5e60f5937b9c33190b9d7614f72d85d4a9b38d3d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Pass "ControlMaster no" to ssh when invoked by scp & sftp.
    
    If you have ControlMaster auto (or yes) in your config, and the
    first connection you make is via scp or sftp, then you may get a
    few unexpected options applied to it (eg ForwardX11 no), since sftp
    and sftp explicitly disable those for reasons.  These effects will
    persist beyond the initial scp or sftp command.
    
    This explicitly disables persistent session *creation* by scp and sftp.
    It will not prevent them from using an existing session if one has
    already been created.
    
    From Github PR#557, ok djm@ kn@
    
    OpenBSD-Commit-ID: 9dad7c737466837e0150c4318920f46d844770c4

commit bbd36869dfb4b770cc9e6a345c04a585a0955aec
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Set sshd environment variables during sshd test run too.
    
    OpenBSD-Regress-ID: 50cb325d92c390a2909662c901f6ac5d80b6f74d

commit 98f05b1484daddef2f56b79e24540523b5016143
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Add TEST_SSH_SSHD_ENV variable which is added to sshd's
    
    environment. Will be used in Portable to tweak behaviour of tcmalloc's
    debugging.
    
    OpenBSD-Regress-ID: 67e38c3c4517ddb72c8a3549a3325a166d7bb6d6

commit 8cd9ed4df0eccc825eca0c45354a37332e125e38
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: chown log directory in addition to log files.
    
    OpenBSD-Regress-ID: b520d54a0bbf2c6554413c798218bda26b385ad9

commit e32de6bf4f3229d4838beb127de45eed1377ccc5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Be explicit about environment variables for tests.
    
    This will make it easier to reproduce a test failure by cut-and-paste of
    the corresponding line from the github log.

commit 77a3e6ba47381547b3fe4b29223256f276fbd07e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Add tcmalloc flags to TEST_SSH_SSHD_ENV.
    
    This will get passed to sshd via test-exec.sh.

commit a73890e340fbd6121251854b658a72d738b86c84
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Add PuTTY 0.81, 0.82 and 0.83 to tests.

commit 90a28de0d49570324d1695c0b4686354ef3bcae0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Include TCMALLOC_STACKTRACE_METHOD in output.
    
    If TCMALLOC_STACKTRACE_METHOD happens to be set, include it in the debug
    output to make reproducing test cases easier.

commit fd5a6bb6dd7657c4bd8cd0ee11d5c8ddf0d927b2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Test with-linux-memlock-onfault in kitchensink.

commit 22330711e2459c23d9736ee16e0e2ee0fcc30b9a
Author: Collin Funk <collin.funk1@gmail.com>
Date:   4 months ago

    Include fcntl.h so AT_FDCWD does not get redefined.

commit 6c49e5f7dcaf886b4a702a6c003cae9dca04d3ea
Author: Daniil Tatianin <d-tatianin@yandex-team.ru>
Date:   5 months ago

    Add support for locking memory on Linux
    
    Linux wakes up kcompactd threads in order to make more contiguous memory
    available on the system, it does this by migrating live movable pages
    (actively modifying live processes' page tables and constantly flooding
    them with page invalidation IPIs, which can be up to millions per
    second), which causes the process to become unresponsive for up to
    seconds or even minutes in some severe cases. In case of sshd, we want
    to always be able to connect to the system, even if it's under heavy
    kcompactd load.
    
    Introduce an option to protect sshd and its children sessions from being
    compacted by kcompactd (this works in cojunction with
    compact_unevictable_allowed = 0). Note that we depend on MCL_ONFAULT
    being available, which was introduced in linux 4.4. MCL_ONFAULT allows
    the system to lock pages lazily, thus drastically reducing memory usage
    of a locked process (without MCL_ONFAULT, every existing mapping in the
    process is instantly write-faulted).

commit fdc4853c5b1567934d43ab13282f03033cc21325
Author: Daniil Tatianin <d-tatianin@yandex-team.ru>
Date:   5 months ago

    platform: introduce a way to hook new session start
    
    Previously this was possible via post_fork_child, but ever since sshd
    was split into multiple binaries, this is now no longer possible becase
    of execv.

commit 1b311b6b17be81577514c38e8be4f5740d7df496
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   4 months ago

    upstream: Prevent theoretical NULL deref in throughlocal_sftp.
    
    Coverity CID 405019, although at the moment it's not reachable. ok djm@
    
    OpenBSD-Commit-ID: 630d46c1021b69fbb470e349976c70e9a48b7644

commit 96493ebd6ff48bbb802576e208794a26928569b0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   4 months ago

    Fix workflow syntax again.

commit 575c43fd4c44d376b1771c0fdaf4941021ba88c9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Differentiate logfiles better.

commit 8a1294638f3a47d46263ea574fa85c8e115ea893
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Fix another typo in workflow.

commit bd9e6bbcc864b3e10c4e11f5aec1b3a5e3a89b55
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Fix syntax error in workflow.

commit ce88a1bb4a2e6425752094f7a2eb4adfb0ca7971
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Identify each logfile while printing them.

commit b58e429960c4791fc4e30bb7c70d1f77d538b546
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: fix NULL dereference for Match conditions missing
    
    arguments, e.g. "Match user". Spotted by Coverity (CID 477813)
    
    OpenBSD-Commit-ID: 13584281cfa23b8ebc41f9d128a6b9464ae960d4

commit 0ce5281f017c3ad7bdcc2bbd9745119a73e0cbb8
Author: tb@openbsd.org <tb@openbsd.org>
Date:   5 months ago

    upstream: Fix EVP_CIPHER_CTX_ctrl() return checks
    
    While this API tries to translate negative return values (i.e. -1) to 0
    in BoringSSL and LibreSSL, it is still possible for it to return negative
    values in prinicple. We even incorrectly document that -1 can be returned
    while Boring and OpenSSL plead the Fifth.
    
    In OpenSSL 3 there are now code paths that explicitly return -1 and they
    started shifting their return checks to <= 0 - of course they do this in
    inconsistent and sometimes incorrect manner. While these paths aren't
    reachable from ssh right now, who can really tell what happens in the two
    hundred lines of inscrutable bloated mess this has become.
    
    So error check with <= 0 to ensure that we don't accidentally translate an
    error to success.
    
    ok markus schwarze
    
    OpenBSD-Commit-ID: a855c833cf4ecfce43bedc761f26ad924f70483c

commit 2e81100763d5885e500f065b04c16ed87ce74318
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Fix debug log path.

commit 442a44970179d70ebb62bba792699eaec978a1db
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Also lazily unmount workspace in case of straggers.

commit 20427f6735fe5ddab31911ce5315adc71acf47d8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Make sure upstream tests run on correct hardware.

commit 91a2f70a56827ae31649baf17227b0914ac5aa36
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Add OpenBSD upstream test on obsdsnap-arm64.

commit c20f7413525602b0ea786d8974d03a81f7ca2a92
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    rebuild .depend

commit d47ef958b89c6fa809302d654009d3dfabe11b75
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: remove assumption that the sshd_config and any configs
    
    included from it can fit in a (possibly enlarged) socket buffer, by having
    the sshd listener mainloop actively manage sending the configuration to the
    sshd-session subprocess.
    
    work by markus@ w/ a little feedback from me;
    ok me and committing on his behalf
    
    OpenBSD-Commit-ID: 8f54451483f64951853074adb76bc4f838eaf3ae

commit 9c90b563943c16418d737433ac478974b8761ee5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Prime caches for DNS names needed for tests.
    
    When running the SSHFP tests, particularly on an ephemeral VM, the first
    query or two can fail for some reason, presumably because something isn't
    fully initialized or something.  To work around this, issue queries for the
    names we'll need before we need them.
    
    OpenBSD-Regress-ID: 900841133540e7dead253407db5a874a6ed09eca

commit 10124eefe875a3e4e1cfb84ebe6a613ed3213b78
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Some dd's don't understand "1m", so handle seperately.
    
    OpenBSD-Regress-ID: 1d983b27c96f28f69d3a288c19e8d8c58e1b2ee3

commit c21c8fc319376c2f5e0da166e9e89a97a245ae72
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Lazily unmount github workspace at end of workflow.
    
    Sometimes when a test times out the workspace is still busy when we try
    to unmount it, which leaves the runner unusable until it's cleaned up
    manually. We try to unmount this in the first step, but that usually
    doesn't work since it fails during setup before it starts our workflow.
    Move it to the end and make it a lazy unmount so it hopefully works
    eventually.

commit 4bcbac742968f5086cfd4c570a51de25ef77931f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Add regress test for sftp resume.
    
    OpenBSD-Regress-ID: 37f629b3014338fa23a85df1e1bb320ea12282e1

commit e2c4f070b43a4fd7d59a9350e2fe78df605830b5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Use ssh binary instead of the (smaller) script when
    
    preparing test data files since it's faster.
    
    OpenBSD-Regress-ID: 4215e42682fdb73e131e10645d4a1a23a91d64f5

commit 62f02e95ba5cda4649c482d30f4370e2360eb94d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Set up dbclient's known_hosts as it expects.
    
    OpenBSD-Regress-ID: 9e0898e8423237ce5023be53787bb4062e0d0418

commit 395284bd52887dbaf7e78200c857d7f2d9ce398e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Use $DBCLIENT to access dbclient for consistency.
    
    OpenBSD-Regress-ID: 81e1b41e1ffc49aba1e6fcaeb6242f3b7875ea3c

commit 97e10c0005a784622c61cb4e8bb7858b410bbcc6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Check if dbclient supports SHA1 before trying SHA1-based
    
    KEX.
    
    Dropbear 2025.87 removed SHA1 support by default, which means
    diffie-hellman-group14-sha1 is not available.  Unfortunately there isn't a
    flag to query supported KEX, so instead check MACs and if it doesn't have
    SHA1 methods, assuming SHA1 based KEXes are likewise not available.  Spotted
    by anton@.
    
    OpenBSD-Regress-ID: acfa8e26c001cb18b9fb81a27271c3b51288d304

commit 29a5127f808d00aa539fd27d83a65c2c56179b0e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Set highwater when resuming a "put". Prevents bogus "server
    
    reordered acks" debug message.  ok djm@
    
    OpenBSD-Commit-ID: aa7f6d0fc2e893c8c278ea3e6e0974c2eca83f5d

commit 6575859d7acb110acf408707f98ed9744ca7d692
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Test for %-token and env var expansion in SetEnv.
    
    OpenBSD-Regress-ID: bd6139a6177ac4afb29a0ce4afc23567b22ef9f9

commit fd7ad8d7bf7dbdeb8f11a8b51aa9d31df1a17e52
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Also test User expansions when supplied via -l option and
    
    user@host.
    
    OpenBSD-Regress-ID: 56415859260b53ef0dd20f71225ba5fdf6320f50

commit e6cfd783f1491b502db9322aa970822c63f1667d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Tests for User expansion of %-tokens and environment
    
    variables.
    
    OpenBSD-Regress-ID: 7ed21dd0e09fb1f3537b8b177f171018aa501628

commit 197e503b8e4b642ce0f405a5d65da4256fa96431
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: use glob(3) wildcards in AuthorizedKeys/PrincipalsFile
    
    tests to exercise this feature; ok dtucker
    
    OpenBSD-Regress-ID: 7f7b19c0b05b1862cc6521ce61b2b301a3f9cc3b

commit 396202180180a4ac16788d469508a348789dafa1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: implement attestation verification for ED25519 keys
    
    OpenBSD-Regress-ID: c44fa5cdb434375a8b5545fdb4fc651061afca1f

commit b49875428cda9c16c5bd52552100da2b419cda5f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Add %-token and environment variable expansion to SetEnv.
    
    feedback deraadt@ jmc@, nits and ok djm@
    
    OpenBSD-Commit-ID: 2f6e5070481cb73e6f35fd1c6608c1eeff88a5c1

commit b6bba67e6c31d268480773e4fed16d0a32b4218e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: fix PerSourcePenalty incorrectly using "crash" penalty when
    
    LoginGraceTime was exceeded. Reported by irwin AT princeton.edu via bz3797
    
    OpenBSD-Commit-ID: 1ba3e490a5a9451359618c550d995380af454d25

commit 38d69fee1b06948f160d94abd07b6b297630d30a
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    include __builtin_popcount replacement function
    
    Some systems/compilers lack __builtin_popcount(), so replace it as
    necessary. Reported by Dennis Clarke; ok dtucker@

commit c94138d02a45dda5015f38f5a60b0bdde29019c1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: whitespace
    
    OpenBSD-Commit-ID: 1bd8953a37451ef7e0991f9fceec5e8005fe986a

commit 65d2c59628e68e166046efa69e76c1d395a8df6e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Make a copy of the user when handling ssh -l, so that
    
    later during User token expansion we don't end up freeing a member of argv.
    Spotted by anton@'s regress tests.
    
    OpenBSD-Commit-ID: 2f671a4f5726b66d123b88b1fdd1a90581339955

commit bd30cf784d6e825ef71592fb723c41d4f2fd407b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   5 months ago

    upstream: Allow %-token and environment variable expansion in User,
    
    with the exception of %r and %C which are self-referential.  Requested in
    bz#3477, ok djm@, man page improvements jmc@
    
    OpenBSD-Commit-ID: caeb46251ee073662f6f5864c6f7b92d8ac80fa8

commit 94f59dcfc57f95ae044f75c3ce544329c8956c35
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Rebuild config files if Makefile changes.
    
    This ensures paths are updated if they are changed by re-running configure.
    Patch from rapier at psc.edu.

commit dfd9880585db1570656022f9fe1519df673f7b8a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   5 months ago

    Check for le32toh, le64toh, htole64 individually.
    
    It appears that at least some versions of endian.h in glibc do not have
    the latter two, so check for and replace each one individually.
    bz#3794, ok djm@

commit cb99e8eb228df366af33f4fe88d7a9dd0dbf0756
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: ressurect fix for "match invalid-user" that got clobbered
    
    by 1.423
    
    OpenBSD-Commit-ID: d18bf0945976e0f3467d710d4bc8bdbe181c0567

commit 487cf4c18c123b66c1f3f733398cd37e6b2ab6ab
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   5 months ago

    upstream: Also prohibit , (comma) in hostnames, proposed by David
    
    Leadbeater ok djm millert
    
    OpenBSD-Commit-ID: 2837fa31dc6e81976f510f0a259edaa559b20b07

commit 3bc6de98c830bd5207f6c371ba69c5874f06305b
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    Try to fix github tcmalloc target failure
    
    tcmalloc may, depending on the stacktrace generator it uses, create
    pipe(2) fds during shared library initialisation. These will later
    get clobbered by ssh/sshd calling closefrom() and chaos will ensue.
    Tell tcmalloc to use an unwinder that doesn't pull this stuff.

commit 922e54bbfe8c8479453693ef52350338f0c19124
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    cleanup last mention of ubuntu-20.04

commit bc4b3f6dc1738d389e5c9dcca8c56d7e153fee49
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    prune gcc/clang versions to be tested
    
    Test only the oldest and latest versions of each

commit 94b73755f931d592a612ef5cb998694643eab5ff
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    Update AWS-LC version number
    
    Patch from Shubham Mittal bz bz3792

commit 6887099fae6d9f3482e1075d034e9343dc413200
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    adjust workflows for ubuntu version transition
    
    remove workflows for unsupported compilers, add a few for additional
    supported compilers, move some workflows to run on ubuntu-latest

commit 33bb47e6f74f2ca8093946e6f462d655a9ae46d3
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    Add ubuntu-*-arm test runners

commit a0c95fbb215b2168fa51b15906e2d6990d7fef6b
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    remove ubuntu-20.04 Github action runners
    
    ubuntu-20.04 is deprecated now, so migrate all its unique runners
    to ubuntu-22.04.
    
    ok dtucker@

commit 0cbeedba81b57c56379e1d202b9ccd3b72af7ddc
Author: Damien Miller <djm@mindrot.org>
Date:   5 months ago

    openssh-9.9p2

commit 0832aac79517611dd4de93ad0a83577994d9c907
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: Fix cases where error codes were not correctly set
    
    Reported by the Qualys Security Advisory team. ok markus@
    
    OpenBSD-Commit-ID: 7bcd4ffe0fa1e27ff98d451fb9c22f5fae6e610d

commit 6ce00f0c2ecbb9f75023dbe627ee6460bcec78c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   5 months ago

    upstream: Don't reply to PING in preauth phase or during KEX
    
    Reported by the Qualys Security Advisory team. ok markus@
    
    OpenBSD-Commit-ID: c656ac4abd1504389d1733d85152044b15830217

commit 9e5bd74a85192c00a842f63d7ab788713b4284c3
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   6 months ago

    upstream: - use \& when contructs like "e.g." end a line, to avoid
    
    double spacing - macro is Qq not Oq
    
    OpenBSD-Commit-ID: 17e5d2d7f288cc7fc536e3af252224525f9fb43a

commit f519e71fb7a46314ae16e2a75490649dc0bd01a2
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    depend

commit 9131ac64b0ebe66dc1de9d44bf8d1bd64a24c350
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: add "Match version" support to ssh_config. Allows
    
    matching on the local version of OpenSSH, e.g. "Match version OpenSSH_10.*"
    
    ok markus@
    
    OpenBSD-Commit-ID: c0cb504d0b9e43ccf12e68a544a7cd625e89758d

commit 192a20df00c8a56fe7d92ffa23d959c865d7fb9e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: Add support for "Match sessiontype" to ssh_config. Allows
    
    matching on the type of session requested, either "shell" for interactive
    sessions, "exec" for command execution sessions, "subsystem" for subsystem
    requests, such as sftp, or "none" for transport/forwarding-only sessions.
    
    ok markus@
    
    OpenBSD-Commit-ID: eff5c001aecb2283d36639cfb28c0935a8bfd468

commit caa3c0c77082888236b0b0c4feb3e6879731b3ba
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: "Match command ..." support for ssh_config to allow
    
    matching on the remote command specified on the commandline.
    
    Also relaxes matching rules for `Match tagged` to allow
    `Match tagged ""` to match an empty tag value. This also works
    for command.
    
    ok markus@
    
    OpenBSD-Commit-ID: 00dcfea425bf58d824bf5e3464cfc2409121b60d

commit 38f6000e9851a00e2e4b8e1eb4ea6a243ef7e6a3
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    depend

commit aa1409e7a0a5605f0127651a3ba5a348666325bc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: include arguments the command was invoked with, and
    
    operating system name, version and architecture in startup debugging output;
    ok dtucker
    
    OpenBSD-Commit-ID: 2a509d319aaf31a6bf9998e1842832883fbc3edd

commit 857ac20f5fe19f183defba5dbf4b7d9e6400230c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: include line number in Match debug messages, makes it a
    
    little easier to see what's going on
    
    OpenBSD-Commit-ID: 1fcf4aa2ee667711b9497ded0fa52d757c69b1df

commit af49d474e481d2d78b2f06b06a06b0b37629358e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   6 months ago

    upstream: fix "Match invalid-user" from incorrectly being activated
    
    in initial configuration pass when no other predicates were present on the
    match line
    
    OpenBSD-Commit-ID: 02703b4bd207fafd03788bc4e7774bf80be6c9a8

commit 1c67bae3f5834e48ded71c406f2039dea6e536db
Author: schwarze@openbsd.org <schwarze@openbsd.org>
Date:   6 months ago

    upstream: In a section 1 manual, use the plain English words
    
    "standard output" rather than the overly technical abbreviation "stdout" - we
    are not talking about a device file or a FILE * object here. Issue reported
    by <onf at disroot dot org> on the groff mailing list.
    
    OpenBSD-Commit-ID: a0816999f970e6159523bed8484f62c42ec93109

commit 85b3d68dd931416ede657f371f1d60cdc3a66f34
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Fix debug logging of user specific delay. Patch from
    
    Achim Leitner (fjl5) via github PR#552.
    
    OpenBSD-Commit-ID: 834a869ed9b15058d3c1ef0cd75402ef989255d8

commit e4e5b06fdf4532705669c0ae944b364022d16b9d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Call log_init in sshd-auth and sshd-session immediately
    
    after parsing the config file so that any log settings set in the config file
    take effect immediately.  Move version banners to immediately after that, and
    make them distinct per binary.  ok djm@
    
    OpenBSD-Commit-ID: acf3d090638edf9b6e6f78eed96b537fe671f0f5

commit 0643994b20f2cc54bca80842a984b3052ff1a6a9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   7 months ago

    upstream: Use strprefix helper when processing sshd -C test args
    
    instead of counting bytes by hand.  ok djm@
    
    OpenBSD-Commit-ID: 2866d369d96fe04bf76112260ac37e489f98a9a9

commit 66efd0fbb6b8b95f8a520f2cdf8ede14e62b30b3
Author: Damien Miller <djm@mindrot.org>
Date:   6 months ago

    add support for AWS-LC (AWS libcrypto)
    
    Patch from Shubham Mittal via bz3784; ok dtucker

commit 826483d51a9fee60703298bbf839d9ce37943474
Author: Tim Rice <tim@multitalents.net>
Date:   8 months ago

    fix old typo (s/SYSVINITSTOPT/SYSVINITSTOP/)

commit 1a8ce460f1d0c3f7304edba0733783b57b430e21
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Plug leak on error path, spotted by Coverity. ok djm@
    
    OpenBSD-Commit-ID: b1859959374b4709569760cae0866d22a16606d3

commit 924f996144fc0ae1a659fadcfc2237d1ae935fc4
Author: Xavier Hsinyuan <me@lstlx.com>
Date:   8 months ago

    Add $(srcdir) for standalone sk-libfido2 make target.
    
    Fix out-of-tree build failure due to incorrect path for `sk-usbhid.c`.

commit bbc9c18e84de29c83fa03e69290979fcca54a2b2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: replace bespoke logging of MaxSessions enforcement with
    
    new ratelimited logging infrastructure.
    
    Add ratelimits to logging of connections dropped by PerSourcePenalties
    
    ok dtucker
    
    OpenBSD-Commit-ID: f22fe7c39607e4361aadf95e33773ffd68c59489

commit 5a6ddf946cf105189c2c99a04f86ce95edc55fc5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: add infrastructure for ratelimited logging; feedback/ok
    
    dtucker
    
    OpenBSD-Commit-ID: 18a83e5ac09d59aaf1e834fd6b796db89dd842e7

commit 85f0c1e75e8f6c5d83b8070918ee2f6ab16d403e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: allow glob(3) patterns for sshd_config AuthorizedKeysFile
    
    and AuthorizedPrincipalsFile directives; bz2755 ok dtucker
    
    OpenBSD-Commit-ID: 3e3e05a17fca39bba78b993a07b44664519adf7f

commit 9a9ffee6e10bcd039f1f9385599577441ebe542a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: support VersionAddendum in the client, mirroring the
    
    option of the same name in the server; bz2745 ok dtucker@
    
    OpenBSD-Commit-ID: 6ff7905b3f9806649bde750515786553fb89cdf4

commit 41ab0ccecd68232e196efae5e224b31ca104c423
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: clarify encoding of options/extensions; bz2389
    
    OpenBSD-Commit-ID: c4e92356d44dfe6d0a4416deecb33d1d1eba016c

commit 5488810359f0fd91e2f7b919c70a3798e46376cb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: ignore SIGPIPE here; some downstreams have had this for
    
    years...
    
    OpenBSD-Commit-ID: 73674ee4f8ceb8fc9cb8de71d8ddea0c721eb035

commit 4389a792d9078212366eba124a3eed36e009d09e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: sync -o option lists with ssh.1; requested jmc@
    
    OpenBSD-Commit-ID: a7ac295b444da7b2ca7a33a52370594f6897f6bb

commit 6b9cd095565ddc5402d5096dce248fa0521dbda3
Author: Fabio Pedretti <pedretti.fabio@gmail.com>
Date:   1 year, 10 months ago

    Remove ancient RHL 6.x config in RPM spec.
    
    It looks like build6x options were intended for RHL 6.x
    (the Red Hat distro predating Fedora, not RHEL), but were
    then applied to RHEL.
    
    Completely remove support for this ancient configuration.
    
    Successfully built, installed and run on RHEL 6. This also
    remove a build warning about deprecation of PreReq.

commit 5cacfa798f92b707491375fed748d1d1bcb33ec9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 months ago

    Add new hardware-backed signing key for myself.
    
    Retire old non-hardware based signing key.

commit f129b6ee1d4361799e65307216e3a4d5544356b7
Author: Jonas 'Sortie' Termansen <sortie@maxsi.org>
Date:   9 months ago

    Fix configure implicit declaration and format warnings.

commit 11a5e5179077f73c2d45bcdf3f60153ae3f17815
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Expand $SSH to absolute path if it's not already.
    
    Prevents problem later in increase_datafile_size if ssh is not in
    the path.  Patch from quaresmajose via GHPR#510.
    
    OpenBSD-Regress-ID: 2670a66af8b827410ca7139f0a89f4501cece77b

commit dc2ef8f0944a4ff7ba19e52fd17b4654e6bd9b93
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Change "login again" to "log in again"
    
    in password change message.  From ThinLinc-Zeijlon via github PR#532.
    
    OpenBSD-Commit-ID: fea5e9bc04caf613a118c419f16863733b340cf1

commit 8252f346eb21cd6b30816f905b7d94f10962373e
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   8 months ago

    upstream: catch up documentation: AES-GCM is preferred to AES-CTR
    
    OpenBSD-Commit-ID: 63360924b6834507fe70020edb936f5075043a9e

commit 9a2f4c75081769bd45eba2bf3fab0a32b25f1879
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 months ago

    Change text from "login to" to "log in to".
    
    From ThinLinc-Zeijlon via GHPR#532.

commit 24dcf368d816b06136a02845ebd0c7846bf18927
Author: Xavier Hsinyuan <me@lstlx.com>
Date:   8 months ago

    Fix configure message typo in sk-libfido2 standalone.

commit 1a0cac2f3411a22d69ae6918eff48456b805e73b
Author: Alexander Kanavin <alex@linutronix.de>
Date:   8 months ago

    Skip 2038 key expiry test on 64 bit time_t systems.
    
    This allows testing Y2038 with system time set to after that (i.e. 2040),
    so that actual Y2038 issues can be exposed, and not masked by key expiry
    errors.
    
    Signed-off-by: Alexander Kanavin <alex@linutronix.de>

commit 6b4611dc1232c5d2c8e43201f580f19aab320c87
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 months ago

    Skip 64bit expiry time test on 32bit time_t.

commit c9b7866a7dc5e6c30f5aa9d22dd0bbafda0d496f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Add key expiry test in the 64bit time_t range for additional
    
    coverage. From Alexander Kanavin via bz#3684.
    
    OpenBSD-Regress-ID: bdf6eb3c2421f2e1e11483d03b34c7931d1bccf7

commit 790c913b5fc6ee93ae14793443dc85a0f574b7eb
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    typo

commit d23a23aaeeabc228792e3fd7eb5f2fa6ae13c482
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    add a Makefile target for ssh-verify-attestation
    
    Not built by default, but easier than doing it by hand

commit d0ac63d0f8b5f778d5fd326701ef4489bc27635e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: De-magic the x11 base port number into a define. ok djm@
    
    OpenBSD-Commit-ID: 23b85ca9d222cb739b9c33ee5e4d6ac9fdeecbfa

commit 9998c93d57bf0f1df2bc93e0bc2d8112c6f8c720
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Prevent integer overflow in x11 port handling. These are
    
    theoretically possible if the admin misconfigures X11DisplayOffset or the
    user misconfigures their own $DISPLAY, but don't happen in normal operation.
    From Suhov Roman via bz#3730, ok djm@
    
    OpenBSD-Commit-ID: e9e3860f1a19b862ccf07dc8ecbe8f1e1034f4ed

commit 8c9ee046d40e4254c6c1711783ea11027b72c3e9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: add a work-in-progress tool to verify FIDO attestation
    
    blobs that ssh-keygen can write when enrolling FIDO keys.
    
    OpenBSD-Regress-ID: 6c97bf3f46e48866677ad69f54b77683eb92437f

commit 50c640d874d0246dd0a0d949398c3d7f757c716a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Don't assume existence of SK provider in test. Patch from
    
    balu.gajjala at gmail via bz#3402.
    
    OpenBSD-Regress-ID: d571932016d07d135b54433d07520b9e1901db43

commit 73d782693144262570d3585b62f16b183170c014
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: sync the list of options accepted by -o with ssh_config.5
    
    prompted by bz3455
    
    OpenBSD-Commit-ID: 0ecbfa70aea6c769bcc259defe07182edf461f57

commit 6993d9f0959534b0b7d52e17b95e9e79fb0b3d0a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: don't screw up ssh-keygen -l output when the file
    
    contains CR characters; GHPR236 bz3385, fix from Dmitry Belyavskiy
    
    OpenBSD-Commit-ID: e458cf6b0adcea5b69ef4c7ba38e590841d02ef4

commit c0b03c2534946fc114880092177aa4a3683ced2d
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   8 months ago

    upstream: spelling; ok djm@
    
    OpenBSD-Commit-ID: c8ff3f70020451eef214e598117b7ce1a29853ef

commit 97eb247f40167f44324e88a537d5b4fe771a63b2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Remove fallback to compiled-in gropup for dhgex when the
    
    moduli file exists, but does not contain moduli within the client-requested
    range. The fallback behaviour remains for the case where the moduli file does
    not exist (typically, running tests prior to installing). From bz#2793, based
    in part on patch from Joe Testa, ok djm@
    
    OpenBSD-Commit-ID: b1a8c5dbbedf249b42474679ebaf14db7332b1ab

commit 30c746265ebde29806dba77c92fb1fd3803cbf5c
Author: tb@openbsd.org <tb@openbsd.org>
Date:   8 months ago

    upstream: Remove redundant field of definition check
    
    This will allow us to get rid of EC_GROUP_method_of() in the near future.
    
    ok djm
    
    OpenBSD-Commit-ID: b4a3d2e00990cf5c2ec6881c21ddca67327c2df8

commit eaa1744f34c30740328fd0a0d84b5f2f9e6918c1
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    don't ignore changes in regress Makefiles
    
    reported by Torben Hansen in bz2880

commit 66e986880b2472fefaad781f10113b138b65ff27
Author: Damien Miller <djm@mindrot.org>
Date:   8 months ago

    Support systemd-style socket activation in agent
    
    Adds support for systemd LISTEN_PID/LISTEN_FDS socket activation to
    ssh-agent. Activated when these environment variables are set and
    the agent is started with the -d or -D option and no socket path
    is set.
    
    Based on GHPR502 by Daniel Kahn Gillmor, ok dtucker

commit 9b57c099f57152e6c94f633c114f544087f4bdaa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   8 months ago

    Update readme files to better reflect reality.
    
    Prompted by bz#3738, ok djm@.

commit ffa885db1b960451d426455045d2f51288e48ee8
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Improve description of KbdInteractiveAuthentication.
    
    Based on bz#3658, fixes jmc@ ok markus@ djm@.
    
    OpenBSD-Commit-ID: 9fadb56b9afed554d501acbba911c685acd6ffc2

commit b460f82a67795bba37c6cc6c78f788e5b435b4cb
Author: Jonas 'Sortie' Termansen <sortie@maxsi.org>
Date:   9 months ago

    Inherit DESTDIR from the environment.
    
    autoconf packages conventionally inherit the DESTDIR variable from the
    environment.

commit 9da7fa7c7464df241ae5d17da94e4ebed9013719
Author: Jonas 'Sortie' Termansen <sortie@maxsi.org>
Date:   9 months ago

    Define u_short and u_long if needed.

commit d3a7ff7cecbc23cc37044bdf02e7118d05bf3c35
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: support FIDO tokens that return no attestation data, e.g.
    
    recent WinHello. From Michael Braun via GHPR542
    
    OpenBSD-Commit-ID: a71b0542f2f7819ba0e33a88908e01b6fc49e4ce

commit 96b64056c812620014b65371a9e3ac86bfcd08d5
Author: Thorsten Kukuk <kukuk@suse.com>
Date:   8 months ago

    Add wtmpdb support as Y2038 safe wtmp replacement

commit 1d9563a56f2ad5b0c0aeef20e19c1a03ad54f88a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: unbreak
    
    OpenBSD-Commit-ID: 05b6c31f4a6e385338f43cc0e08776cea75802a1

commit d75837b9f6d0d6cc18ed5078789ea0f3dad08f00
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: prefer AES-GCM to AES-CTR; ok deraadt markus
    
    OpenBSD-Commit-ID: 8366a72e0f300ee31c5dab2c95025387ec15bbc9

commit e19cd494b567a73dc390e09b47c1e21545e6116b
Author: Shiva Kaul <shiva.kaul@gmail.com>
Date:   8 months ago

    Fix compilation with DEBUG_SK enabled
    
    In `ssh_ecdsa_sk_verify`, the `datalen` variable was renamed to `dlen` -- but not in this debugging block.

commit 67ace92be0718df7e0f52c0a76684fc2ebae4089
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   8 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: 311d271bf0fab8a119e84f4f696d8cd40731692f

commit ca0697a90e5720ba4d76cb0ae9d5572b5260a16c
Author: Jeremy Stott <jeremy@stott.co.nz>
Date:   10 months ago

    Add make target for standalone sk-libfido2
    
    Add a Makefile target for sk-libfido2, the standalone fido2 security
    key shared library, suitable for use with the SecurityKeyProvider
    option.
    
    Add a new configure option `--with-security-key-standalone` that
    optionally sets the shared library target sk-libfido2$(SHLIBEXT), and
    adds it to $(TARGETS).
    
    misc.h is required when SK_STANDALONE is defined, because of the use
    of `monotime_tv` in `sk_select_by_touch`.
    
    Sets the shared library extension for sk-libfido2 is by setting
    `SHLIBEXT` depending on the platform in configure.ac.
    
    Add the shared library to the CI builds in the `sk` target config to
    make sure it can compile under the same conditions as
    `--with-security-key-builtin`.
    
    Add a libssh-pic.a static library that compiles with `-fPIC` reusing
    .c.lo method in sk-dummy.so for use in the shared library sk-libfido2.
    
    Note, a separate static library libssh-pic.a is needed, since defining
    -DSK_STANDALONE excludes some symbols needed in sshkey.lo.

commit 74d70841efbf41b9fcc8e6f6f4777d2e9d7e2004
Author: Arnout Engelen <arnout@bzzt.net>
Date:   10 months ago

    mdoc2man: balance nested square brackets
    
    I noticed the square brackets in `destination [command [argument...]`
    in the synopsis for the `ssh.1` manpage were not balanced,
    this balances them.
    
    Signed-off-by: Arnout Engelen <arnout@bzzt.net>

commit 8eabd2ae2ca1d7756417a1ee5b41f09c5d997634
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: fix argument of "Compression" directive in ssh -G config
    
    dump, which used to work but broke in 9.8
    
    OpenBSD-Commit-ID: c79936242d29c70d01941b28d2d07fd0b85fe46f

commit 53c03961769d8879a81398074ea3cb36253d4f2e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: new name/link for agent I-D
    
    OpenBSD-Commit-ID: e3420f3925a297a1b2ab7dfe7c7d274cfc8e1193

commit 785e3c9110df8f2d30e42ce8b45969c49700f35b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: mention that biometrics may be used for FIDO key user
    
    verification as well as PIN. Prompted by Zack Newman, ok jmc@
    
    OpenBSD-Commit-ID: b774a4438c9be70012661ee278450790d21277b8

commit fd2e64c9ec9ea3e89e396be0db41aaf982ae1210
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: g/c outdated XXX comments
    
    OpenBSD-Commit-ID: 74d0c0b74994d9a4343c4d7ea4948cb34f609a6c

commit 0ad34a6193357d286042322ea7347262a6fb0778
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: regression test for UpdateHostkeys with multiple keys backed
    
    by ssh-agent. Patch from Maxime Rey.
    
    OpenBSD-Regress-ID: 1777ab6e639e57c0e20cbcb6df60455b49fd8bb3

commit 84023656d91b78f1ef86c8321ec563f2e90f7227
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: Explicitly specify the signature algorithm when signing
    
    hostkeys-prove requests.
    
    Fixes a corner-case triggered by UpdateHostKeys with one or more unknown
    host keys stored in ssh-agent where sshd refuses to accept the signature
    coming back from the agent.
    
    Report/fix from Maxime Rey
    
    OpenBSD-Commit-ID: 460c7d527a24f92b7e5f68ca1a2fa242ebf0d086

commit d1c1cfc5e4e9b43593d4642810ea8135e4c7db49
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: when using RSA keys to sign messages, select the
    
    signature algorithm based on the requested hash algorithm ("-Ohashalg=xxx").
    
    This allows using something other than rsa-sha2-512, which may not
    be supported on all signing backends, e.g. some smartcards only
    support SHA256.
    
    Patch from Morten Linderud; ok markus@
    
    OpenBSD-Commit-ID: 246353fac24e92629263996558c6788348363ad7

commit ac7544654441280071b90a4129a47467d40f2389
Author: djm@openbsd.org <djm@openbsd.org>
Date:   8 months ago

    upstream: turn off CDIAGFLAGS and turn back on INSTALL_STRIP
    
    accidentally changed in last commit
    
    OpenBSD-Commit-ID: 6d07e4606997e36b860621a14dd41975f2902f8f

commit 953fa5b59afb04c3c74ed82d7bace65c13cd8baa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Disable security key for bigendian interop.
    
    It doesn't currently work.  It's not clear why, but I suspect
    sk-dummy.so ends up being built for the wrong architecture.

commit a80eb71c428c474098087c672398f200be8fabdf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Reshuffle OpenWRT test configs.
    
    Move the the flags used by the OpenWRT distro to mipsel target and
    enable OpenSSL on all targets to improve coverage.
    
    Explicitly disable security key and openssl on mips target so that host
    end of the bigendian interop tests don't attempt them and fail (since
    they're not enabled on the target side).

commit d2709c461359e4129311cdff81ee05242d6c53cd
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Add keytype to bigendian interop test.

commit 50ac0f0e0627d29fd9becf5e15e8ceca5ad18078
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Ignore chown failure, eg due to dangling symlinks.

commit 9e528e65a03245cf28e814f09b88c701bec935d1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Test bigendian interop.
    
    Where our test target is a bigendian system, do an additional build on
    the runner host (which is little endian) and test interop between the two.
    Should hopefully catch obvious endianness bugs.

commit dd416f5bfa96ac1ff44b27a93f7b55ee627c6baf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Allow overridding TEST_SSH_SSHD.
    
    This will allow tests to specify an alternative sshd, eg on a remote
    machine with different endianness.

commit 82662d562cf54829df8a941cdfb2fd307e1d9a90
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: ssh-agent implemented an all-or-nothing allow-list of
    
    FIDO application IDs for security key-backed keys, to prevent web key handles
    from being used remotely as this would likely lead to unpleasant surprises.
    By default, only application IDs that start with "ssh:*" are allowed.
    
    This adds a -Owebsafe-allow=... argument that can override the default
    list with a more or less restrictive one. The default remains unchanged.
    
    ok markus@
    
    OpenBSD-Commit-ID: 957c1ed92a8d7c87453b9341f70cb3f4e6b23e8d

commit 593a0b65c55c1e06a8c22b084aefc395aedb0127
Author: jca@openbsd.org <jca@openbsd.org>
Date:   9 months ago

    upstream: Ignore extra groups that don't fit in the buffer passed
    
    to getgrouplist(3)
    
    Our kernel supports 16 groups (NGROUPS_MAX), but nothing prevents
    an admin from adding a user to more groups.  With that tweak we'll keep
    on ignoring them instead of potentially reading past the buffer passed to
    getgrouplist(3).  That behavior is explicitely described in initgroups(3).
    
    ok millert@ gilles@
    
    OpenBSD-Commit-ID: a959fc45ea3431b36f52eda04faefc58bcde00db

commit e7adebeff3a9d038d0eaeeb0fcefedf29acb7e90
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    Add git signing key for Tim Rice

commit da4b84845e874f12af7e0686170fa391c919d1df
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Correct path to c-cpp.yml file in workflow config.

commit 28740aa2c75392a9c4191eb9523f9b20853e2932
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Test new OpenSSL and LibreSSL releases.`

commit a74809fe06540f16231b354ffe21fcbf39e81f73
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Add nbsd10 default test config.

commit 88b35cbdc1500efece65cd6a9a20a72cf7e46eaa
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    fix uint64_t types; reported by Tom G. Christensen

commit ef7c26cd2f0f9a8222f851d1e551f6dfd3113f8b
Author: Damien Miller <djm@mindrot.org>
Date:   9 months ago

    htole64() etc for systems without endian.h

commit 0c3927c45f8a57b511c874c4d51a8c89414f74ef
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: explicitly include endian.h
    
    OpenBSD-Commit-ID: 13511fdef7535bdbc35b644c90090013da43a318

commit cf3e48ee8ba1beeccddd2f203b558fa102be67a2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: fix ML-KEM768x25519 KEX on big-endian systems; spotted by
    
    jsg@ feedback/ok deraadt@
    
    OpenBSD-Commit-ID: 26d81a430811672bc762687166986cad40d28cc0

commit ae566d51b64fa3dce7063e7745b9b35f8f47abde
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   9 months ago

    upstream: mlkem768x25519-sha256 has been promoted to default key
    
    exchange
    
    OpenBSD-Commit-ID: 5a3259a193fd42108a869ebf650b95b5f2d08dcf

commit 3af1dba1384ca896df6e973c70398c41d36de1ea
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Retire the minix3 test config.
    
    It got broken by the sshd-auth change, it's not obvious why, and the
    platform lacks the debugging tools (eg gdb, strace) to figure it out.
    The upstream project seems effectively dead (6 years since the last
    commit, 10 since the last release).  It was useful while it lasted
    (we found a real bug because of it) but its time seems to have passed.

commit 3b240cc44b8de9175280ddbe59331317d427b0e3
Author: Preetish Amballi <amballip@gmail.com>
Date:   9 months ago

    Updated gitignore to ignore sshd-session and sshd-auth targets

commit 326495744f06a0ab18ee0d16f87b3fe91cac92fb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Simplify pselect shim and remove side effects.
    
    Instead of maintaing state (pipe descriptors, signal handlers) across
    pselect-on-select invocations, set up and restore them each call.
    This prevents outside factors (eg a closefrom or signal handler
    installation) from potentially causing problems.  This does result in a
    drop in throughput of a couple of percent on geriatric platforms without
    a native pselect due to the extra overhead.  Tweaks & ok djm@

commit e53b615f3934ffac1efb3c1e491d126b9b09fd24
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: promote mlkem768x25519-sha256 to be the default key exchange;
    
    ok markus@
    
    OpenBSD-Commit-ID: fc673065e6505bb06b2e2b9362f78ccb4200a828

commit de644b1831b970f6655f871c051774cc871e8e74
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: test SIGUSR1 dropping all keys from ssh-agent
    
    OpenBSD-Regress-ID: 8654b9aa8eb695b1499fffc408c25319592bf0e0

commit e86d7a077ce9a2b9ee9d4138c358a17cbdb786f9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: amake ssh-agent drop all keys when it receives SIGUSR1;
    
    let's users zap keys without access to $SSH_AUTH_SOCK
    
    ok deraadt@
    
    OpenBSD-Commit-ID: dae9db0516b1011e5ba8c655ac702fce42e6c023

commit 94cdfebec852a2429c008cc2a55f8e4183f36972
Author: djm@openbsd.org <djm@openbsd.org>
Date:   9 months ago

    upstream: relax valid_domain() checks to allow an underscore as the
    
    first character. ok deraadt@
    
    OpenBSD-Commit-ID: 3f8be6d32496e5596dd8b14e19cb067ddd7969ef

commit 1b05d5437bf45bee5e3104772dea06ed51764f1b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 months ago

    upstream: Remove sshd logfile in start_sshd
    
    ... and ssh and sshd log wrappers before recreating them.  Prevents "can't
    create" errors during tests when running tests without SUDO after having
    run them with SUDO.
    
    OpenBSD-Regress-ID: 2f0a83532e3dccd673a9bf0291090277268c69a6

commit 307ab3c7720f8879b835614b02687358ee4df9b9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 months ago

    upstream: Add a sshd debug wrapper
    
    ... to run all of the subprograms from the build directory while
    developing and debugging.  Should help prevent accidentally testing
    against unchanged installed sshd-auth and sshd-session binaries. ok djm@
    
    OpenBSD-Commit-ID: 61760cdc98c2bc8f1e9f83a6f97cca0f66b52e69

commit 87bd1cb3ccba5e91d2650eb7f753c898ee43858e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   9 months ago

    upstream: Make debug call printf("%s", NULL) safe.
    
    Prevents problems on platforms where this isn't safe (which it's not
    required to be).  ok djm@
    
    OpenBSD-Commit-ID: 8fa4ce3ad90915c925b81b99a79ab920b0523387

commit c44c349edd157b2c00c42bd5ef5f9dfb37de26f3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   9 months ago

    Resync cvsid missed in commit 6072e4c9.

commit fe4305c37ffe53540a67586854e25f05cf615849
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: mention that LocalForward and RemoteForward can accept Unix
    
    domain socket paths; GHPR115
    
    OpenBSD-Commit-ID: a8a34d0a0c51a9ddab3dfce615f9878fa76ef842

commit 9c97b6af8e052ab5ffe0f9096fadc8f9a4d0ed0f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: remove duplicate check; GHPR392 from Pedro Martelletto
    
    OpenBSD-Commit-ID: 597ab7dd3f0e78939d2659fc1904d0f39ee95487

commit d9cd208e89a471a3ff8adfcec68d6210af9e9fd5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: allow "-" as output file for moduli screening
    
    based on GHPR393
    
    OpenBSD-Commit-ID: 1517763764eb55d03a6092dd120d2909c6fef0e1

commit 5eb5c4b2820d0636b1eccee646fb32ec946c4a95
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: ssh-keyscan doesn't need it's own sshfatal() definition, it
    
    can use the shared one from fatal.c
    
    based on GHPR401 from lengyijun
    
    OpenBSD-Commit-ID: 8ea75ea99f27f464c9223cbc89cb046ccf9cd5c4

commit 0a1e75499e2c6fc258ee903645c878480949f362
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: in _ssh_order_hostkeyalgs() consider ECDSA curve type when
    
    arranging the hostkey algorithms. AFAIK this code is unused in OpenSSH, but I
    guess others are using it
    
    based on GHPR387 from Pawel Jakub Dawidek
    
    OpenBSD-Commit-ID: 4d462495ac0c40f7b7dd66178e0005b9b2128225

commit d01ee7a88c5f4b1aa8c75a7c739f8f3bc1ad8bde
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: require control-escape character sequences passed via the '-e
    
    ^x' commandline to be exactly two characters long. Avoids one by OOB read if
    ssh is invoked as "ssh -e^ ..."
    
    Spotted by Maciej Domanski in GHPR368
    
    OpenBSD-Commit-ID: baa72bc60898fc5639e6c62de7493a202c95823d

commit 74ff6382f5743e09930e6cbd195dac65cd6062c9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: remove addr.[ch] functions that are unused and
    
    visbility-restrict ones that are unused outside the implementation itself;
    based on GHPR#282 by tobias@
    
    OpenBSD-Commit-ID: a0140f2418b4d46cfaa7b33febc0a0931f9b2744

commit a9d6d7d93c533fa729f08b405e786d912553f33e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: unreachable POLLERR case; from ya0guang via GHPR485
    
    OpenBSD-Commit-ID: b3c82655190532b01eb817e532742cfaa4687eff

commit d76424bf279ff951383e21213eb3759ea4090674
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: s/Sx/Cm/ for external references; from Domen Puncer
    
    Kugler via GHPR501
    
    OpenBSD-Commit-ID: f864a34feb5d5ff17160cf7c42ad0f7744fe8a3f

commit ca204b994e2981e7bf95627b3105408917105649
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   10 months ago

    upstream: mention SshdAuthPath option; ok djm@
    
    OpenBSD-Commit-ID: 9a5d3add25e4e77bd3805bc5583a842ecf34d85c

commit be27770e840c4dd9d9fcad1aa879400c727d7c2f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Remove references to systrace and pledge sandboxes.
    
    ok djm@

commit 49e64bf63fbf2f14961062dafe8ef08cb816bb08
Author: Pavel Miadzvedzeu <pmiadzvedzeu@gmail.com>
Date:   1 year, 3 months ago

    Fix "undeclared 'ut'" error by replacing it with 'utx'

commit 67f684733f60f66479854a2867b953de731e71b2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Seed RNG when starting up sshd-auth.
    
    Makes builds configured --without-openssl work again since otherwise
    the first use of the RNG comes after the sandbox init and it can't
    open /dev/random.

commit c06c681aeebbe8e84e7410095514e7ee91f7e6cb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    MacOS 12 runners are deprecated, replace with 15.

commit 39db1f23bafb48a7c0cc9c65c716a0370f4cc677
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    Fix lookup path for sshd-auth; bz3745

commit c537eeb1ae5f069450053b0027e64efe5bdb37d2
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    fix breakage; missing saved_argc symbol

commit 98a0883bdef28a06c7e017f27adf21ba57898bf4
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    fix capsicum sandbox

commit 164ea4380564a2a83713eacf71908e3946e5e4e4
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    put back some portable bits for sshd-auth.c

commit f8edf08c258ee2918689872c4702302052729726
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    there's only one sandbox, move to a static global

commit 4482f0042b41d3d63c3845d7ba9fcf47c9252a84
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    depend

commit 74856204a353a187dc6e7706c6cf84b7f14d775d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: regress support for split sshd-auth binary
    
    OpenBSD-Regress-ID: df7d18a87b475f70004770f0f4e404adba5f6ab7

commit 461741083d7254595fecea274e60fe3ebf3ce3f9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: test some more Match syntax, including criteria=arg and
    
    negations
    
    OpenBSD-Regress-ID: 67476baccc60bf1a255fd4e329ada950047b8b8d

commit 6072e4c9385713e9c166f32cfca6a7e603d4f0b8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: Split per-connection sshd-session binary
    
    This splits the user authentication code from the sshd-session
    binary into a separate sshd-auth binary. This will be executed by
    sshd-session to complete the user authentication phase of the
    protocol only.
    
    Splitting this code into a separate binary ensures that the crucial
    pre-authentication attack surface has an entirely disjoint address
    space from the code used for the rest of the connection. It also
    yields a small runtime memory saving as the authentication code will
    be unloaded after thhe authentication phase completes.
    
    Joint work with markus@ feedback deraadt@
    
    Tested in snaps since last week
    
    OpenBSD-Commit-ID: 9c3b2087ae08626ec31b4177b023db600e986d9c

commit fe6c6330c1a94c7a537efe9069853ce7a275c50a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: don't start the ObscureKeystrokeTiming mitigations if
    
    there has been traffic on a X11 forwarding channel recently.
    
    Should fix X11 forwarding performance problems when this setting is
    enabled. Patch from Antonio Larrosa via bz3655
    
    OpenBSD-Commit-ID: 820284a92eb4592fcd3d181a62c1b86b08a4a7ab

commit 538cd28598ae942c94b99855b06fdd937e2e7381
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   10 months ago

    upstream: remove duplicate misc.h include ok dtucker@
    
    OpenBSD-Commit-ID: fdd056e7854294834d54632b4282b877cfe4c12e

commit 0051381a8c33740a77a1eca6859efa1c78887d80
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: Turn off finite field (a.k.a modp) Diffie-Hellman key
    
    exchange in sshd by default. Specifically, this removes the
    diffie-hellman-group* and diffie-hellman-group-exchange-* methods. The client
    is unchanged and continues to support these methods by default.
    
    Finite field Diffie Hellman is slow and computationally expensive for
    the same security level as Elliptic Curve DH or PQ key agreement while
    offering no redeeming advantages.
    
    ECDH has been specified for the SSH protocol for 15 years and some
    form of ECDH has been the default key exchange in OpenSSH for the last
    14 years.
    
    ok markus@
    
    OpenBSD-Commit-ID: 4e238ad480a33312667cc10ae0eb6393abaec8da

commit 67a115e7a56dbdc3f5a58c64b29231151f3670f5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: fix previous change to ssh_config Match, which broken on
    
    negated Matches; spotted by phessler@ ok deraadt@
    
    OpenBSD-Commit-ID: b1c6acec66cd5bd1252feff1d02ad7129ced37c7

commit 220b6c1290042acd5180d783dea01efe1365c265
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   10 months ago

    upstream: remove some unused defines; ok djm@
    
    OpenBSD-Commit-ID: 3a63e4e11d455704f684c28715d61b17f91e0996

commit 3ef4f6e8a4d774f73852391fdccbb95f39fc71bf
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   10 months ago

    upstream: remove some unneeded Xo/Xc calls; from evan silberman the
    
    original diff had a couple of errors, which i've fixed
    
    OpenBSD-Commit-ID: f37ad5888adbc0d4e1cd6b6de237841f4b1e650d

commit 3f02368e8e9121847727c46b280efc280e5eb615
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: fix regression introduced when I switched the "Match"
    
    criteria tokeniser to a more shell-like one. Apparently the old tokeniser
    (accidentally?) allowed "Match criteria=argument" as well as the "Match
    criteria argument" syntax that we tested for.
    
    People were using this syntax so this adds back support for
    "Match criteria=argument"
    
    bz3739 ok dtucker
    
    OpenBSD-Commit-ID: d1eebedb8c902002b75b75debfe1eeea1801f58a

commit 9517cc58577f85a0ba5f8bb46778dff625f0688f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   10 months ago

    upstream: some extra paranoia, reminded by jsg@
    
    OpenBSD-Commit-ID: 22072bfa1df1391858ae7768a6c627e08593a91e

commit 815a94e86a68c1000b8310cb47695cea9329516c
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    gss-serv.c needs sys/param.h
    
    From Void Linux

commit 76a618d2842c34c16cd21a4efc7230e2f459008d
Author: Damien Miller <djm@mindrot.org>
Date:   10 months ago

    build construct_utmp() when USE_BTMP is set
    
    Fixes compile error on Void Linux/Musl

commit d3aee17f6d395202eaa42a0c449b6da41f61527c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Test the flags from OpenWRT's package.

commit 0f5d19e6fe4b58a89e6dc8c71a2aae30365d193e
Author: Christoph Ostarek <christoph@zededa.com>
Date:   1 year, 1 month ago

    fix utmpx ifdef
    
    02e16ad95fb1f56ab004b01a10aab89f7103c55d did a copy-paste for
    utmpx, but forgot to change the ifdef appropriately

commit e03239f999acf9dc3da0f2f72bde36abbe678911
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   10 months ago

    upstream: remove some unused defines; ok djm@
    
    OpenBSD-Commit-ID: 81869ee6356fdbff19dae6ff757095e6b24de712

commit a35f543d3a6275fef781e515c262d1c687c3bc28
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   11 months ago

    upstream: remove unneeded semicolons; checked by millert@
    
    OpenBSD-Commit-ID: 3fb621a58e04b759a875ad6a33f35bb57ca80231

commit 1641f2d4d6e05d2147913442864cae546e64f08b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   10 months ago

    Add 9.9 branch to CI status console.

commit 46d1fb16b20e971b9ac15e86a3d3e350b49c9ad6
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    update version numbers

commit 0bdca1f218971b38728a0a129f482476baff0968
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: openssh-9.9
    
    OpenBSD-Commit-ID: 303417285f1a73b9cb7a2ae78d3f493bbbe31f98

commit ef2d7f2d3e1b4c9ae71bacf963e76a92ab8be543
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    include openbsd-compat/base64.c license in LICENSE

commit 7ef362b989c8d1f7596f557f22e5924b9c08f0ea
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    conditionally include mman.h in arc4random code

commit 5fb2b5ad0e748732a27fd8cc16a7ca3c21770806
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    fix bug in recently-added sntrup761 fuzzer
    
    key values need to be static to persist across invocations;
    spotted by the Qualys Security Advisory team.

commit 0ca128c9ee894f1b0067abd473bfb33171df67f8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: use 64 bit math to avoid signed underflow. upstream code
    
    relies on using -fwrapv to provide defined over/underflow behaviour, but we
    use -ftrapv to catch integer errors and abort the program. ok dtucker@
    
    OpenBSD-Commit-ID: 8933369b33c17b5f02479503d0a92d87bc3a574b

commit f82e5e22cad88c81d8a117de74241328c7b101c3
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   11 months ago

    upstream: minor grammar/sort fixes for refuseconnection; ok djm
    
    OpenBSD-Commit-ID: 1c81f37b138b8b66abba811fec836388a0f3e6da

commit 0c1165fc78e8fe69b5df71f81a8f944554a68b53
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    avoid gcc warning in fuzz test

commit ce171d0718104b643854b53443ff72f7283d33f2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: bad whitespace in config dump output
    
    OpenBSD-Commit-ID: d899c13b0e8061d209298eaf58fe53e3643e967c

commit 671c440786a5a66216922f15d0007b60f1e6733f
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    use construct_utmp to construct btmp records
    
    Simpler and removes some code with the old-style BSD license.

commit 930cb02b6113df72fbc732b9feb8e4f490952a81
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: update the Streamlined NTRU Prime code from the "ref"
    
    implementation in SUPERCOP 20201130 to the "compact" implementation in
    SUPERCOP 20240808. The new version is substantially faster. Thanks to Daniel
    J Bernstein for pointing out the new implementation (and of course for
    writing it).
    
    tested in snaps/ok deraadt@
    
    OpenBSD-Commit-ID: bf1a77924c125ecdbf03e2f3df8ad13bd3dafdcb

commit 9306d6017e0ce5dea6824c29ca5ba5673c2923ad
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: document Match invalid-user
    
    OpenBSD-Commit-ID: 2c84a9b517283e9711e2812c1f268081dcb02081

commit 0118a4da21147a88a56dc8b90bbc2849fefd5c1e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: add a "Match invalid-user" predicate to sshd_config Match
    
    options.
    
    This allows writing Match conditions that trigger for invalid username.
    E.g.
    
    PerSourcePenalties refuseconnection:90s
    Match invalid-user
     RefuseConnection yes
    
    Will effectively penalise bots try to guess passwords for bogus accounts,
    at the cost of implicitly revealing which accounts are invalid.
    
    feedback markus@
    
    OpenBSD-Commit-ID: 93d3a46ca04bbd9d84a94d1e1d9d3a21073fbb07

commit 7875975136f275619427604900cb0ffd7020e845
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: Add a "refuseconnection" penalty class to sshd_config
    
    PerSourcePenalties
    
    This allows penalising connection sources that have had connections
    dropped by the RefuseConnection option. ok markus@
    
    OpenBSD-Commit-ID: 3c8443c427470bb3eac1880aa075cb4864463cb6

commit 8d21713b669b8516ca6d43424a356fccc37212bb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: Add a sshd_config "RefuseConnection" option
    
    If set, this will terminate the connection at the first authentication
    request (this is the earliest we can evaluate sshd_config Match blocks)
    
    ok markus@
    
    OpenBSD-Commit-ID: 43cc2533984074c44d0d2f92eb93f661e7a0b09c

commit acad117e66018fe1fa5caf41b36e6dfbd61f76a1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: switch sshd_config Match processing to the argv tokeniser
    
    too; ok markus@
    
    OpenBSD-Commit-ID: b74b5b0385f2e0379670e2b869318a65b0bc3923

commit baec3f7f4c60cd5aa1bb9adbeb6dfa4a172502a8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: switch "Match" directive processing over to the argv
    
    string tokeniser, making it possible to use shell-like quoting in Match
    directives, particularly "Match exec". ok markus@
    
    OpenBSD-Commit-ID: 0877309650b76f624b2194c35dbacaf065e769a5

commit dd424d7c382c2074ab70f1b8ad4f169a10f60ee7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: include pathname in some of the ssh-keygen passphrase
    
    prompts. Helps the user know what's going on when ssh-keygen is invoked via
    other tools. Requested in GHPR503
    
    OpenBSD-Commit-ID: 613b0bb6cf845b7e787d69a5b314057ceda6a8b6

commit 62bbf8f825cc390ecb0523752ddac1435006f206
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: Do not apply authorized_keys options when signature
    
    verification fails. Prevents restrictive key options being incorrectly
    applied to subsequent keys in authorized_keys. bz3733, ok markus@
    
    OpenBSD-Commit-ID: ba3776d9da4642443c19dbc015a1333622eb5a4e

commit 49f325fd47af4e53fcd7aafdbcc280e53f5aa5ce
Author: Wu Weixin <wuweixin@gmail.com>
Date:   12 months ago

    Fix without_openssl always being set to 1
    
    In Fedora systems, %{?rhel} is empty. In RHEL systems, %{?fedora} is
    empty. Therefore, the original code always sets without_openssl to 1.

commit c21c3a2419bbc1c59cb1a16ea356e703e99a90d9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: Relax absolute path requirement back to what it was prior to
    
    OpenSSH 9.8, which incorrectly required that sshd was started with an
    absolute path in inetd mode. bz3717, patch from Colin Wilson
    
    OpenBSD-Commit-ID: 25c57f22764897242d942853f8cccc5e991ea058

commit 1bc426f51b0a5cfdcfbd205218f0b6839ffe91e9
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   11 months ago

    upstream: document the mlkem768x25519-sha256 key exchange algorithm
    
    OpenBSD-Commit-ID: fa18dccdd9753dd287e62ecab189b3de45672521

commit 0a2db61a5ffc64d2e2961c52964f933879952fc7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Spell omnios test host correctly.

commit 059ed698a47c9af541a49cf754fd09f984ac5a21
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Add omnios test target.

commit f4ff91575a448b19176ceaa8fd6843a25f39d572
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Wrap stdint.h in ifdef.

commit ff714f001d20a9c843ee1fd9d92a16d40567d264
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Also test PAM on dfly64.

commit 509b757c052ea969b3a41fc36818b44801caf1cf
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    stubs for ML-KEM KEX functions
    
    used for C89 compilers

commit 273581210c99ce7275b8efdefbb9f89e1c22e341
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    declare defeat trying to detect C89 compilers
    
    I can't find a reliable way to detect the features the ML-KEM code
    requires in configure. Give up for now and use VLA support (that we
    can detect) as a proxy for "old compiler" and turn off ML-KEM if
    it isn't supported.

commit e8a0f19b56dfa20f98ea9876d7171ec315fb338a
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    fix previous; check for C99 compound literals
    
    The previous commit was incorrect (or at least insufficient), the
    ML-KEM code is actually using compound literals, so test for them.

commit 7c07bec1446978bebe0780ed822c8fedfb377ae8
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    test for compiler feature needed for ML-KEM
    
    The ML-KEM implementation we uses need the compiler to support
    C99-style named struct initialisers (e.g foo = {.bar = 1}). We
    still support (barely) building OpenSSH with older compilers, so
    add a configure test for this.

commit d469d5f348772058789d35332d1ccb0b109c28ef
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: test mlkem768x25519-sha256
    
    OpenBSD-Regress-ID: 7baf6bc39ae55648db1a2bfdc55a624954847611

commit 62fb2b51bb7f6863c3ab697f397b2068da1c993f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: pull post-quantum ML-KEM/x25519 key exchange out from
    
    compile-time flag now than an IANA codepoint has been assigned for the
    algorithm.
    
    Add mlkem768x25519-sha256 in 2nd KexAlgorithms preference slot.
    
    ok markus@
    
    OpenBSD-Commit-ID: 9f50a0fae7d7ae8b27fcca11f8dc6f979207451a

commit a8ad7a2952111c6ce32949a775df94286550af6b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: make parsing user@host consistently look for the last '@' in
    
    the string rather than the first. This makes it possible to use usernames
    that contain '@' characters.
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    Prompted by Max Zettlmeißl; feedback/ok millert@
    
    OpenBSD-Commit-ID: 0b16eec246cda15469ebdcf3b1e2479810e394c5

commit 13cc78d016b67a74a67f1c97c7c348084cd9212c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: be more strict in parsing key type names. Only allow
    
    shortnames (e.g "rsa") in user-interface code and require full SSH protocol
    names (e.g. "ssh-rsa") everywhere else.
    
    Prompted by bz3725; ok markus@
    
    OpenBSD-Commit-ID: b3d8de9dac37992eab78adbf84fab2fe0d84b187

commit ef8472309a68e319018def6f8ea47aeb40d806f5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: fix RCSID in output
    
    OpenBSD-Commit-ID: 889ae07f2d2193ddc4351711919134664951dd76

commit ba2ef20c75c5268d4d1257adfc2ac11c930d31e1
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   11 months ago

    upstream: envrionment -> environment;
    
    OpenBSD-Commit-ID: b719f39c20e8c671ec6135c832d6cc67a595af9c

commit e66c0c5673a4304a3a9fbf8305c6a19f8653740f
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    add basic fuzzers for our import of sntrup761

commit d19dea6330ecd4eb403fef2423bd7e127f4c9828
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: regression test for Include variable expansion
    
    OpenBSD-Regress-ID: 35477da3ba1abd9ca64bc49080c50a9c1350c6ca

commit 8c4d6a628051e318bae2f283e8dc38b896400862
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: allow the "Include" directive to expand the same set of
    
    %-tokens that "Match Exec" and environment variables.
    
    ok dtucker@
    
    OpenBSD-Commit-ID: 12ef521eaa966a9241e684258564f52f1f3c5d37

commit 51b82648b6827675fc0cde21175fd1ed8e89aab2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: missing ifdef
    
    OpenBSD-Commit-ID: 85f09da957dd39fd0abe08fe5ee19393f25c2021

commit f68312eb593943127b39ba79a4d7fa438c34c153
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: Add experimental support for hybrid post-quantum key exchange
    
    ML-KEM768 with ECDH/X25519 from the Internet-draft:
    https://datatracker.ietf.org/doc/html/draft-kampanakis-curdle-ssh-pq-ke-03
    
    This is based on previous patches from markus@ but adapted to use the
    final FIPS203 standard ML-KEM using a formally-verified implementation
    from libcrux.
    
    Note this key exchange method is still a draft and thus subject to
    change. It is therefore disabled by default; set MLKEM=yes to build it.
    We're making it available now to make it easy for other SSH
    implementations to test against it.
    
    ok markus@ deraadt@
    
    OpenBSD-Commit-ID: 02a8730a570b63fa8acd9913ec66353735dea42c

commit 05f2b141cfcc60c7cdedf9450d2b9d390c19eaad
Author: Antonio Larrosa <alarrosa@suse.com>
Date:   11 months ago

    Don't skip audit before exitting cleanup_exit
    
    This fixes an issue where the SSH_CONNECTION_ABANDON event is not
    audited because cleanup_exit overrides the regular _exit too soon and
    as a result, failed auth attempts are not logged correctly.
    
    The problem was introduced in 81c1099d22b81ebfd20a334ce986c4f753b0db29
    where the code from upstream was merged before the audit_event call when
    it should have been merged right before the _exit call in order to honor
    the comment that just mentions an override of the exit value.

commit 16eaf9d401e70996f89f3f417738a8db421aa959
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: fix test: -F is the argument to specify a non-default
    
    ssh_config, not -f (this is sadly not a new bug)
    
    OpenBSD-Regress-ID: 45a7bda4cf33f2cea218507d8b6a55cddbcfb322

commit 10ccf611ab8ecba9ce6b0548c5ccd8c1220baf92
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   11 months ago

    upstream: As defined in the RFC, the SSH protocol has negotiable
    
    compression support (which is requested as the name "zlib"). Compression
    starts very early in the session. Relative early in OpenSSH lifetime, privsep
    was added to sshd, and this required a shared-memory hack so the two
    processes could see what was going on in the dataflow.  This shared-memory
    hack was soon recognized as a tremendous complexity risk, because it put libz
    (which very much trusts it's memory) in a dangerous place, and a new option
    ("zlib@openssh.com") was added begins compression after authentication (aka
    delayed-compression).  That change also permitted removal of the
    shared-memory hack. Despite removal from the server, the old "zlib" support
    remained in the client, to allow negotiation with non-OpenSSH daemons which
    lack the delayed-compression option. This commit deletes support for the
    older "zlib" option in the client. It reduces our featureset in a small way,
    and encourages other servers to move to a better design. The SSH protocol is
    different enough that compressed-key-material attacks like BEAST are
    unlikely, but who wants to take the chance? We encourage other ssh servers
    who care about optional compression support to add delayed-zlib support.
    (Some already do "zlib@openssh.com") ok djm markus
    
    OpenBSD-Commit-ID: 6df986f38e4ab389f795a6e39e7c6857a763ba72

commit aee54878255d71bf93aa6e91bbd4eb1825c0d1b9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   11 months ago

    upstream: sntrup761x25519-sha512 now has an IANA codepoint assigned, so
    
    we can make the algorithm available without the @openssh.com suffix too. ok
    markus@ deraadt@
    
    OpenBSD-Commit-ID: eeed8fcde688143a737729d3d56d20ab4353770f

commit a76a6b85108e3032c8175611ecc5746e7131f876
Author: Darren Tucker <dtucker@dtucker.net>
Date:   11 months ago

    Move rekey test into valgrind-2.
    
    Now that the rekey test has been optimized it's fast enough to not be in
    its own valgrind test, so move it into valgrind-2, which is currently
    the quickest of the others, bringing all of them to roughly the same
    runtime of ~1.1 hours.

commit 7e75e3f57c41b9a6e6401e7674d7c2ff5c33975b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Use aes128-ctr for MAC tests since default has implicit MAC.
    
    Also verify that the Cipher or MAC we intended to use is actually the one
    selected during the test.
    
    OpenBSD-Regress-ID: ff43fed30552afe23d1364526fe8cf88cbfafe1d

commit ebc890b8b4ba08c84cd1066b7b94b2b11f6c4cb4
Author: Damien Miller <djm@mindrot.org>
Date:   11 months ago

    fix incorrect default for PasswordAuthentication
    
    merge botch spotted by gsgleason

commit 15ace435ea1c2fab2a1cc7d9c3157fe20c776b80
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Some awks won't match on the \r so delete it instead. Fixes
    
    regress in portable on, eg Solaris.
    
    OpenBSD-Regress-ID: 44a96d6d2f8341d89b7d5fff777502b92ac9e9ba

commit 51c96b6ed627779a04493a8fe25747996a37f3c2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: 5db7049ad5558dee5b2079d3422e8ddab187c1cc

commit 25c52f37a82c4da48ec537de37d7c168982b8d6d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   11 months ago

    upstream: Use curve25519-sha256 kex where possible.
    
    Except where we're explicitly testing a different kex, use
    curve25519-sha256 since it's faster than the default and supported even
    when configured without OpenSSL.  Add a check to ensure that the kex we
    intended to test is the one we actually tested. Speeds test up by ~5%.
    
    OpenBSD-Regress-ID: 3b27fcc2ae953cb08fd82a0d3155c498b226d6e0

commit 3eb62b7ba49483c309b483eb9002a679014f3887
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   12 months ago

    upstream: Send only as much data as needed to trigger rekeying. Speeds
    
    up tests by about 10% in the common case, hopefully more when instrumented
    with something like valgrind.
    
    OpenBSD-Regress-ID: 7bf9292b4803357efcf0baf7cfbdc8521f212da1

commit cbd3f034bbf7853618fac99d7d868a2250154ea7
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    simplify sshkey_prekey_alloc(); always use mmap

commit 4442bbc2fc661277a6dabfedb756a7e15ee8b8b8
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   12 months ago

    upstream: Merge AEAD test into main test loop.
    
    Removes 3 duplicate tests and speeds overall test up by about 1%.
    
    OpenBSD-Regress-ID: 5e5c9ff3f7588091ed369e34ac28520490ad2619

commit 829976a63fd1efae3a4c3e7c16fded59d92edb67
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   12 months ago

    upstream: Set a default RekeyLimit of 256k.
    
    Used unless overridden by a command-line flag, which simplifies some of
    the ssh command lines.
    
    OpenBSD-Regress-ID: e7cffa57027088e10336e412b34113969f88cb87

commit 57d02c9ea36aebad4e7146d46e041b6b2e582f7f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   12 months ago

    upstream: Add Compression=no to default ssh_config.
    
    All of the rekey tests use it (otherwise the encrypted byte counts would
    not match) so this lets us simplify the command lines.
    
    OpenBSD-Regress-ID: dab7ce10f4cf6c68827eb8658141272aab3ea262

commit 7254eb26f7c0772c4b47c3b32f6d1b15855cdd8c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   12 months ago

    upstream: Remove duplicate curve25519-sha256 kex.
    
    curve25519-sha256@libssh.org is the pre-standardization name for the same
    thing, so remove it as a duplicate.  Speeds up test by a tiny amount.
    
    OpenBSD-Regress-ID: 5a5ee5fa1595a6e140b1cc16040bedf5996a5715

commit 749896b874928c2785256cae4d75161dc3bfcc7d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   12 months ago

    upstream: Unnest rekey param parsing test and use ssh not sshd.
    
    ssh uses the same parsing code, now has "-G" to dump its config and is
    slightly faster to start up.  This speeds up the test slightly (~5%) in the
    common case but should help more during instrumented tests, eg under
    valgrind, where startup costs are magnified.
    
    OpenBSD-Regress-ID: 07c3acaf4c728e641033071f4441afc88141b0d0

commit 2b1762115481ff2b7a60fd4db2ae69b725437462
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: actually use the length parameter that was passed in rather
    
    than a constant (this makes no difference in practice because the length is
    always the same); reported by martin AT nmkd.net
    
    OpenBSD-Commit-ID: 4aecce232c2fe9b16e9217ff6bcb3c848d853e7e

commit d922762ca16a7381131b242f49d7376c41fabcb5
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    private key coredump protection for Linux/FreeBSD
    
    platforms not supporting coredump exclusion using mmap/madvise flags
    fall back to plain old malloc(3).

commit cc048ca536d6bed6f2285b07040b0d57cd559ba5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: place shielded keys (i.e. keys at rest in RAM) into memory
    
    allocated using mmap(3) with MAP_CONCEAL set. This prevents exposure of the
    key material in coredumps, etc (this is in addition to other measures we take
    in this area).
    
    ok deraadt@
    
    OpenBSD-Commit-ID: cbbae59f337a00c9858d6358bc65f74e62261369

commit a0b35c791cad1f85481b23ba46373060292e1c80
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: mention that ed25519 is the default key type generated and
    
    clarify that rsa-sha2-512 is the default signature scheme when RSA is in use.
    Based on GHPR505 from SebastianRzk
    
    OpenBSD-Commit-ID: 1d90df71636a04601685d2a10a8233bcc8d4f4c5

commit 127a50f2c80572ed1a021feb11ecf941e92cbbef
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: fix minor memory leak in Subsystem option parsing; from
    
    Antonio Larrosa via GHPR515
    
    OpenBSD-Commit-ID: fff3bbefd1b2c45c98cbe45c6b857b15d8a2d364

commit 171427261d2079941eb1041079dbae875da37cbc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: fix swapping of source and destination addresses in some sshd
    
    log messages
    
    OpenBSD-Commit-ID: 24d4cbb86325275df1f037545aa3b91456e52d25

commit 2a50a8f1fa57857a5e124a2280bcf61cc63c77f7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   12 months ago

    Add compat functions for EVP_Digest{Sign,Verify}.
    
    This should make LibreSSL 3.1.x through 3.3.x work again.  Code from
    tb@, ok djm@.  Restore the test configs covering those.

commit 1c3a7145260e03037cc18715b883880836fd122d
Author: Philip Hands <phil@hands.com>
Date:   12 months ago

    make sure that usage & man page match
    
    SSH-Copy-ID-Upstream: da5b1abe55b72a16e0430e7598e1573da01779c0

commit cd0d681645b9adcf2467e7838bfd9d5142de4c4e
Author: Philip Hands <phil@hands.com>
Date:   12 months ago

    update copyright notices
    
    Bump the year to 2024, but also reflect the fact that hands.com Ltd. has
    been wound up in the UK, and its assets (including this copyright) have
    now reverted to its owner, Philip Hands.
    
    SSH-Copy-ID-Upstream: 0e4c4d072747a6568b11a790c29dd1b4ce663d7f

commit 7fc9ccdce18841ebd0a97e31e43258512ab32a32
Author: Philip Hands <phil@hands.com>
Date:   12 months ago

    restore optionality of -i's argument
    
    SSH-Copy-ID-Upstream: f70e3abb510e4eeb040b47894e41828246c1b720

commit c37aa7012b1a3c2c322fd19e71310aadc90fc674
Author: Philip Hands <phil@hands.com>
Date:   12 months ago

    avoid exploring .ssh/id*.pub subdirectories
    
    SSH-Copy-ID-Upstream: 0b9e08b7707ad16de3c8e6a0410d9f42fbd56997

commit 777dce9e2e0d12f7e81e162f77749f30899869fe
Author: Philip Hands <phil@hands.com>
Date:   12 months ago

    ensure that we're always told the source of keys
    
    SSH-Copy-ID-Upstream: 1bee96f4793e8ec3fab9f9361204ae58f5cc7cae

commit fb94fd2339848e40cad6c9bb42b822244cc1a7bc
Author: Philip Hands <phil@hands.com>
Date:   1 year ago

    add $HOME to ERROR if one cannot write to ~/.ssh
    
    SSH-Copy-ID-Upstream: ebef3e9c06e0447bff06e9d84b33023cf592e0ba

commit eb5aafa1ffaeee75799141ec5ded406a65ec7d18
Author: Philip Hands <phil@hands.com>
Date:   1 year ago

    assert that SCRATCH_DIR is a writable directory
    
    SSH-Copy-ID-Upstream: ecb2b9d10883b9a16df56c83896c9bb47a80cde2

commit abcc460a2af46f0d812f8433d97a8eae1d80724c
Author: Philip Hands <phil@hands.com>
Date:   1 year ago

    quote to avoid potential for word splitting
    
    SSH-Copy-ID-Upstream: f379adbe06ac2ef1daf0f130752234c7f8b97e3c

commit b3f91411fd1473605f74c40c1a91a024c7171e27
Author: Philip Hands <phil@hands.com>
Date:   1 year ago

    ensure ERROR output goes to STDERR
    
    SSH-Copy-ID-Upstream: ac394b05eead3b91feb7c2ae4129a3e9b892f1e2

commit 674b8f30f0dbacd787eb1e4e7e1ece34b5543d8f
Author: Philip Hands <phil@hands.com>
Date:   12 months ago

    avoid extra space when no arg given to -i option
    
    SSH-Copy-ID-Upstream: feca9e67e6e37c5653445d1c733569d7abb1770e

commit 0efa0e1c41427c0c6ba839a18c72c1afcd7b7cc0
Author: Philip Hands <phil@hands.com>
Date:   1 year ago

    put the -i before -[pP] (matching man pages)
    
    The man pages (ssh, sftp & ssh-copy-id) all list -i before the port
    setting, so make the output match that order, which also seems more
    natural with the port being next to the server.
    
    SSH-Copy-ID-Upstream: 34d5d614172c78f9a42249466c4b81975b8883a1

commit 87831345e9745f2d13bd7a4a7972809f6788f331
Author: Shreyas Mahangade <smahanga@redhat.com>
Date:   1 year ago

    Minor space issue fixed
    
    SSH-Copy-ID-Upstream: 335e44d7be78b03962a54c3a5c99a2ff45294a54

commit 2f3010f4736b4b3f5c10a4be97a24e90ff04c5e7
Author: Shreyas Mahangade <smahanga@redhat.com>
Date:   1 year ago

    Show identity file in 'ssh' command
    
    - Previously no identity file is shown in "ssh" command output on the line "Now try logging into the..."
    - This commit makes sure whenever "ssh-copy-id" with "-i" is invoked, it also reflects in "ssh" command
    
    SSH-Copy-ID-Upstream: 58e022ec26cb2315eb3be581d01e0ba787082428

commit a13856374b894397a7682b32257ed0bf67cfede9
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    more OPENSSL_HAS_ECC

commit 4da2a1a7f648979bea6eaf3b17f5f250faed4afc
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    fix merge botch that broke !OPENSSL_HAS_ECC

commit 2c53d2f32b8e3992b61682c909ae5bc5122b6e5d
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    missed OPENSSL_HAS_ECC case

commit 342dd7a219f39119b8b686b5aaa99c8e15ede368
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    retire testing aginst older LibreSSL versions
    
    libressl prior to 3.4.x lack support for the EVP_DigestSign and
    EVP_DigestVerify APIs that we need now that sshkey is converted
    to EVP_PKEY.
    
    If someone makes a good case for why we should support these versions
    then we could bring back support with wrappers.

commit a7c6ea8eebe0f179141ec5dbf0c9e5354417930f
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    sync TEST_MALLOC_OPTIONS for OpenBSD

commit 60c2cf22e8f64f35d8b1175e4671257313f2e4d3
Author: Damien Miller <djm@mindrot.org>
Date:   12 months ago

    remove gratuitious difference from OpenBSD

commit 339c4fc60a6250429d41fa8713f783d82aad4551
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: adapt to EVP_PKEY conversion
    
    OpenBSD-Regress-ID: 0e2d4efb0ed0e392e23cd8fda183fe56531ac446

commit 63a94f99b9d7c8a48182a40192e45879d1ba8791
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: test transfers in mux proxy mode too
    
    OpenBSD-Regress-ID: 2edfc980628cfef3550649cab8d69fa23b5cd6c4

commit 7bdfc20516e288b58c8c847958059c7b141eeff9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   12 months ago

    upstream: Convert RSA and ECDSA key to the libcrypto EVP_PKEY API.
    
    DSA remains unconverted as it will be removed within six months.
    
    Based on patches originally from Dmitry Belyavskiy, but significantly
    reworked based on feedback from Bob Beck, Joel Sing and especially
    Theo Buehler (apologies to anyone I've missed).
    
    ok tb@
    
    OpenBSD-Commit-ID: d098744e89f1dc7e5952a6817bef234eced648b5

commit 0af06e2c5b898992a18c74333e75a0136506acc6
Author: tobias@openbsd.org <tobias@openbsd.org>
Date:   12 months ago

    upstream: Reorder calloc arguments
    
    The first argument should be the amount, the second argument should be the
    element size. Fixing this also silences some gcc compiler warnings for
    portable.
    
    Spotted with Benny Baumann (BenBE at geshi dot org).
    
    ok djm@
    
    OpenBSD-Commit-ID: 711ad6f7bd7fb48bf52208f2cf9f108cddb6d41a

commit 56ce0aa3c6cf28d9fcbce3207457abeac91b5050
Author: tobias@openbsd.org <tobias@openbsd.org>
Date:   12 months ago

    upstream: Extend sshbuf validation
    
    Multiple sshbuf structs can be linked through a parent/child relationship.
    Make sure that a single sshbuf cannot be its own parent. If this would ever
    happen, it would result in reference counting issues.
    
    This is a cheap way of testing this with very little overhead. It does not
    detect A->B->A linkages though for performance reason and the fact that it
    takes a programming error for this to occur anyway.
    
    Authored with Benny Baumann (BenBE at geshi dot org).
    
    ok djm@
    
    OpenBSD-Commit-ID: fb3fa9ee2cad3c7e842ebadfd7f5db220c4aaf16

commit fc48ddf6998188517af42dce807e2088b6a0c0be
Author: tobias@openbsd.org <tobias@openbsd.org>
Date:   12 months ago

    upstream: Use freezero for better readability
    
    It has the same meaning as the current pair of calling explicit_bzero
    and free. Spotted with Benny Baumann (BenBE at geshi dot org).
    
    ok djm@
    
    OpenBSD-Commit-ID: 939fbe9ccf52d0d48c5fa53694d6f3bb9927970c

commit 1ff6907ec26dac6ac59fe9fe232899a63b4c14d8
Author: tobias@openbsd.org <tobias@openbsd.org>
Date:   12 months ago

    upstream: Fix typo in comment
    
    Spotted with Benny Baumann (BenBE at geshi dot org).
    
    ok djm@
    
    OpenBSD-Commit-ID: 829160ac8ef3ad3409695ce3a3ade835061cae57

commit 487faaed8f3bb9ffb19e8f807a3da72895b16421
Author: dlg@openbsd.org <dlg@openbsd.org>
Date:   1 year ago

    upstream: add a random amount of time (up to 4 seconds) to the
    
    grace login time.
    
    ok deraadt@ djm@
    
    OpenBSD-Commit-ID: abd3c57aaa5861517529b322df79b6be35ee67f4

commit 2865f5b7520bed3e74fbbb5f8d7a44193d7a4314
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year ago

    upstream: document the reduced logingrace penalty
    
    OpenBSD-Commit-ID: 9b63e0e3599d524ddc10edc4f978081382c3548b

commit 1ec0a64c5dc57b8a2053a93b5ef0d02ff8598e5c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year ago

    Explicitly install libssl-devel cygwin.
    
    Should fix CI tests for cygwin default config.

commit 0bf6e5bb750b66b25c20a1c5a471f91850de3748
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: reduce logingrace penalty.
    
    A single forgotton login that times out should be below the penalty
    threshold.
    
    ok deraadt/claudio
    
    OpenBSD-Commit-ID: cee1f7d17597c97bff8e5092af5d136fdb08f81d

commit 29fb6f6d46b67770084b4f12bcf8a01bd535041b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: Fix proxy multiplexing (-O proxy) bug
    
    If a mux started with ControlPersist then later has a forwarding added using
    mux proxy connection and the forwarding was used, then when the mux proxy
    session terminates, the mux master process will send a channel close to the
    server with a bad channel ID and crash the connection.
    
    This was caused by my stupidly reusing c->remote_id for mux channel
    associations when I should have just added another member to struct channel.
    
    ok markus@
    
    OpenBSD-Commit-ID: c9f474e0124e3fe456c5e43749b97d75e65b82b2

commit 53d1d307438517805989c7d5616d752739a97e03
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year ago

    upstream: mention mux proxy mode
    
    OpenBSD-Commit-ID: fd77a77779f06d316a314e4540dc57c93fc3369a

commit a9b90859d252c2f5a24142f985d38610ac74685f
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 1 month ago

    upstream: fix double word; ok dtucker@
    
    OpenBSD-Commit-ID: e6aff005914fa350b896d2be030be3d3b56ec0e8

commit b05fda224bbcd2f641254534ed2175c42487f3c8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year ago

    Check for SA_RESTART before using it.
    
    ok djm@

commit c276672fc0e99f0c4389988d54a84c203ce325b6
Author: Yuichiro Naito <naito.yuichiro@gmail.com>
Date:   3 years, 11 months ago

    Class-imposed login restrictions
    
    If the following functions are available,
    add an additional check if users are allowed to login imposed by login class.
    
    * auth_hostok(3)
    * auth_timeok(3)
    
    These functions are implemented on FreeBSD.

commit 7717b9e9155209916cc6b4b4b54f4e8fa578e889
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: correct keyword; from Yatao Su via GHPR509
    
    OpenBSD-Commit-ID: 81c778c76dea7ef407603caa157eb0c381c52ad2

commit f2b78bb8f149d6b4d1f62c21aa1f06995dccf4ce
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: don't need return at end of void function
    
    OpenBSD-Commit-ID: 42d322d37f13aa075ae7b1ad9eef591e20b89717

commit a395d37a813c0177cb5bfc4bebf5a52badb73cf0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: fix grammar: "a pattern lists" -> "one or more pattern
    
    lists"
    
    OpenBSD-Commit-ID: f3c844763398faa9800687e8ff6621225498202a

commit 8b664df75966e5aed8dabea00b8838303d3488b8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Cast to sockaddr * in systemd interface.
    
    Fixes build with musl libx.  bz#3707.

commit 30c8c81da2169e78357d08dbb0ddd823b60e93bc
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Add 9.8 branch to ci-status page.

commit ee6b9e661633fcefd29dba0c811cecbc4d027f6f
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   1 year, 4 months ago

    Fix detection of setres*id on GNU/Hurd
    
    Like Linux, proper _SOURCE macros need to be set to get declarations of
    various standard functions, notably setres*id. Now that Debian is using
    -Werror=implicit-function-declaration this is really required. While at
    it, define other _SOURCE macros like on GNU/Linux, since GNU/Hurd uses
    the same glibc.

commit fa41f6592ff1b6ead4a652ac75af31eabb05b912
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    version numbers

commit bfebb8a5130a792c5356bd06e1ddef72a0a0449f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: openssh-9.8
    
    OpenBSD-Commit-ID: 5f8b89e38a4c5f7c6d52ffa19f796d49f36fab19

commit 146c420d29d055cc75c8606327a1cf8439fe3a08
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: when sending ObscureKeystrokeTiming chaff packets, we
    
    can't rely on channel_did_enqueue to tell that there is data to send. This
    flag indicates that the channels code enqueued a packet on _this_ ppoll()
    iteration, not that data was enqueued in _any_ ppoll() iteration in the
    timeslice. ok markus@
    
    OpenBSD-Commit-ID: 009b74fd2769b36b5284a0188ade182f00564136

commit 637e4dfea4ed81264e264b6200172ce319c64ead
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: use "lcd" to change directory before "lls" rather then "cd",
    
    since the directory we're trying to list is local. Spotted by Corinna
    Vinschen
    
    OpenBSD-Regress-ID: 821feca4a4bebe491944e624c8f7f2990b891415

commit c8cfe258cee0b8466ea84597bf15e1fcff3bc328
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: delete obsolete comment
    
    OpenBSD-Commit-ID: 5fb04f298ed155053f3fbfdf0c6fe7cdf84bbfa2

commit 94b9d37100f6fa536aaa1d1a0e4926fe44fbf04d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: retire unused API
    
    OpenBSD-Commit-ID: 3e30d7b0615e2707f6bbe70f61b1c2f72f78161b

commit 268c3a7f5783e731ed60f4e28da66ee3743581d3
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 1 month ago

    upstream: ssl(8) no longer contains a HISTORY section;
    
    OpenBSD-Commit-ID: 83b7ff34433d79595e9c2a5d2a561a6660251245

commit 12b6cc09ce6c430681f03af2a8069e37a664690b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: move child process waitpid() loop out of SIGCHLD handler;
    
    ok deraadt
    
    OpenBSD-Commit-ID: 65815a39564e431414aed7c5ace8076f4e9ca741

commit d6bcd13297c2ab8b528df5a6898f994734849031
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Instead of using possibly complex ssh_signal(), write all
    
    the parts of the grace_alarm_handler() using the exact things allowed by the
    signal-safe rules.  This is a good rule of thumb: Handlers should be written
    to either set a global volatile sig_atomic_t inspected from outside, and/or
    directly perform only safe operations listed in our sigaction(2) manual page.
    ok djm markus
    
    OpenBSD-Commit-ID: 14168ae8368aab76e4ed79e17a667cb46f404ecd

commit b8793e2b0851f7d71b97554fa5260b23796d6277
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 1 month ago

    upstream: save_errno wrappers inside two small signal handlers that
    
    perform system calls, for systems with libc that do perform libc sigtramps.
    ok djm markus
    
    OpenBSD-Commit-ID: 7749b56419a7c9dcfe4c6c04811e429813346c62

commit f23e9332c4c8df37465c4a4f38275ea98980ed7e
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 1 month ago

    upstream: - uppercase start of sentence - correct sentence grammar
    
    ok djm
    
    OpenBSD-Commit-ID: 1ec4b0fdb633a43667f2c8fff1d600bd647dde25

commit 1839e3eb71a759aa795602c1e4196300f4ac2615
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: mention SshdSessionPath option
    
    OpenBSD-Commit-ID: c29734d36c21003973b15c1c9965c35f36cef30c

commit 603193e32aef5db7d60c58066d5de89806e79312
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Rerun upstream tests on .sh file changes too.

commit dbbf9337c19381786a8e5a8a49152fe6b80c780d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Work around dbclient cipher/mac query bug.
    
    Unlike earlier versions, recent Dropbear (at least v2024.85) requires
    a host arg when querying supported ciphers and macs via "-c/-m
    help".  Earlier versions accept but do not require it, so always
    provide it.  If these queries fail, skip the test with a warning.
    
    OpenBSD-Regress-ID: 98eb863a3f0363416922efb273885e6b3c7f68d4

commit 8de2c8cebc46bbdb94b7a2c120fcadfb66a3cccc
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Remove dropbear key types not supported
    
    by current OpenSSH. Allows subsequent test runs to work if OpenSSH is
    rebuilt w/out OpenSSL.
    
    OpenBSD-Regress-ID: e0129eb2b1d31771105903a8055216fbba20a770

commit e9b6471c59b21e5d9ef1b3832d4bf727338add85
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: stricter check for overfull tables in penalty record path
    
    OpenBSD-Commit-ID: 7df01e648a0723418c554e64a9f2b6d38db060a6

commit d9336d344eb2a1e898c5e66147b3f108c7214694
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: put back reaping of preauth child process when writes
    
    from the monitor fail. Not sure how this got lost in the avalanche of
    patches.
    
    OpenBSD-Commit-ID: eb7eb36371e1ac01050b32b70fb2b3e5d98e72f5

commit 579d9adb70ec0206a788eb5c63804c31a67e9310
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 1 month ago

    upstream: remove one more mention of DSA
    
    OpenBSD-Commit-ID: 8515f55a15f02836ba657df341415f63c60526ca

commit 7089b5f8436ef0b8d3d3ad9ce01045fb9e7aab15
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Move -f to the place needed to restart sshd.

commit d5f83cfd852b14a25f347f082ab539a9454702ad
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Need to supply "-f" to restart sshd.

commit fad34b4ca25c0ef31e5aa841d461b6f21da5b8c1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Provide defaults for ciphers and macs
    
    if querying for them fails since on some versions of Dropbear (at least
    v2024.85) "-m help" doesn't seem to work.  Enable all supported pubkey
    algorithms in the server.
    
    OpenBSD-Regress-ID: 4f95556a49ee9f621789f25217c367a33d2745ca

commit 5521060e35ada9f957cecdddc06d0524e75409ef
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Use ed25519 keys for kex tests
    
    since that's supported by OpenSSH even when built without OpenSSL.
    Only test diffie-hellman kex if OpenSSH is compiled with support for it.
    
    OpenBSD-Regress-ID: a5d09ef9bbd171f9e4ec73ed0d9eeb49a8878e97

commit dbd3b833f6e3815e58f2dc6e14f61a51bcd4d6bd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Rework dropbear key setup
    
    to always generate ed25519 keys, other types only if OpenSSH has support
    for the corresponding key type.
    
    OpenBSD-Regress-ID: 8f91f12604cddb9f8d93aa34f3f93a3f6074395d

commit d6218504e11ae9148adf410fc69b0710a052be36
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Restart sshd after installing it for testing.
    
    When installing an sshd built without OpenSSL the mismatch between
    the running sshd and newly installed sshd-session will cause the
    remainder of the test to fail.

commit 786a4465b6bb702daf4fb17b7c3bcb42b52f0b46
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 1 month ago

    Remove macos-11 runner.
    
    Github is retiring them soon.

commit df1c72a55edbebac14363b57de66ac6a147ecc67
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    PAMServiceName may appear in a Match block

commit de1c2e70e5a5dc3c8d2fe04b24cc93d8ef6930e7
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Re-enable ssh-dss tests
    
    ... if ssh is compiled with DSA support
    
    OpenBSD-Regress-ID: bbfaf8c17f2b50a2d46ac35cb97af99b990c990d

commit dabc2c7cf3c141e8e5d5a1a60d6c1d2d2422cf43
Author: anton@openbsd.org <anton@openbsd.org>
Date:   1 year, 1 month ago

    upstream: Stop using DSA in dropbear interop tests.
    
    OpenBSD-Regress-ID: abfd4457d99d8cc1417fd22ca2c570270f74c1cf

commit 761438012710169445acc179e3870c53c862bda0
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    missed a bit of DSA in the fuzzer

commit 3f9cc47da588e8de520720e59f98438043fdaf93
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    DSA support is disabled, so remove from fuzzers

commit 00eb95957dea5484b2c7c043f7d2bbc87301bef2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: disable the DSA signature algorithm by default; ok
    
    markus@
    
    (yes, I know this expands to "the Digitial Signature Algorithm
    signature algorithm)
    
    OpenBSD-Commit-ID: 961ef594e46dd2dcade8dd5721fa565cee79ffed

commit 5603befe11c9464ea26fe77cbacc95a7cc0b1ea7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: promote connection-closed messages from verbose to info
    
    log level; they could be the only record of the connection terminating if the
    client doesn't send a SSH2_MSG_DISCONNECT message. ok dtucker@
    
    OpenBSD-Commit-ID: 0c8bfaf5e9fdff945cee09ac21e641f6c5d65d3c

commit b00331402fe5c60d577f3ffcc35e49286cdc6b47
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    propagate PAM crashes to PerSourcePenalties
    
    If the PAM subprocess crashes, exit with a crash status that will be
    picked up by the sshd(8) listener process where it can be used by
    PerSourcePenalties to block the client. This is similar handling to
    the privsep preauth process.

commit 1c207f456ace38987deda047758d13fbf857f948
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 1 month ago

    minix doesn't have loopback, so skip penalty tests
    
    pointed out by dtucker@

commit 48443d202eaec52d4d39defdd709a4499a7140c6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: same treatment for this test
    
    OpenBSD-Regress-ID: d0cc9efca7833e673ea7b0cb3a679a3acee8d4c7

commit 45562a95ea11d328c22d97bf39401cd29684fb1f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 1 month ago

    upstream: penalty test is still a bit racy
    
    OpenBSD-Regress-ID: 90c9ac224db454637baf1ebee5857e007321e824

commit 8d0f7eb147ef72d18acb16c0b18672d44941a8ca
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: crank up penalty timeouts so this should work on even the
    
    slowest of test builders
    
    OpenBSD-Regress-ID: 70bda39c83e3fc9d0f3c1fad4542ed33e173d468

commit 93c75471a1202ab3e29db6938648d4e2602c0475
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 2 months ago

    upstream: sort -q in the options list;
    
    OpenBSD-Commit-ID: 6839b38378f38f754de638a5e988c13b4164cc7c

commit dd7807bbe80a93ffb4616f2bd5cf83ad5a5595fb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: clarify KEXAlgorithms supported vs available. Inspired by
    
    bz3701 from Colin Watson.
    
    OpenBSD-Commit-ID: e698e69bea19bd52971d253f2b1094490c4701f7

commit d172ad56df85b68316dbadbedad16761a1265874
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: ssh-keyscan -q man bits
    
    OpenBSD-Commit-ID: ba28d0e1ac609a4c99c453e57e86560c79079db1

commit 092e4ff9ccaacbe035f286feb1b56ed499604743
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    skip penalty-expire test in valgrind test env

commit 2866ad08a9c50d7b67ce9424ca990532b806a21a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: split the PerSourcePenalties test in two: one tests penalty
    
    enforcement but not penalty expiry, the other tests penalty expiry.
    
    This lets us disable the expiry testing in certain CI test environments.
    
    OpenBSD-Regress-ID: f56811064f3e3cb52ee73a206b8c2a06af1c8791

commit b2c64bc170d75823622a37cab3ca1804ca87ad16
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    add a sshd_config PamServiceName option
    
    Allows selecting which PAM service name to use when UsePAM is
    enabled. Defaults to "sshd" unless overridden at compile time
    by defining SSHD_PAM_SERVICE.
    
    bz2102, ok dtucker@

commit 9f032a4dd17bf0ae6066223d82aa5e784285d987
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: don't redirect stderr for ssh-keyscan we expect to succeed
    
    OpenBSD-Regress-ID: 8878b8eb4e070ed2e343166d3eb86db4a08a216c

commit 1e84d0cf40e94ae3a77d6a7ca8c036d8e3d55a40
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: make host/banner comments go to stderr instead of stdout,
    
    so they are useful as comments without extra shell redirection and so they
    don't clutter actual errors on stderr.
    
    Add a -q flag to shut them up.
    
    ok dtucker@
    
    OpenBSD-Commit-ID: bec813de56a71adb5c1a76adcf49621130d24264

commit 3e806d011855d6bd648ec95b9df630ebbd11c3bf
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 2 months ago

    upstream: separate keywords with comma
    
    OpenBSD-Commit-ID: d65a99666202a8188c4991c18d14374a229f7be5

commit abfd1f7a3cbd0a92581a0febba254b2f6649c0d9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: specify an algorithm for ssh-keyscan, otherwise it will make
    
    multiple attempts simultaneously and confuse the test
    
    OpenBSD-Regress-ID: 6e910f3315c4345053db1bf5cbf61826b194d0b9

commit a8fbe2f7d0d96d299ee8e69769e3b51067978748
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    sshd: don't use argv[0] as PAM service name
    
    sshd would implicitly use argv[0] as the PAM service name to
    allow people to select different PAM service names by making
    differently-named copies/links to the sshd binary.
    
    Splitting sshd into sshd/sshd-session broke this, as the process
    that starts PAM is always sshd-session and the user has no control
    over this.
    
    Hardcode "sshd" as the default PAM service name unless/until we
    figure out a better way. Should unbreak OSX integration tests.

commit bf204bd05c3ae650f87e2b96527688579f59774c
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    prepare for checking in autogenerated files
    
    We plan to check in automatically generated files (config.h.in, etc) on
    release branches. These files are normally ignored by .gitignore, but
    this shuffles the contents of this file to make it easy to un-ignore
    them.

commit 425f79a837489904c343b349ef00e09aeaa4e752
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    typo in comment

commit afe10313c1fa8d478af399ee7d54c8f85503013b
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    fix PTY allocation on Cygwin, broken by sshd split
    
    Cygwin doesn't support FD passing and so used to disable post-auth
    privilege separation entirely because privsep requires PTY allocation
    to happen in the privileged monitor process with the PTY file
    descriptors being passed back to the unprivileged process.
    
    This brings back a minimal version of the previous special treatment
    for Cygwin (and any other platform that sets DISABLE_FD_PASSING):
    privilege separation remains enabled, but PTY allocation happens in
    the post-auth user process rather than the monitor.
    
    This either requires PTY allocation to not need privilege to begin
    with (this appears to be the case on Cygwin), or the post-auth
    privsep process retain privilege (other platforms that set the
    DISABLE_FD_PASSING option).
    
    Keeping privileges here is bad, but the non-Cygwin systems that set
    DISABLE_FD_PASSING are so deeply legacy that this is likely to be the
    least of their problems.

commit f66d4df5749551380a8c4ae642347675a0b6a2e9
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    delay lookup of privsep user until config loaded
    
    sshd-session attempting to use options.kerberos_authentication to
    decide whether it needed to lookup the privsep user before the
    configuration was loaded. This caused it to get a placeholder value
    that caused it always to try to lookup the privsep user, breaking at
    least one test environment.

commit f1c42858b94f5d9b58867b34dce3afb39c6b56a8
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    missing file for PerSourcePenalties regress test

commit 4de80ff4e6fab5a6bb0028e7d57c6c23d1485adb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: split PerSourcePenalties address tracking. Previously it
    
    used one shared table and overflow policy for IPv4 and IPv6 addresses, now it
    will use separate tables and optionally different overflow policies.
    
    This prevents misbehaviour from IPv6 addresses (which are vastly easier
    to obtain many of) from affecting IPv4 connections and may allow for
    stricter overflow policies.
    
    ok deraadt@
    
    OpenBSD-Commit-ID: 12637ed0aa4d5f1f3e702da42ea967cbd8bfdfd9

commit 06ab4c6931b0aaa4334db2faaa7e1069e76d0df6
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 2 months ago

    upstream: do not mark up "(default: 20ms)";
    
    OpenBSD-Commit-ID: 54151ecdecfa1b67dcdda4fd24826ef6e2148ad4

commit cfe243cd9fde148ed060637876e27bb55ac78be9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: reap preauth net child if it hangs up during privsep message
    
    send, not just message receive
    
    OpenBSD-Commit-ID: 02a093f4ab4f8f83f0cd1ea2bb35b9ca420448f0

commit b0a711c00b9c64afd1c9d6fb538275c6604a2676
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: fix PIDFILE handling, broken for SUDO=doas in last commit
    
    here
    
    OpenBSD-Regress-ID: 96fec579af228f87a036e94801eb294af9074625

commit 90fb801e2d9241be50a2a7ff79428386442a041f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: reap the pre-auth [net] child if it hangs up during privsep
    
    message sending, not just receiving
    
    OpenBSD-Commit-ID: f7341605bf08c4c15830910446e6775323f2f8cb

commit ef878d58798f6688c7f4d4e417dc0c29023ea831
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: a little more RB_TREE paranoia
    
    OpenBSD-Commit-ID: 8dc2fd21eebd8830c4a4d25461ac4fe228e11156

commit fc4e96b2174d6a894d2033421699d091679baced
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: fix off-by-one comparison for PerSourcePenalty
    
    OpenBSD-Commit-ID: af4f5d01c41ef870b23e55655bfbf73474a6c02b

commit 82c836df4ff41145553cd7adb11c5b985aeaa06f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: move tree init before possible early return
    
    OpenBSD-Commit-ID: 72e2c5b69f151c08a7c5bf5ad929b97a92c273df

commit a2300f015cc4939c4d9c564b58b74e71202dc978
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: update to mention that PerSourcePenalties default to
    
    being enabled and document the default values for each parameter.
    
    OpenBSD-Commit-ID: b981288bddfb097aad269f62df4081c688ce0034

commit 41987efd356d3fc30139aeab4b09374acf8f91a0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: reap the [net] child if it hangs up while writing privsep
    
    message payloads, not just the message header
    
    OpenBSD-Commit-ID: 24dbd400aa381ac96be7ed2dd49018487dfef6ce

commit 6211aa085fa91155a24922e5329576ac9a8f3175
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: log waitpid() status for abnormal exits
    
    OpenBSD-Commit-ID: b317930e06b51819c1a2bc6a4359764fecfb1c2d

commit a59634c7adb9ae988748d99963dfafb3070d8d41
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: correct error message
    
    OpenBSD-Commit-ID: 581f60f73099083392887206860229ab104620ed

commit fa7d7a667f2ee031e72873e36de2d2a36bca973b
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 2 months ago

    upstream: avoid shadowing issues which some compilers won't accept
    
    ok djm
    
    OpenBSD-Commit-ID: 1e89572397dda83433d58c4fa6333a08f51170d4

commit 3ad4cd9eeca5c9bc6706db44b6de88e2e4513fd6
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 2 months ago

    upstream: escape the final dot at eol in "e.g." to avoid double
    
    spacing;
    
    OpenBSD-Commit-ID: 0a9fb10bc9f7d577afe2da3f498a08bc431115b9

commit 0e0c69761a4c33ccd4a256560f522784a753d1a8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: enable PerSourcePenalties by default.
    
    ok markus
    
    NB. if you run a sshd that accepts connections from behind large NAT
    blocks, proxies or anything else that aggregates many possible users
    behind few IP addresses, then this change may cause legitimate traffic
    to be denied.
    
    Please read the PerSourcePenalties, PerSourcePenaltyExemptList and
    PerSourceNetBlockSize options in sshd_config(5) for how to tune your
    sshd(8) for your specific circumstances.
    
    OpenBSD-Commit-ID: 24a0e5c23d37e5a63e16d2c6da3920a51078f6ce

commit bd1f74741daabeaf20939a85cd8cec08c76d0bec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: mention that PerSourcePenalties don't affect concurrent
    
    in-progress connections.
    
    OpenBSD-Commit-ID: 20389da6264f2c97ac3463edfaa1182c212d420c

commit 9774b938578327d88a651f4c63c504809717590a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: regress test for PerSourcePenalties
    
    OpenBSD-Regress-ID: a1af13d411b25a727742644459d26480b9a1b0f1

commit b8ebd86cefe9812204a10c028dc90de29918667d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: make sure logs are saved from sshd run via start_sshd
    
    OpenBSD-Regress-ID: de4ef0e32e3ab85ff3a6c36eb08d1909c0dd1b4a

commit d7b2070bdaa4ebbfafb9975c1d5a62b73289d31f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: simplify
    
    OpenBSD-Regress-ID: 50316e0d1ae0c0a057a45af042253e54ce23d11c

commit e6ea3d224513b6bfb93818809d4c7397f5995ba2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: prepare for PerSourcePenalties being enabled by default
    
    in future
    
    OpenBSD-Regress-ID: 5236c6d1c823997aac5a35e2915da30f1903bec7

commit c0cb3b8c837761816a60a3cdb54062668df09652
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: disable stderr redirection before closing fds
    
    OpenBSD-Commit-ID: d42cb895ee4542098050367fc35321c9303f003a

commit 81c1099d22b81ebfd20a334ce986c4f753b0db29
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Add a facility to sshd(8) to penalise particular
    
    problematic client behaviours, controlled by two new sshd_config(5) options:
    PerSourcePenalties and PerSourcePenaltyExemptList.
    
    When PerSourcePenalties are enabled, sshd(8) will monitor the exit
    status of its child pre-auth session processes. Through the exit
    status, it can observe situations where the session did not
    authenticate as expected. These conditions include when the client
    repeatedly attempted authentication unsucessfully (possibly indicating
    an attack against one or more accounts, e.g. password guessing), or
    when client behaviour caused sshd to crash (possibly indicating
    attempts to exploit sshd).
    
    When such a condition is observed, sshd will record a penalty of some
    duration (e.g. 30 seconds) against the client's address. If this time
    is above a minimum threshold specified by the PerSourcePenalties, then
    connections from the client address will be refused (along with any
    others in the same PerSourceNetBlockSize CIDR range).
    
    Repeated offenses by the same client address will accrue greater
    penalties, up to a configurable maximum. A PerSourcePenaltyExemptList
    option allows certain address ranges to be exempt from all penalties.
    
    We hope these options will make it significantly more difficult for
    attackers to find accounts with weak/guessable passwords or exploit
    bugs in sshd(8) itself.
    
    PerSourcePenalties is off by default, but we expect to enable it
    automatically in the near future.
    
    much feedback markus@ and others, ok markus@
    
    OpenBSD-Commit-ID: 89ded70eccb2b4926ef0366a4d58a693de366cca

commit 916b0b6174e203cf2c5ec9bcf409472eb7ffbf43
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    whitespace

commit 49b55e44182b8294419aa580cbf043d5b9e3d953
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 2 months ago

    upstream: enable -fret-clean on amd64, for libc libcrypto ld.so
    
    kernel, and all the ssh tools.  The dynamic objects are entirely ret-clean,
    static binaries will contain a blend of cleaning and non-cleaning callers.
    
    OpenBSD-Commit-ID: 112aacedd3b61cc5c34b1fa6d9fb759214179172

commit cc80d51d034bcb24fd0f2564a4bdf1612000a2a2
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    remove PRIVSEP macros for osx

commit 8785491123d4d722b310c20f383570be758f8263
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: be really strict with fds reserved for communication with the
    
    separate sshd-session process - reserve them early and fatal if we can't
    dup2(2) them later. The pre-split fallback to re-reading the configuration
    files is not possible, so sshd-session absolutely requires the fd the
    configuration is passed over to be in order.
    
    ok deraadt@
    
    OpenBSD-Commit-ID: 308a98ef3c8a6665ebf92c7c9a0fc9600ccd7065

commit f1c8918cb98459910fb159373baea053ba4108c0
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    depend

commit 94b4866cb1f4b0ed29a9f367047b30f81002316f
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    rename need_privsep to need_chroot
    
    privsep is mandatory, chroot is optional (disabled when running
    sshd as non-root)

commit e68a95142e5024b144f8eeccd5ffdee42c34f44c
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    remove remaining use_privsep mention

commit b21d271f651d2536dca819cc6d74032fe98634db
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: warn when -r (deprecated option to disable re-exec) is
    
    passed
    
    OpenBSD-Commit-ID: 73145ef5150edbe3ce7889f0844ed8fa6155f551

commit a4b5bc246cbca476deeeb4462aa31746a56e3021
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: typos
    
    OpenBSD-Commit-ID: edfa72eb06bfa65da30fabf7d2fe76d2d33f77bf

commit 8054b906983ceaed01fabd8188d3dac24c05ba39
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: don't need sys/queue.h here
    
    OpenBSD-Commit-ID: dd137396828171eb19e4911581812ca58de6c578

commit 210d4239733da6180ce853538aeb9413d5c62ad5
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 2 months ago

    upstream: remove references to SSH1 and DSA server keys
    
    OpenBSD-Commit-ID: 57cc1c98d4f998981473734f144b904af7d178a2

commit f0b9261d7fdd0ef86806b49fe76344bd16770cd0
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 2 months ago

    upstream: remove unused struct fwd_perm_list, no decl with complete
    
    type ok djm@
    
    OpenBSD-Commit-ID: 416fb3970b7e73c76d2963c4f00cf96f2b2ee2fb

commit 2477a98c3ef78e63b11a1393656e00288f52ae97
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Do not pass -Werror twice when building with clang.
    
    OpenBSD-Commit-ID: 5f378c38ad8976d507786dc4db9283a879ec8cd0

commit 435844f5675245b4271f8581f15e6d1f34fde3bc
Author: miod@openbsd.org <miod@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Do not pass -Werror if building with gcc 3, for asn1.h
    
    and bio.h cause (admittedly bogus) warnings with gcc 3.
    
    OpenBSD-Commit-ID: fb39324748824cb0387e9d67c41d1bef945c54ea

commit fc5dc092830de23767c6ef67baa18310a64ee533
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: this test has been broken since 2014, and has been
    
    testing the same key exchange algorithm repeatedly instead of testing all of
    them. Spotted by nreilly AT blackberry.com in bz3692
    
    Who broke the test? me.
    
    OpenBSD-Regress-ID: 48f4f5946276f975667141957d25441b3c9a50e2

commit fd4816791beaed2fdae7eea3e1494d1972b2a39d
Author: anton@openbsd.org <anton@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Add missing kex-names.c source file required since the
    
    ssh split.
    
    OpenBSD-Regress-ID: ca666223f828fc4b069cb9016bff1eb50faf9fbb

commit beccb7319c5449f6454889013403c336446d622e
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 2 months ago

    upstream: remove duplicate copy of relink kit for sshd-session
    
    OpenBSD-Commit-ID: 6d2ded4cd91d4d727c2b26e099b91ea935bed504

commit dcd79fa141311c287e0595ede684b7116122fae0
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 2 months ago

    upstream: remove prototypes with no matching function; ok djm@
    
    OpenBSD-Commit-ID: 6d9065dadea5f14a01bece0dbfe2fba1be31c693

commit 6454a05e7c6574d70adf17efe505a8581a86ca4f
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 2 months ago

    upstream: remove externs for removed vars; ok djm@
    
    OpenBSD-Commit-ID: f51ea791d45c15d4927eb4ae7d877ccc1e5a2aab

commit f3e4db4601ef7d2feb1d6f7447e432aaf353a616
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 2 months ago

    upstream: -Werror was turned on (probably just for development),
    
    and this is a simple way to satisfy older gcc.
    
    OpenBSD-Commit-ID: 7f698df54384b437ce33ab7405f0b86c87019e86

commit 24a1f3e5ad6f4a49377d4c74c36637e9a239efd0
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    attempt at updating RPM specs for sshd-session

commit 17b566eeb7a0c6acc9c48b35c08885901186f861
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: g/c unused variable
    
    OpenBSD-Commit-ID: aa6ef0778a1f1bde0d73efba72a777c48d2bd010

commit 01fb82eb2aa0a4eaf5c394ea8bb37ea4c26f8a3f
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 2 months ago

    upstream: spelling; ok djm@
    
    OpenBSD-Commit-ID: bdea29bb3ed2a5a7782999c4c663b219d2270483

commit b88b690e99145a021fc1a1a116a11e0bce0594e7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: allow overriding the sshd-session binary path
    
    OpenBSD-Regress-ID: 5058cd1c4b6ca1a15474e33546142931d9f964da

commit a68f80f2511f0e0c5cef737a8284cc2dfabad818
Author: anton@openbsd.org <anton@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Since ssh-agent(1) is only readable by root by now, use
    
    ssh(1) while generating data in tests.
    
    OpenBSD-Regress-ID: 24eb40de2e6b0ace185caaba35e2d470331ffe68

commit 92e55890314ce2b0be21a43ebcbc043b4abc232f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: fix incorrect debug option name introduce in previous
    
    commit
    
    OpenBSD-Commit-ID: 66d69e22b1c072c694a7267c847f212284614ed3

commit 4ad72878af7b6ec28da6e230e36a91650ebe84c1
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 2 months ago

    upstream: construct and install a relink-kit for sshd-session ok
    
    djm
    
    OpenBSD-Commit-ID: 8b3820adb4da4e139c4b3cffbcc0bde9f08bf0c6

commit 02e679a2cb3f6df8e9dbb1519ed578226485157f
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 2 months ago

    Makefile support for sshd-session

commit c0416035c5eaf70a8450d11c8833c5f7068ee7ad
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: missing files from previous
    
    OpenBSD-Commit-ID: 4b7be4434d8799f02365552b641a7a70a7ebeb2f

commit 03e3de416ed7c34faeb692967737be4a7bbe2eb5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 2 months ago

    upstream: Start the process of splitting sshd into separate
    
    binaries. This step splits sshd into a listener and a session binary. More
    splits are planned.
    
    After this changes, the listener binary will validate the configuration,
    load the hostkeys, listen on port 22 and manage MaxStartups only. All
    session handling will be performed by a new sshd-session binary that the
    listener fork+execs.
    
    This reduces the listener process to the minimum necessary and sets us
    up for future work on the sshd-session binary.
    
    feedback/ok markus@ deraadt@
    
    NB. if you're updating via source, please restart sshd after installing,
    otherwise you run the risk of locking yourself out.
    
    OpenBSD-Commit-ID: 43c04a1ab96cdbdeb53d2df0125a6d42c5f19934

commit 1c0d81357921f8d3bab06841df649edac515ae5b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 3 months ago

    upstream: simplify exit message handling, which was more complicated
    
    than it needed to be because of unexpunged ssh1 remnants. ok markus@
    
    OpenBSD-Commit-ID: 8b0cd2c0dee75fb053718f442aa89510b684610b

commit cbbbf76aa6cd54fce32eacce1300e7abcf9461d4
Author: tobias@openbsd.org <tobias@openbsd.org>
Date:   1 year, 3 months ago

    upstream: remove SSH1 leftovers
    
    Authored with Space Meyer <git at the-space dot agency>
    
    ok djm
    
    OpenBSD-Commit-ID: 81db602e4cb407baae472689db1c222ed7b2afa3

commit bc5dcb8ab9a4e8af54a724883732af378f42ea78
Author: tobias@openbsd.org <tobias@openbsd.org>
Date:   1 year, 3 months ago

    upstream: never close stdin
    
    The sanitise_stdfd call makes sure that standard file descriptors are
    open (if they were closed, they are connected with /dev/null).
    
    Do not close stdin in any case to prevent error messages when stdin is
    read multiple times and to prevent later usage of fd 0 for connections,
    e.g.
    
    echo localhost | ssh-keyscan -f - -f -
    
    While at it, make stdin-related error messages nicer.
    
    Authored with Max Kunzelmann <maxdev at posteo dot de>
    
    ok djm
    
    OpenBSD-Commit-ID: 48e9b7938e2fa2f9bd47e6de6df66a31e0b375d3

commit 6a42b70e56bef1aacdcdf06352396e837883e84f
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 3 months ago

    sync getrrsetbyname.c with recent upstream changes

commit 385ecb31e147dfea59c1c488a1d2011d3867e60e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 3 months ago

    upstream: fix home-directory extension implementation, it always
    
    returned the current user's home directory contrary to the spec.
    
    Patch from Jakub Jelen via GHPR477
    
    OpenBSD-Commit-ID: 5afd775eab7f9cbe222d7fbae4c793de6c3b3d28

commit 14e2b16bc67ffcc188906f65008667e22f73d103
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 3 months ago

    upstream: flush stdout after writing "sftp>" prompt when not using
    
    editline.
    
    From Alpine Linux via GHPR480
    
    OpenBSD-Commit-ID: 80bdc7ffe0358dc090eb9b93e6dedb2b087b24cd

commit 2e69a724051488e3fb3cd11531c4b5bc1764945b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 3 months ago

    upstream: stricter validation of messaging socket fd number; disallow
    
    usage of stderr. Based on GHPR492 by RealHurrison
    
    OpenBSD-Commit-ID: 73dbbe82ea16f73ce1d044d3232bc869ae2f2ce8

commit da757b022bf18c6f7d04e685a10cd96ed00f83da
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 3 months ago

    upstream: add missing reserved fields to key constraint protocol
    
    documentation.
    
    from Wiktor Kwapisiewicz via GHPR487
    
    OpenBSD-Commit-ID: 0dfb69998cfdb3fa00cbb0e7809e7d2f6126e3df

commit 16d0b82fa08038f35f1b3630c70116979f49784f
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 3 months ago

    depend

commit 66aaa678dbe59aa21d0d9d89a3596ecedde0254b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 3 months ago

    upstream: correctly restore sigprocmask around ppoll() reported
    
    by Tõivo Leedjärv; ok deraadt@
    
    OpenBSD-Commit-ID: c0c0f89de5294a166578f071eade2501929c4686

commit 80fb0eb21551aed3aebb009ab20aeffeb01e44e0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 3 months ago

    upstream: add explict check for server hostkey type against
    
    HostkeyAlgorithms. Allows HostkeyAlgorithms to disable implicit fallback from
    certificate keys to plain keys. ok markus@
    
    OpenBSD-Commit-ID: 364087e4a395ff9b2f42bf3aefdb2090bb23643a

commit 5b28096d31ff7d80748fc845553a4aef5bb05d86
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 3 months ago

    upstream: correct indentation; no functional change ok tb@
    
    OpenBSD-Commit-ID: dd9702fd43de546bc6a3f4f025c74d6f3692a0d4

commit fd3cb8a82784e05f621dea5b56ac6f89bc53c067
Author: semarie@openbsd.org <semarie@openbsd.org>
Date:   1 year, 4 months ago

    upstream: set right mode on ssh-agent at boot-time
    
    which sthen@
    ok deraadt@
    
    OpenBSD-Commit-ID: 662b5056a2c6171563e1626f9c69f27862b5e7af

commit 54343a260e3aa4bceca1852dde31cd08e2abd82b
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Oops, incorrect hex conversion spotted by claudio.
    
    While here try to improve how it reads a bit better.  Surprising the
    regression tests didn't spot this error, maybe it fails to roundtrip the
    values.
    
    OpenBSD-Commit-ID: 866cfcc1955aef8f3fc32da0b70c353a1b859f2e

commit ec78c31409590ad74efc194f886273ed080a545a
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: for parse_ipqos(), use strtonum() instead of mostly
    
    idiomatic strtoul(), but wow it's so gross. ok djm
    
    OpenBSD-Commit-ID: cec14a76af2eb7b225300c80fc0e21052be67b05

commit 8176e1a6c2e6da9361a7abb6fbf6c23c299f495b
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: can shortcut by returning strtonum() value directly; ok
    
    djm
    
    OpenBSD-Commit-ID: 7bb2dd3d6d1f288dac14247d1de446e3d7ba8b8e

commit 9f543d7022a781f80bb696f9d73f1d1c6f9e31d6
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: rewrite convtime() to use a isdigit-scanner and
    
    strtonum() instead of strange strtoul can might be fooled by garage
    characters. passes regress/usr.bin/ssh/unittests/misc ok djm
    
    OpenBSD-Commit-ID: 4b1ef826bb16047aea3f3bdcb385b72ffd450abc

commit 8673137f780d8d9e4cda3c4605cb5d88d5cea271
Author: claudio@openbsd.org <claudio@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Remove unused ptr[3] char array in pkcs11_decode_hex.
    
    OK deraadt@
    
    OpenBSD-Commit-ID: 3d14433e39fd558f662d3b0431c4c555ef920481

commit c7fec708f331f108343d69e4d74c9a5d86d6cfe7
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Replace non-idiomatic strtoul(, 16) to parse a region
    
    of 2-character hex sequences with a low-level replacement designed just for
    the task. ok djm
    
    OpenBSD-Commit-ID: 67bab8b8a4329a19a0add5085eacd6f4cc215e85

commit 019a5f483b0f588da6270ec401d0b4bb35032f3f
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Use strtonum() instead of severely non-idomatic
    
    strtoul() In particular this will now reject trailing garbage, ie.
    '12garbage'. ok djm
    
    OpenBSD-Commit-ID: c82d95e3ccbfedfc91a8041c2f8bf0cf987d1501

commit 8231ca046fa39ea4eb99b79e0a6e09dec50ac952
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: also create a relink kit for ssh-agent, since it is a
    
    long-running setgid program carrying keys with some (not very powerful)
    communication channels. solution for testing the binary from dtucker.
    agreement from djm. Will add it into /etc/rc in a few days.
    
    OpenBSD-Commit-ID: 2fe8d707ae35ba23c7916adcb818bb5b66837ba0

commit bf7bf50bd6a14e49c9c243cb8f4de31e555a5a2e
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 4 months ago

    upstream: new-style relink kit for sshd. The old scheme created
    
    a Makefile by concatenating two Makefiles and was incredibly fragile.  In the
    new way a narrow-purposed install.sh script is created and shipped with the
    objects. A recently commited /etc/rc script understands these files.
    
    OpenBSD-Commit-ID: ef9341d5a50f0d33e3a6fbe995e92964bc7ef2d3

commit 00e63688920905e326d8667cb47f17a156b6dc8f
Author: renmingshuai <renmingshuai@huawei.com>
Date:   1 year, 4 months ago

    Shell syntax fix (leftover from a sync).
    
    Signed-off-by: renmingshuai <renmingshuai@huawei.com>

commit 2eded551ba96e66bc3afbbcc883812c2eac02bd7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 3 months ago

    Merge flags for OpenSSL 3.x versions.
    
    OpenSSL has moved to 3.4 which we don't currently accept.  Based on
    the OpenSSL versioning policy[0] it looks like all of the 3.x versions
    should work with OpenSSH, so remove the distinction in configure and
    accept all of them.
    
    [0] https://openssl.org/policies/general/versioning-policy.html

commit 8673245918081c6d1dc7fb3733c8eb2c5a902c5e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 3 months ago

    Remove 9.6 branch from status page.

commit 70d43049747fa3c66cf876d52271859407cec2fa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 3 months ago

    Update LibreSSL and OpenSSL versions tested.
    
    Update LibreSSL versions to current releases (3.8.4 & 3.9.1).
    Add newly-released OpenSSL 3.3.0, and add tests against the 3.1 and
    3.3 branches.

commit 88351eca17dcc55189991ba60e50819b6d4193c1
Author: 90 <hi@90.gripe>
Date:   1 year, 4 months ago

    Fix missing header for systemd notification

commit 08f579231cd38a1c657aaa6ddeb8ab57a1fd4f5c
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 4 months ago

    notify systemd on listen and reload
    
    Standalone implementation that does not depend on libsystemd.
    With assistance from Luca Boccassi, and feedback/testing from Colin
    Watson. bz2641

commit 43e7c1c07cf6aae7f4394ca8ae91a3efc46514e2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Port changes from selfhosted to upstream tests.
    
    Should get them working again.

commit 281ea25a44bff53eefb4af7bab7aa670b1f8b6b2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Check if OpenSSL implementation supports DSA.
    
    If --enable/disable-dsa-keys is not specified, set based on what OpenSSL
    supports.  If specified as enabled, but not supported by OpenSSL error
    out.  ok djm@

commit 2d2c068de8d696fe3246f390b146197f51ea1e83
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: in OpenSSH private key format, correct type for subsequent
    
    private keys in blob. From Jakub Jelen via GHPR430
    
    OpenBSD-Commit-ID: d17dbf47554de2d752061592f95b5d772baab50b

commit c2c0bdd3e96b3ef66d77fccb85ff4962dc76caf0
Author: Eero Häkkinen <Eero+git@xn--Hkkinen-5wa.fi>
Date:   1 year, 11 months ago

    Expose SSH_AUTH_INFO_0 always to PAM auth modules.
    
    This changes SSH_AUTH_INFO_0 to be exposed to PAM auth modules also
    when a password authentication method is in use and not only
    when a keyboard-interactive authentication method is in use.

commit 02c5ad23124ae801cf248d99ea5068fc4331ca01
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Rearrange selfhosted VM scheduling.
    
    Instead of trying to infer the type of the self hosted tests in each of
    the driver scripts (inconsistently...), set one of the following
    variables to "true" in the workflow:
    
    VM: tests run in a virtual machine.
    EPHEMERAL: tests run on an ephemeral virtual machine.
    PERSISTENT: tests run on a persistent virtual machine
    REMOTE: tests run on a physical remote host.
    
    EPHEMERAL VMs can have multiple instances of any given VM can exist
    simultaneously and are run by a runner pool.  The other types have a
    dedicated runner instance and can only run a single test at a time.
    
    Other settings:
    SSHFS: We need to sshfs mount over the repo so the workflow can collect
            build artifacts.  This also implies the tests must be run over ssh.
    DEBUG_ACTIONS: enable "set -x" in scripts for debugging.

commit cd8a72707c02615365d0851ac51063ab6bfe258f
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 4 months ago

    add new token-based signing key for dtucker@
    
    Verified in person and via signature with old key.
    Will remove old key in a bit.

commit 8d0e46c1ddb5b7f0992591b0dc5d8aaa77cc9dba
Author: Alkaid <zgf574564920@gmail.com>
Date:   1 year, 5 months ago

    Fix OpenSSL ED25519 support detection
    
    Wrong function signature in configure.ac prevents openssh from enabling
    the recently new support for ED25519 priv keys in PEM PKCS8 format.

commit 697359be9c23ee43618243cdbcc9c7981e766752
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: allow WAYLAND_DISPLAY to enable SSH_ASKPASS
    
    From dkg via GHPR479; ok dtucker@
    
    OpenBSD-Commit-ID: 1ac1f9c45da44eabbae89375393c662349239257

commit 7844705b0364574cc70b941be72036c2c2966363
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Use egrep instead of grep -E.
    
    Some plaforms don't have the latter so this makes things easier
    in -portable.
    
    OpenBSD-Regress-ID: ff82260eb0db1f11130200b25d820cf73753bbe3

commit 22b2b6c555334bffdf357a2e4aa74308b03b83c3
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: test -h is the POSIXly way of testing for a symlink. Reduces
    
    diff vs Portable.
    
    OpenBSD-Regress-ID: 6f31cd6e231e3b8c5c2ca0307573ccb7484bff7d

commit edcff77f82c2bb2b5653b36f1e47274c5ef3e8be
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Fix name of OpenBSD upstream CI jobs.

commit 861b084429940e024f1b6e9c2779eac95d7a45db
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Resync with upstream: ${} around DATAFILE.

commit 63f248c7693e7f0a3b9a13d2980ac9a7e37f2aea
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 4 months ago

    upstream: optional debugging
    
    OpenBSD-Regress-ID: b4852bf97ac8fb2e3530f2d5f999edd66058d7bc

commit 16e2ebe06a62f09d4877b769876d92d6008a896f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Verify string returned from local shell command.
    
    OpenBSD-Regress-ID: 5039bde24d33d809aebfa8d3ad7fe9053224e6f8

commit b326f7a1f39ff31324cc3fe2735178fb474c04a4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Improve shell portability: grep -q is not portable so
    
    redirect stdout, and use printf instead of relying on echo to do \n
    substitution.  Reduces diff vs Portable.
    
    Also resync somewhat with upstream.
    
    OpenBSD-Regress-ID: 9ae876a8ec4c4725f1e9820a0667360ee2398337

commit dbf2e319f0c582613fa45a735ea3c242ce56946b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Save error code from SSH for use inside case statement,
    
    from portable. In some shells, "case" will reset the value of $?, so save it
    first.
    
    OpenBSD-Regress-ID: da32e5be19299cb4f0f7de7f29c11257a62d6949

commit d2c8c4fa7def4fb057ed05b3db57b62c810a26f6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Increase timeout. Resyncs with portable where some of
    
    the test VMs are slow enough for this to matter.
    
    OpenBSD-Regress-ID: 6a83a693602eb0312f06a4ad2cd6f40d99d24b26

commit 83621b63514a84791623db3efb59d38bc4bf9563
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: In PuTTY interop test, don't assume the PuTTY major
    
    version is 0. Patch from cjwatson at debian.org via bz#3671.
    
    OpenBSD-Regress-ID: 835ed03c1b04ad46be82e674495521f11b840191

commit 8a421b927700f3834b4d985778e252b8e3299f83
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Really mkdir /usr/local/etc in CI tests.

commit 2946ed522c47ce045314533d426b4e379f745e59
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Better short name for OpenBSD upstream CI jobs too.

commit 18dbe8eff647aacb82d7e86b4ce63d5beee11f25
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Ensure /usr/local/etc exists before using in tests.

commit 5fc1085128e3348bb1b5ee4d955cc767b019b3ad
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Be more specific about when to rerun workflows.

commit 5516923e8ae3da0823fea0d7d28aa813627142c0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Add short names for test jobs on github CI.

commit dc37d2d2470b4a9cedcee9ac926b7362214e3305
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    If we're using xpg4's id, remember to pass args.

commit fe169487937780392b23d3ff3c00e5898c10f784
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 4 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: ad3d1486d105b008c93e952d158e5af4d9d4c531

commit 151146f03b490d19145cd421763aa7d42f5c50e2
Author: job@openbsd.org <job@openbsd.org>
Date:   1 year, 5 months ago

    upstream: Clarify how literal IPv6 addresses can be used in -J mode
    
    OK djm@
    
    OpenBSD-Commit-ID: 524ddae97746b3563ad4a887dfd0a6e6ba114c50

commit 0d5bdc87a675271862b67eb6a9fb13a202fb4894
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Add Mac OS X 14 test targets.

commit 2d7964a03e1f50a48040ec6912c0a956df909d21
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Move xpg4 'id' handling into test-exec.sh.
    
    Handle replacement of 'id' the same way as we do other Portable specific
    replacements in test-exec.sh.  This brings percent.sh back into sync
    with upstream.

commit 75d1d49ed10d978171cdafad28bdbffdbd48f41e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Update branches shown on ci-status to 9.7 and 9.6.

commit f9193f03db0029fc9c31fbdb5c66a2737446bd8f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 4 months ago

    Improve detection of -fzero-call-used-regs=used.
    
    Should better detect problems with gcc 13 on m68k.  bz#3673 from Colin
    Watson via bz#3673 and https://gcc.gnu.org/bugzilla/show_bug.cgi?id=110934
    
    Signed-off-by: Darren Tucker <dtucker@dtucker.net>

commit 86bdd3853f4d32c85e295e6216a2fe0953ad93f0
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    version number in README

commit 282721418e6465bc39ccfd39bb0133e670ee4423
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    crank RPM spec versions

commit 3876a3bbd2ca84d23ba20f8b69ba83270c04ce3a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: openssh-9.7
    
    OpenBSD-Commit-ID: 618ececf58b8cdae016b149787af06240f7b0cbc

commit 8fc109cc614954a8eb2738c48c0db36a62af9a06
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Test against current OpenSSL and LibreSSL releases.
    
    Add LibreSSL 3.9.0, bump older branches to their respective current
    releases.

commit 26b09b45fec7b88ba09042c09be4157e58e231e2
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    quote regexes used to test for algorithm support
    
    Fixes test failures on Solaris 8 reported by Tom G. Christensen

commit a6a740a4948d10a622b505135bb485c10f21db5e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: avoid logging in signal handler by converting mainloop to
    
    ppoll() bz3670, reported by Ben Hamilton; ok dtucker@
    
    OpenBSD-Commit-ID: e58f18042b86425405ca09e6e9d7dfa1df9f5f7f

commit cd82f7526e0481720567ae41db7849ab1c27e27b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: skip more whitespace, fixes find-principals on
    
    allowed_signers files with blank lines; reported by Wiktor Kwapisiewicz
    
    OpenBSD-Commit-ID: b3a22a2afd753d70766f34bc7f309c03706b5298

commit 2f9d2af5cb19905d87f37d1e11c9f035ac5daf3b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 5 months ago

    upstream: Invoke ProxyCommand that uses stderr redirection via
    
    $TEST_SHELL. Fixes test when run by a user whose login shell is tcsh.
    Found by vinschen at redhat.com.
    
    OpenBSD-Regress-ID: f68d79e7f00caa8d216ebe00ee5f0adbb944062a

commit 9b3f0beb4007a7e01dfedabb429097fb593deae6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Prefer openssl binary from --with-ssl-dir directory.
    
    Use openssl in the directory specified by --with-ssl-dir as long
    as it's functional.  Reported by The Doctor.

commit c47e1c9c7911f38b2fc2fb01b1f6ae3a3121a838
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: fix memory leak in mux proxy mode when requesting forwarding.
    
    found by RASU JSC, reported by Maks Mishin in GHPR#467
    
    OpenBSD-Commit-ID: 97d96a166b1ad4b8d229864a553e3e56d3116860

commit 242742827fea4508e68097c128e802edc79addb5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: wrap a few PKCS#11-specific bits in ENABLE_PKCS11
    
    OpenBSD-Commit-ID: 463e4a69eef3426a43a2b922c4e7b2011885d923

commit d52b6509210e2043f33e5a1de58dd4a0d5d48c2a
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    disable RSA tests when algorithm is not supported
    
    Unbreaks "make test" when compiled --without-openssl.
    
    Similar treatment to how we do DSA and ECDSA.

commit 668d270a6c77e8b5a1da26ecad2e6de9f62c8fe4
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    add a --without-retpoline configure option
    
    discussed with deraadt and dtucker a while ago

commit 3deb501f86fc47e175ef6a3eaba9b9846a80d444
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: fix leak of CanonicalizePermittedCNAMEs on error path;
    
    spotted by Coverity (CID 438039)
    
    OpenBSD-Commit-ID: 208839699939721f452a4418afc028a9f9d3d8af

commit 65a44a8a4f7d902a64d4e60eda84384b2e2a24a2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: Separate parsing of string array options from applying them
    
    to the active configuration. This fixes the config parser from erroneously
    rejecting cases like:
    
    AuthenticationMethods password
    Match User ivy
     AuthenticationMethods any
    
    bz3657 ok markus@
    
    OpenBSD-Commit-ID: 7f196cba634c2a3dba115f3fac3c4635a2199491

commit 6886e1b1f55c90942e4e6deed930f8ac32e0f938
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Add nbsd10 test target.

commit d86bf8a3f6ea4fa7887406c2aa9959db71fa41be
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 5 months ago

    more descriptive configure test name

commit 9ee335aacc9f5bdc4cc2c19fafb45e27be7d234e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: explain arguments of internal-sftp GHPR#454 from Niklas
    
    Hambüchen
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    OpenBSD-Commit-ID: 0335d641ae6b5b6201b9ffd5dd06345ebbd0a3f3

commit d1164cb1001dd208fee88aaa9b43d5e6fd917274
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: clarify permissions requirements for ChrootDirectory Part
    
    of GHPR#454 from Niklas Hambüchen
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    OpenBSD-Commit-ID: d37bc8786317a11649c62ff5e2936441186ef7a0

commit d410e17d186552d0717f18217d0d049486754365
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: .Cm for a keyword. Part of GHPR#454 from Niklas Hambüchen
    
    OpenBSD-Commit-ID: d59c52559f926fa82859035d79749fbb4a3ce18a

commit ab73f9678ebf06b32d6361b88b50b42775e0565b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: fix typo in match directive predicate (s/tagged/tag) GHPR#462
    
    from Tobias Manske
    
    OpenBSD-Commit-ID: 05b23b772677d48aa82eefd7ebebd369ae758908

commit 9844aa2521ccfb1a2d73745680327b79e0574445
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: fix proxy multiplexing mode, broken when keystroke timing
    
    obfuscation was added. GHPR#463 from montag451
    
    OpenBSD-Commit-ID: 4e412d59b3f557d431f1d81c715a3bc0491cc677

commit ee6d932acb532f80b11bb7cf161668c70ec8a117
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 5 months ago

    upstream: don't append a gratuitous space to the end of subsystem
    
    arguments; bz3667
    
    OpenBSD-Commit-ID: e11023aeb3f30b77a674e37b8292c862926d5dc6

commit e27f032aa8fcbae9b2e7c451baaf4b8ac6fa3d45
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 5 months ago

    upstream: Always define puttysetup function.
    
    OpenBSD-Regress-ID: b4c0ccfa4006a1bc5dfd99ccf21c854d3ce2aee0

commit 84046f9991abef5f46b040b10cf3d494f933a17b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 6 months ago

    upstream: Exapnd PuTTY test coverage.
    
    Expand the set of ciphers, MACs and KEX methods in the PuTTY interop
    tests.
    
    OpenBSD-Regress-ID: dd28d97d48efe7329a396d0d505ee2907bf7fc57

commit bbf541ee2afe07b08a8b56fa0dc6f38fcfceef2a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 6 months ago

    upstream: Factor out PuTTY setup.
    
    Factor out PuTTY and call only when needed.
    
    This allows us to avoid PuTTY key setup when it's not needed, which
    speeds up the overall test run by a couple of percent.
    
    OpenBSD-Regress-ID: c25eaccc3c91bc874400f7c85ce40e9032358c1c

commit d31c21c57fb4245271680a1e5043cf6470a96766
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   1 year, 6 months ago

    upstream: clean sshd random relinking kit; ok miod@
    
    OpenBSD-Commit-ID: 509bb19bb9762a4b3b589af98bac2e730541b6d4

commit 4dbc5a363ff53a2fcecf6bc3bcc038badc12f118
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: whitespace
    
    OpenBSD-Commit-ID: b24680bc755b621ea801ff8edf6f0f02b68edae1

commit efde85dda2130272af24cc346f6c3cd326182ff1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 5 months ago

    Improve error message for OpenSSL header check.
    
    bz#3668, ok djm@

commit cbbdf868bce431a59e2fa36ca244d5739429408d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Interop test against PuTTY snapshot and releases.

commit 91898bf786b0f149f962c4c96c08a46f29888c10
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Put privsep dir on OS X on /usr/local.
    
    On some runners we can't create /var/empty, so put it some place we can
    write.  Should fix test breakage on Max OS X 11.

commit be5ed8ebed8388c5056bfde4688308cc873c18b9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Add --disable-fd-passing option.
    
    .. and enable for the minix3 test VM.  This will cause it to more reliably
    skip tests that need FD passing and should fix the current test breakage.

commit 0f6a8a0d0a518fd78c4cbebfdac990a57a1c4e41
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 6 months ago

    Use "skip" function instead doing it ourselves.

commit 3ad669f81aabbd2ba9fbd472903f680f598e1e99
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    ignore some vim droppings

commit c283f29d23611a06bbee06bcf458f2fffad721d9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 6 months ago

    upstream: whitespace
    
    OpenBSD-Commit-ID: bf9e4a1049562ee4322684fbdce07142f04fdbb7

commit 0d96b1506b2f4757fefa5d1f884d49e96a6fd4c3
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 6 months ago

    skip tests that use multiplexing on Windows
    
    Some tests here use multiplexing, skip these if DISABLE_FD_PASSING
    is set. Should unbreak tests on Windows.

commit 50080fa42f5f744b798ee29400c0710f1b59f50e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: don't disable RSA test when DSA is disabled; bug introduced
    
    in last commit
    
    OpenBSD-Regress-ID: 8780a7250bf742b33010e9336359a1c516f2d7b5

commit 415c94ce17288e0cdcb9e58cc91fba78d33c8457
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: make DSA testing optional, defaulting to on
    
    ok markus
    
    OpenBSD-Regress-ID: dfc27b5574e3f19dc4043395594cea5f90b8572a

commit f9311e8921d92c5efca767227a497ab63280ac39
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: ensure key_fd is filled when DSA is disabled; spotted by
    
    tb@
    
    OpenBSD-Commit-ID: 9dd417b6eec3cf67e870f147464a8d93f076dce7

commit 4e838120a759d187b036036610402cbda33f3203
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: make DSA key support compile-time optional, defaulting to
    
    on
    
    ok markus@
    
    OpenBSD-Commit-ID: 4f8e98fc1fd6de399d0921d5b31b3127a03f581d

commit afcc9028bfc411bc26d20bba803b83f90cb84e26
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 7 months ago

    upstream: fix incorrect capitalisation;
    
    OpenBSD-Commit-ID: cb07eb06e15fa2334660ac73e98f29b6a1931984

commit 9707c8170c0c1baeb1e06e5a53f604498193885f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: extend ChannelTimeout regression test to exercise multiplexed
    
    connections and the new "global" timeout type. ok dtucker@
    
    OpenBSD-Regress-ID: f10d19f697024e9941acad7c2057f73d6eacb8a2

commit b31b12d28de96e1d43581d32f34da8db27e11c03
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: add a "global" ChannelTimeout type to ssh(1) and sshd(8)
    
    that watches all open channels and will close all open channels if there is
    no traffic on any of them for the specified interval. This is in addition to
    the existing per-channel timeouts added a few releases ago.
    
    This supports use-cases like having a session + x11 forwarding channel
    open where one may be idle for an extended period but the other is
    actively used. The global timeout would allow closing both channels when
    both have been idle for too long.
    
    ok dtucker@
    
    OpenBSD-Commit-ID: 0054157d24d2eaa5dc1a9a9859afefc13d1d7eb3

commit 602f4beeeda5bb0eca181f8753d923a2997d0a51
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: adapt ssh_api.c code for kex-strict
    
    from markus@ ok me
    
    OpenBSD-Commit-ID: 4d9f256852af2a5b882b12cae9447f8f00f933ac

commit 42ba34aba8708cf96583ff52975d95a8b47d990d
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    nite that recent OSX tun/tap is unsupported

commit 690bc125f9a3b20e47745fa8f5b5e1fd5820247f
Author: Sevan Janiyan <venture37@geeklan.co.uk>
Date:   1 year, 7 months ago

    README.platform: update tuntap url

commit 6b8be2ccd7dd091808f86af52066b0c2ec30483a
Author: Rose <83477269+AtariDreams@users.noreply.github.com>
Date:   1 year, 7 months ago

    Fix compilation error in ssh-pcks11-client.c
    
    Compilation fails becaus of an undefined reference to helper_by_ec,
    because we forgot the preprocessor conditional that excludes that function
    from being called in unsupported configurations.

commit 219c8134157744886ee6ac5b8c1650abcd981f4c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: Remove outdated note from PROTOCOL.mux
    
    Port forward close by control master is already implemented
    by `mux_master_process_close_fwd` in `mux.c`
    
    GHPR442 from bigb4ng
    
    OpenBSD-Commit-ID: ad0734fe5916d2dc7dd02b588906cea4df0482fb

commit 4c3cf362631ccc4ffd422e572f075d5d594feace
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: fix missing field in users-groups-by-id@openssh.com reply
    
    documentation
    
    GHPR441 from TJ Saunders
    
    OpenBSD-Commit-ID: ff5733ff6ef4cd24e0758ebeed557aa91184c674

commit f64cede2a3c298b50a2659a8b53eb3ab2c0b8d23
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: make kex-strict section more explicit about its intent:
    
    banning all messages not strictly required in KEX
    
    OpenBSD-Commit-ID: fc33a2d7f3b7013a7fb7500bdbaa8254ebc88116

commit 698fe6fd61cbcb8e3e0e874a561d4335a49fbde5
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    update fuzzer example makefile to clang16

commit fc332cb2d602c60983a8ec9f89412754ace06425
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    unbreak fuzzers - missing pkcs11_make_cert()
    
    provide stub for use in fuzzer harness

commit 9ea0a4524ae3276546248a926b6641b2fbc8421b
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    unbreak fuzzers for clang16
    
    getopt() needs a throw() attribute to compile, so supply one when compiling
    things with C++

commit a72833d00788ef91100c643536ac08ada46440e1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: remove ext-info-* in the kex.c code, not in callers;
    
    with/ok markus@
    
    OpenBSD-Commit-ID: c06fe2d3a0605c517ff7d65e38ec7b2d1b0b2799

commit 86f9e96d9bcfd1f5cd4bf8fb57a9b4c242df67df
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: fix typo; spotted by Albert Chin
    
    OpenBSD-Commit-ID: 77140b520a43375b886e535eb8bd842a268f9368

commit f0cbd26ec91bd49719fb3eea7ca44d2380318b9a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 7 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: 5a636f6ca7f25bfe775df4952f7aac90a7fcbbee

commit 64ddf776531ca4933832beecc8b7ebe1b937e081
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   1 year, 7 months ago

    upstream: spelling; ok markus@
    
    OpenBSD-Commit-ID: 9d01f2e9d59a999d5d42fc3b3efcf8dfb892e31b

commit 503fbe9ea238a4637e8778208bde8c09bcf78475
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 7 months ago

    upstream: sort -C, and add to usage(); ok djm
    
    OpenBSD-Commit-ID: 80141b2a5d60c8593e3c65ca3c53c431262c812f

commit 5413b1c7ff5a19c6a7d44bd98c5a83eb47819ba6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: correct section numbers; from Ed Maste
    
    OpenBSD-Commit-ID: e289576ee5651528404cb2fb68945556052cf83f

commit 430ef864645cff83a4022f5b050174c840e275da
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: match flag type (s/int/u_int)
    
    OpenBSD-Commit-ID: 9422289747c35ccb7b31d0e1888ccd5e74ad566a

commit 1036d77b34a5fa15e56f516b81b9928006848cbd
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    better detection of broken -fzero-call-used-regs
    
    gcc 13.2.0 on ppc64le refuses to compile some function, including
    cipher.c:compression_alg_list() with an error:
    
    > sorry, unimplemented: argument ‘used’ is not supportedcw
    > for ‘-fzero-call-used-regs’ on this target
    
    This extends the autoconf will-it-work test with a similarly-
    structured function that seems to catch this.
    
    Spotted/tested by Colin Watson; bz3645

commit 8241b9c0529228b4b86d88b1a6076fb9f97e4a99
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    crank versions

commit 2f2c65cb5f1518a9c556d3e8efa27ea0ca305c6b
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    depend

commit e48cdee8e19059203b1aeeabec2350b8375fa61f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: regress test for agent PKCS#11-backed certificates
    
    OpenBSD-Regress-ID: 38f681777cb944a8cc3bf9d0ad62959a16764df9

commit 2f512f862df1d5f456f82a0334c9e8cc7208a2a1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: regress test for constrained PKCS#11 keys
    
    OpenBSD-Regress-ID: b2f26ae95d609d12257b43aef7cd7714c82618ff

commit cdddd66412ca5920ed4d3ebbfa6ace12dbd9b82f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: openssh-9.6
    
    OpenBSD-Commit-ID: 21759837cf0e0092d9a2079f8fb562071c11016b

commit 6d51feab157cedf1e7ef5b3f8781ca8ff9c4ab1b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: ssh-agent: record failed session-bind attempts
    
    Record failed attempts to session-bind a connection and refuse signing
    operations on that connection henceforth.
    
    Prevents a future situation where we add a new hostkey type that is not
    recognised by an older ssh-agent, that consequently causes session-bind
    to fail (this situation is only likely to arise when people mix ssh(1)
    and ssh-agent(1) of different versions on the same host). Previously,
    after such a failure the agent socket would be considered unbound and
    not subject to restriction.
    
    Spotted by Jann Horn
    
    OpenBSD-Commit-ID: b0fdd023e920aa4831413f640de4c5307b53552e

commit 7ef3787c84b6b524501211b11a26c742f829af1a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: ban user/hostnames with most shell metacharacters
    
    This makes ssh(1) refuse user or host names provided on the
    commandline that contain most shell metacharacters.
    
    Some programs that invoke ssh(1) using untrusted data do not filter
    metacharacters in arguments they supply. This could create
    interactions with user-specified ProxyCommand and other directives
    that allow shell injection attacks to occur.
    
    It's a mistake to invoke ssh(1) with arbitrary untrusted arguments,
    but getting this stuff right can be tricky, so this should prevent
    most obvious ways of creating risky situations. It however is not
    and cannot be perfect: ssh(1) has no practical way of interpreting
    what shell quoting rules are in use and how they interact with the
    user's specified ProxyCommand.
    
    To allow configurations that use strange user or hostnames to
    continue to work, this strictness is applied only to names coming
    from the commandline. Names specified using User or Hostname
    directives in ssh_config(5) are not affected.
    
    feedback/ok millert@ markus@ dtucker@ deraadt@
    
    OpenBSD-Commit-ID: 3b487348b5964f3e77b6b4d3da4c3b439e94b2d9

commit 0cb50eefdd29f0fec31d0e71cc4b004a5f704e67
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: stricter handling of channel window limits
    
    This makes ssh/sshd more strict in handling non-compliant peers that
    send more data than the advertised channel window allows. Previously
    the additional data would be silently discarded. This change will
    cause ssh/sshd to terminate the connection if the channel window is
    exceeded by more than a small grace allowance.
    
    ok markus@
    
    OpenBSD-Commit-ID: 811e21b41831eba3dd7f67b3d409a438f20d3037

commit 4448a2938abc76e6bd33ba09b2ec17a216dfb491
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: Make it possible to load certs from PKCS#11 tokens
    
    Adds a protocol extension to allow grafting certificates supplied by
    ssh-add to keys loaded from PKCS#11 tokens in the agent.
    
    feedback/ok markus@
    
    OpenBSD-Commit-ID: bb5433cd28ede2bc910996eb3c0b53e20f86037f

commit 881d9c6af9da4257c69c327c4e2f1508b2fa754b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: apply destination constraints to all p11 keys
    
    Previously applied only to the first key returned from each token.
    
    ok markus@
    
    OpenBSD-Commit-ID: 36df3afb8eb94eec6b2541f063d0d164ef8b488d

commit a7ed931caeb68947d30af8a795f4108b6efad761
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: add "ext-info-in-auth@openssh.com" extension
    
    This adds another transport protocol extension to allow a sshd to send
    SSH2_MSG_EXT_INFO during user authentication, after the server has
    learned the username that is being logged in to.
    
    This lets sshd to update the acceptable signature algoritms for public
    key authentication, and allows these to be varied via sshd_config(5)
    "Match" directives, which are evaluated after the server learns the
    username being authenticated.
    
    Full details in the PROTOCOL file
    
    OpenBSD-Commit-ID: 1de7da7f2b6c32a46043d75fcd49b0cbb7db7779

commit 1edb00c58f8a6875fad6a497aa2bacf37f9e6cd5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 7 months ago

    upstream: implement "strict key exchange" in ssh and sshd
    
    This adds a protocol extension to improve the integrity of the SSH
    transport protocol, particular in and around the initial key exchange
    (KEX) phase.
    
    Full details of the extension are in the PROTOCOL file.
    
    with markus@
    
    OpenBSD-Commit-ID: 2a66ac962f0a630d7945fee54004ed9e9c439f14

commit 59d691b886c79e70b1d1c4ab744e81fd176222fd
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 7 months ago

    better detection of broken -fzero-call-used-regs
    
    Use OSSH_CHECK_CFLAG_LINK() for detection of these flags and extend
    test program to exercise varargs, which seems to catch more stuff.
    
    ok dtucker@

commit aa7b21708511a6d4aed3839fc9f6e82e849dd4a1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 8 months ago

    upstream: when invoking KnownHostsCommand to determine the order of
    
    host key algorithms to request, ensure that the hostname passed to the
    command is decorated with the port number for ports other than 22.
    
    This matches the behaviour of KnownHostsCommand when invoked to look
    up the actual host key.
    
    bz3643, ok dtucker@
    
    OpenBSD-Commit-ID: 5cfabc0b7c6c7ab473666df314f377b1f15420b1

commit 4086bd6652c0badccc020218a62190a7798fb72c
Author: markus@openbsd.org <markus@openbsd.org>
Date:   1 year, 8 months ago

    upstream: prevent leak in sshsig_match_principals; ok djm@
    
    OpenBSD-Commit-ID: 594f61ad4819ff5c72dfe99ba666a17f0e1030ae

commit 19d3ee2f3adf7d9a606ff015c1e153744702c4c9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 8 months ago

    upstream: short circuit debug log processing early if we're not going
    
    to log anything. From Kobe Housen
    
    OpenBSD-Commit-ID: 2bcddd695872a1bef137cfff7823044dcded90ea

commit 947affad4831df015c498c00c6351ea6f13895d5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Add tests for OpenSSL 3.2.0 and 3.2 stable branch.

commit 747dce36206675ca6b885010a835733df469351b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Use non-zero arg in compiler test program.
    
    Now that we're running the test program, passing zero to the test function
    can cause divide-by-zero exceptions which might show up in logs.

commit 3d44a5c56585d1c351dbc006240a591b6da502b1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 8 months ago

    upstream: Plug mem leak of msg when processing a quit message.
    
    Coverity CID#427852, ok djm@
    
    OpenBSD-Commit-ID: bf85362addbe2134c3d8c4b80f16601fbff823b7

commit 1d7f9b6e297877bd00973e6dc5c0642dbefc3b5f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 8 months ago

    upstream: Include existing mux path in debug message.
    
    OpenBSD-Commit-ID: 1c3641be10c2f4fbad2a1b088a441d072e18bf16

commit f29934066bd0e561a2e516b7e584fb92d2eedee0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Add an Ubuntu 22.04 test VM.
    
    This is the same version as Github's runners so most of the testing on
    it is over there, but having a local VM makes debugging much easier.

commit a93284a780cd3972afe5f89086b75d564ba157f3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Add gcc-12 -Werror test on Ubuntu 22.04.
    
    Explictly specify gcc-11 on Ubuntu 22.04 (it's the system compiler).

commit 670f5a647e98b6fd95ad64f789f87ee3274b481b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Check return value from write to prevent warning.
    
    ... and since we're testing for flags with -Werror, this caused
    configure to mis-detect compiler flags.

commit cea007d691cfedfa07a5b8599f97ce0511f53fc9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Run compiler test program when compiling natively.
    
    ok djm@

commit ee0d305828f13536c0a416bbf9c3e81039d9ea55
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Factor out compiler test program into a macro.
    
    ok djm@

commit de304c76316b029df460673725a9104224b9959b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Add fbsd14 VM to test pool.

commit 99a2df5e1994cdcb44ba2187b5f34d0e9190be91
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Expand -fzero-call-used-regs test to cover gcc 11.
    
    It turns out that gcc also has some problems with -fzero-call-used-regs,
    at least v11 on mips.  Previously the test in OSSH_CHECK_CFLAG_COMPILE
    was sufficient to catch it with "=all", but not sufficient for "=used".
    Expand the testcase and include it in the other tests for good measure.
    See bz#3629.  ok djm@.

commit ff220d4010717f7bfbbc02a2400666fb9d24f250
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Stop using -fzero-call-used-regs=all
    
    ... since it seems to be problematic with several different versions of
    clang.  Only use -fzero-call-used-regs=used which is less
    problematic, except with Apple's clang where we don't use it at all.
    bz#3629, ok djm@

commit 2a19e02f36b16f0f6cc915f7d1e60ead5e36303b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 8 months ago

    Allow for vendor prefix on clang version numbers.
    
    Correctly detects the version of OpenBSD's native clang, as well as
    Apple's.  Spotted tb@, ok djm@.

commit c52db0114826d73eff6cdbf205e9c1fa4f7ca6c6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 8 months ago

    upstream: set errno=EAFNOSUPPORT when filtering addresses that don't
    
    match AddressFamily; yields slightly better error message if no address
    matches. bz#3526
    
    OpenBSD-Commit-ID: 29cea900ddd8b04a4d1968da5c4a893be2ebd9e6

commit 26f3f3bbc69196d908cad6558c8c7dc5beb8d74a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 9 months ago

    upstream: when connecting via socket (the default case), filter
    
    addresses by AddressFamily if one was specified. Fixes the case where, if
    CanonicalizeHostname is enabled, ssh may ignore AddressFamily. bz5326; ok
    dtucker
    
    OpenBSD-Commit-ID: 6c7d7751f6cd055126b2b268a7b64dcafa447439

commit 050c335c8da43741ed0df2570ebfbd5d1dfd0a31
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 9 months ago

    upstream: when deciding whether to enable keystroke timing
    
    obfuscation, only consider enabling it when a channel with a tty is open.
    
    Avoids turning on the obfucation when X11 forwarding only is in use,
    which slows it right down. Reported by Roger Marsh
    
    OpenBSD-Commit-ID: c292f738db410f729190f92de100c39ec931a4f1

commit 676377ce67807a24e08a54cd60ec832946cc6cae
Author: tobhe@openbsd.org <tobhe@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Make sure sftp_get_limits() only returns 0 if 'limits'
    
    was initialized. This fixes a potential uninitialized use of 'limits' in
    sftp_init() if sftp_get_limits() returned early because of an unexpected
    message type.
    
    ok djm@
    
    OpenBSD-Commit-ID: 1c177d7c3becc1d71bc8763eecf61873a1d3884c

commit 64e0600f23c6dec36c3875392ac95b8a9100c2d6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Test current releases of LibreSSL and OpenSSL.
    
    Retire some of the older releases.

commit c8ed7cc545879ac15f6ce428be4b29c35598bb2a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Specify ssh binary to use
    
    ... instead of relying on installed one.  Fixes test failures in -portable
    when running tests prior to installation.
    
    OpenBSD-Regress-ID: b6d6ba71c23209c616efc805a60d9a445d53a685

commit e9fc2c48121cada1b4dcc5dadea5d447fe0093c3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Put long-running test targets on hipri runners.
    
    Some of the selfhosted test targets take a long time to run for various
    reasons, so label them for "libvirt-hipri" runners so that they can
    start immediately.  This should reduce the time to complete all tests.

commit 7ddf27668f0e21233f08c0ab2fe9ee3fdd6ab1e2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 9 months ago

    upstream: add some tests of forced commands overriding Subsystem
    
    directives
    
    OpenBSD-Regress-ID: eb48610282f6371672bdf2a8b5d2aa33cfbd322b

commit fb06f9b5a065dfbbef5916fc4accc03c0bf026dd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Don't try to use sudo inside sshd log wrapper.
    
    We still need to check if we're using sudo since we don't want to chown
    unecessarily, as on some platforms this causes an error which pollutes
    stderr. We also don't want to unnecessarily invoke sudo, since it's
    running in the context of the proxycommand, on *other* platforms it
    may not be able to authenticate, and if we're using SUDO then it should
    already be privileged.
    
    OpenBSD-Regress-ID: 70d58df7503db699de579a9479300e5f3735f4ee

commit fc3cc33e88c242c704781c6c48087838f1dcfa2a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Only try to chmod logfile if we have sudo. If we don't have
    
    sudo then we won't need to chmod.
    
    OpenBSD-Regress-ID: dbad2f5ece839658ef8af3376cb1fb1cabe2e324

commit 3a506598fddd3f18f9095af3fe917f24cbdd32e0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 9 months ago

    upstream: move PKCS#11 setup code to test-exec.sh so it can be reused
    
    elsewhere
    
    OpenBSD-Regress-ID: 1d29e6be40f994419795d9e660a8d07f538f0acb

commit f82fa227a52661c37404a6d33bbabf14fed05db0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 9 months ago

    upstream: tidy and refactor PKCS#11 setup code
    
    Replace the use of a perl script to delete the controlling TTY with a
    SSH_ASKPASS script to directly load the PIN.
    
    Move PKCS#11 setup code to functions in anticipation of it being used
    elsewhere in additional tests.
    
    Reduce stdout spam
    
    OpenBSD-Regress-ID: 07705c31de30bab9601a95daf1ee6bef821dd262

commit 3cf698c6d4ffa9be1da55672a3519e2135a6366a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Add obsd74 test VM and retire obsd69 and obsd70.

commit 3e21d58a09894acb38dc69ed615d101131f473d0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Add OpenSSL 3.3.0 as a known dev version.

commit 917ba181c2cbdb250a443589ec732aa36fd51ffa
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Restore nopasswd sudo rule on Mac OS X.
    
    This seems to be missing from some (but not all) github runners, so
    restore it if it seems to be missing.

commit c5698abad6d4ec98ca20bcaaabaeacd5e1ec3f4f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Don't exit early when setting up on Mac OS X.
    
    We probably need some of the other bits in there (specifically, setting
    the perms on the home directory) so make it less of a special snowflake.

commit 1d6a878ceba60b9dc14037dddc8f036070c0065f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Only try to chown logfiles that exist to prevent spurious
    
    errors.
    
    OpenBSD-Regress-ID: f1b20a476734e885078c481f1324c9ea03af991e

commit e612376427a66f835e284f6b426d16d7c85301bc
Author: anton@openbsd.org <anton@openbsd.org>
Date:   1 year, 9 months ago

    upstream: make use of bsd.regress.mk in extra and interop targets; ok
    
    dtucker@
    
    OpenBSD-Regress-ID: 7ea21b5f6fc4506165093b2123d88d20ff13a4f0

commit ea0039173957d0edcd6469b9614dcedb44dcb4f9
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Skip conch interop tests when not enabled instead of fatal.
    
    OpenBSD-Regress-ID: b0abf81c24ac6c21f367233663228ba16fa96a46

commit d220b9ed5494252b26b95f05be118472bc3ab5c0
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Import regenerated moduli.
    
    OpenBSD-Commit-ID: 95f5dd6107e8902b87dc5b005ef2b53f1ff378b8

commit a611e4db4009447a0151f31a44e235ca32ed4429
Author: anton@openbsd.org <anton@openbsd.org>
Date:   1 year, 9 months ago

    upstream: ssh conch interop tests requires a controlling terminal;
    
    ok dtucker@
    
    OpenBSD-Regress-ID: cbf2701bc347c2f19d907f113779c666f1ecae4a

commit da951b5e08c167acb5d6e2eec6f146502f5d6ed8
Author: anton@openbsd.org <anton@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Use private key that is allowed by sshd defaults in conch
    
    interop tests.
    
    ok dtucker@
    
    OpenBSD-Regress-ID: 3b7f65c8f409c328bcd4b704f60cb3d31746f045

commit 1ca166dbb3c0ce632b98869cd955f69320aa6fe8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Install Dropbear for interop testing.

commit f993bb58351c5cb71e61aede63805a34a6d4daea
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Resync PuTTY and Conch path handling with upstream.
    
    Now that configure finds these for us we can remove these -portable
    specific changes.

commit ff85becd5f5f06a76efa45d30fb204a3c5e5215c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 9 months ago

    Have configure find PuTTY and Conch binaries.
    
    This will let us remove some -portable specific changes from
    test-exec.sh.

commit c54a50359b9cecddbf3ffcdc26efcb3cd6071ec1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Allow overriding the locations of the Dropbear binaries
    
    similar to what we do for the PuTTY ones.
    
    OpenBSD-Regress-ID: 7de0e00518fb0c8fdc5f243b7f82f523c936049c

commit fbaa707d455a61d0aef8ae65e02a25bac5351e5c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 9 months ago

    upstream: Add interop test with Dropbear.
    
    Right now this is only dbclient not the Dropbear server since it won't
    currently run as a ProxyCommand.
    
    OpenBSD-Regress-ID: 8cb898c414fcdb252ca6328896b0687acdaee496

commit c2003d0dbdcdb61ca336c3f90c5c2b4a09c8e73f
Author: Fabio Pedretti <pedretti.fabio@gmail.com>
Date:   1 year, 10 months ago

    Update openssl-devel dependency in RPM spec.
    
    Since openssh 9.4p1, openssl >= 1.1.1 is required, so
    build with --without-openssl elsewhere.
    According to https://repology.org/project/openssl/versions
    openssl 1.1.1 is available on fedora >= 29 and rhel >= 8.
    Successfully build tested, installed and run on rhel 6

commit 064e09cd632721c7e6889904e07767443ee23821
Author: Fabio Pedretti <pedretti.fabio@gmail.com>
Date:   1 year, 10 months ago

    Remove reference of dropped sshd.pam.old file
    
    The file was removed in openssh 8.8

commit 62db354b696b378a164b6e478cb6b0171dcb0c3d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   1 year, 10 months ago

    upstream: Move declaration of "len" into the block where it's used.
    
    This lets us compile Portable with -Werror with when OpenSSL doesn't have
    Ed25519 support.
    
    OpenBSD-Commit-ID: e02e4b4af351946562a7caee905da60eff16ba29

commit 6eee8c972d5901d10e80634a006b4e346b2c8c19
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 10 months ago

    run t-extra regress tests
    
    This exposes the t-extra regress tests (including agent-pkcs11.sh) as
    a new extra-tests target in the top level Makefile and runs them by
    default. ok dtucker@

commit 637624dbbac13f2bc3c8ec5b15c9d627d07f2935
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 10 months ago

    Don't use make -j2.
    
    While we have 2 cores available on github runners, not using it means
    that the most recent log message is the actual failure, rather than
    having to search back through the log for it.

commit 971e0cfcfd52ef1d73cf5244074c306a60006e89
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 10 months ago

    Correct arg order for ED255519 AC_LINK_IFELSE test.

commit c616e64688b2a0c1b4daad69b056099be998d121
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: typos and extra debug trace calls
    
    OpenBSD-Regress-ID: 98a2a6b9333743274359e3c0f0e65cf919a591d1

commit c49a3fbf10162128c67c59562348de2041188974
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: ensure logs are owned by correct user; feedback/ok
    
    dtucker@
    
    OpenBSD-Regress-ID: c3297af8f07717f1d400a5d34529962f1a76b5a3

commit 5ec0ed79ac074c3437b25f6cba8b8cf21c8d4587
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: 64 %-expansion keys ought to be enough for anybody; ok
    
    dtucker (we just hit the previous limit in some cases)
    
    OpenBSD-Commit-ID: 84070f8001ec22ff5d669f836b62f206e08c5787

commit f59a94e22e46db2c23eddeb871aa9e8d93ab0016
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: don't dereference NULL pointer when hashing jumphost
    
    OpenBSD-Commit-ID: 251c0263e1759a921341c7efe7f1d4c73e1c70f4

commit 281c79168edcc303abfd5bca983616eaa24c5f32
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 10 months ago

    Solaris: prefer PRIV_XPOLICY to PRIV_LIMIT
    
    If the system support PRIV_XPOLICY and one is set, then don't
    modify PRIV_LIMIT. bz2833, patch from Ron Jordan, ok dtucker@

commit 98fc34df837f3a3b79d2a111b96fe8a39adcab55
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: add %j token that expands to the configured ProxyJump
    
    hostname (or the empty string if this option is not being used). bz3610, ok
    dtucker
    
    OpenBSD-Commit-ID: ce9983f7efe6a178db90dc5c1698df025df5e339

commit 7f3180be8a85320b5d3221714b40c16e66881249
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: release GSS OIDs only at end of authentication; bz2982,
    
    ok dtucker@
    
    OpenBSD-Commit-ID: 0daa41e0525ae63cae4483519ecaa37ac485d94c

commit a612b93de5d86e955bfb6e24278f621118eea500
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: mask SIGINT/TERM/QUIT/HUP before checking quit_pending
    
    and use ppoll() to unmask them in the mainloop. Avoids race condition between
    signaling ssh to exit and polling. bz3531; ok dtucker
    
    OpenBSD-Commit-ID: 5c14e1aabcddedb95cdf972283d9c0d5083229e7

commit 531b27a006116fe7aff325510aaa576f24844452
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: sync usage() with ssh.1; spotted by kn@
    
    OpenBSD-Commit-ID: 191a85639477dcb5fa1616d270d93b7c8d5c1dfd

commit 64f7ca881b19be754425dca60d1590d306c9d1d0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: ssh -Q does not make sense with other command-line options,
    
    so give it its own line in the manpage
    
    OpenBSD-Commit-ID: 00a747f0655c12122bbb77c2796be0013c105361

commit a752a6c0e1001f93696d7025f0c867f0376e2ecf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: add ChannelTimeout support to the client, mirroring the
    
    same option in the server. ok markus@
    
    OpenBSD-Commit-ID: 55630b26f390ac063980cfe7ad8c54b03284ef02

commit 76e91e7238cdc5662bc818e2a48d466283840d23
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: add support for reading ED25519 private keys in PEM PKCS8
    
    format; ok markus@ tb@
    
    OpenBSD-Commit-ID: 01b85c91757e6b057e9b23b8a23f96415c3c7174

commit fc77c8e352c0f44125425c05265e3a00c183d78a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: mention "none" is a valid argument to IdentityFile; bz3080
    
    OpenBSD-Commit-ID: 1b4fb590ef731099349a7d468b77f02b240ac926

commit c97520d23d1fe53d30725a2af25d2dddd6f2faff
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: in olde rcp/scp protocol mode, when rejecting a path from the
    
    server as not matching the glob that the client sent, log (at debug level)
    the received pathname as well as the list of possible expected paths expanded
    from the glob. bz2966
    
    OpenBSD-Commit-ID: 0bd8db8a595334ca86bca8f36e23fc0395315765

commit 208c2b719879805983398160791d6a1ef9c2c3fc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: s/%.100s/%s/ in SSH- banner construction as there's no
    
    reason to limit its size: the version string bring included is a compile time
    constant going into an allocated banner string.
    
    OpenBSD-Commit-ID: 0ef73304b9bf3e534c60900cd84ab699f859ebcd

commit 0354790826b97c41bbd171a965574e159b58d83e
Author: tb@openbsd.org <tb@openbsd.org>
Date:   1 year, 10 months ago

    upstream: Garbage collect cipher_get_keyiv_len()
    
    This is a compat20 leftover, unused since 2017.
    
    ok djm
    
    OpenBSD-Commit-ID: 91fa5497c9dc6883064624ac27813a567883fdce

commit 8d29ee4115001a02641386ae394992c65ed279e0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: Reserve a range of "local extension" message numbers that
    
    OpenSSH promises not to use (comment change only)
    
    OpenBSD-Commit-ID: e61795b453d4892d2c99ce1039112c4a00250e03

commit 90b0d73d63a706e85f6431f05a62d2ce1b476472
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: typo in error message
    
    OpenBSD-Regress-ID: 6a8edf0dc39941298e3780b147b10c0a600b4fee

commit e84517f51532ec913d8fb01a8aab7307134774bb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: Perform the softhsm2 setup as discrete steps rather than
    
    as a long shell pipeline. Makes it easier to figure out what has happened
    when it breaks.
    
    OpenBSD-Regress-ID: b3f1292115fed65765d0a95414df16e27772d81c

commit cb54becff4d776238e0e9072943ba0872260535d
Author: claudio@openbsd.org <claudio@openbsd.org>
Date:   1 year, 10 months ago

    upstream: REGRESS_FAIL_EARLY defaults to yes now. So no need to
    
    overload the value here anymore. OK tb@ bluhm@
    
    OpenBSD-Regress-ID: f063330f1bebbcd373100afccebc91a965b14496

commit f01f5137ceba65baf34ceac5a298c12ac01b1fef
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 10 months ago

    upstream: spelling fix;
    
    OpenBSD-Commit-ID: 493f95121567e5ab0d9dd1150f873b5535ca0195

commit 80a2f64b8c1d27383cc83d182b73920d1e6a91f1
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 10 months ago

    crank version numbers

commit f65f187b105d9b5c12fd750a211397d08c17c6d4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: openssh-9.5
    
    OpenBSD-Commit-ID: 5e0af680480bd3b6f5560cf840ad032d48fd6b16

commit ffe27e54a4bb18d5d3bbd3f4cc93a41b8d94dfd2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: add some cautionary text about % token expansion and
    
    shell metacharacters; based on report from vinci AT protonmail.ch
    
    OpenBSD-Commit-ID: aa1450a54fcee2f153ef70368d90edb1e7019113

commit 60ec3d54fd1ebfe2dda75893fa1e870b8dffbb0d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 10 months ago

    upstream: fix link to agent draft; spotted by Jann Horn
    
    OpenBSD-Commit-ID: ff5bda21a83ec013db683e282256a85201d2dc4b

commit 12e2d4b13f6f63ce2de13cbfcc9e4d0d4b4ab231
Author: Damien Miller <djm@mindrot.org>
Date:   1 year, 10 months ago

    use portable provider allowlist path in manpage
    
    spotted by Jann Horn

commit 6c2c6ffde75df95fd838039850d3dd3d84956d87
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   1 year, 10 months ago

    upstream: typo; from Jim Spath
    
    OpenBSD-Commit-ID: 2f5fba917b5d4fcf93d9e0b0756c7f63189e228e

commit b6b49130a0089b297245ee39e769231d7c763014
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: rename remote_glob() -> sftp_glob() to match other API
    
    OpenBSD-Commit-ID: d9dfb3708d824ec02970a84d96cf5937e0887229

commit 21b79af6c8d2357c822c84cef3fbdb8001ed263b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: typo in comment
    
    OpenBSD-Commit-ID: 69285e0ce962a7c6b0ab5f17a293c60a0a360a18

commit 41232d25532b4d2ef6c5db62efc0cf50a79d26ca
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 11 months ago

    Use zero-call-used-regs=used with Apple compilers.
    
    Apple's versions of clang have version numbers that do not match the
    corresponding upstream clang versions.  Unfortunately, they do still
    have the clang-15 zero-call-used-regs=all bug, so for now use the value
    that doesn't result in segfaults.  We could allowlist future versions
    that are known to work.  bz#3584 (and probably also our github CI
    failures).

commit 90ccc5918ea505bf156c31148b6b59a1bf5d6dc6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: randomise keystroke obfuscation intervals and average
    
    interval rate. ok dtucker@
    
    OpenBSD-Commit-ID: 05f61d051ab418fcfc4857ff306e420037502382

commit bd1b9e52f5fa94d87223c90905c5fdc1a7c32aa6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: fix sizeof(*ptr) instead sizeof(ptr) in realloc (pointer here
    
    is char**, so harmless); spotted in CID 416964
    
    OpenBSD-Commit-ID: c61caa4a5a667ee20bb1042098861e6c72c69002

commit c4f966482983e18601eec70a1563115de836616f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: regress test recursive remote-remote directories copies where
    
    the directory contains a symlink to another directory.
    
    also remove errant `set -x` that snuck in at some point
    
    OpenBSD-Regress-ID: 1c94a48bdbd633ef2285954ee257725cd7bc456f

commit 5e1dfe5014ebc194641678303e22ab3bba15f4e5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: fix recursive remote-remote copies of directories that
    
    contain symlinks to other directories (similar to bz3611)
    
    OpenBSD-Commit-ID: 7e19d2ae09b4f941bf8eecc3955c9120171da37f

commit 7c0ce2bf98b303b6ad91493ee3247d96c18ba1f6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: regress test for recursive copies of directories containing
    
    symlinks to other directories. bz3611, ok dtucker@
    
    OpenBSD-Regress-ID: eaa4c29cc5cddff4e72a16bcce14aeb1ecfc94b9

commit 2de990142a83bf60ef694378b8598706bc654b08
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: the sftp code was one of my first contributions to
    
    OpenSSH and it shows - the function names are terrible.
    
    Rename do_blah() to sftp_blah() to make them less so.
    
    Completely mechanical except for sftp_stat() and sftp_lstat() which
    change from returning a pointer to a static variable (error-prone) to
    taking a pointer to a caller-provided receiver.
    
    OpenBSD-Commit-ID: eb54d6a72d0bbba4d623e2175cf5cc4c75dc2ba4

commit 249d8bd0472b53e3a2a0e138b4c030a31e83346a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: fix scp in SFTP mode recursive upload and download of
    
    directories that contain symlinks to other directories. In scp mode, the
    links would be followed, but in SFTP mode they were not. bz3611, ok dtucker@
    
    OpenBSD-Commit-ID: 9760fda668eaa94a992250d7670dfbc62a45197c

commit 0e1f4401c466fa4fdaea81b6dadc8dd1fc4cf0af
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: regression test for override of subsystem in match blocks
    
    OpenBSD-Regress-ID: 5f8135da3bfda71067084c048d717b0e8793e87c

commit 8a1450c62035e834d8a79a5d0d1c904236f9dcfe
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: allow override of Sybsystem directives in sshd Match
    
    blocks
    
    OpenBSD-Commit-ID: 3911d18a826a2d2fe7e4519075cf3e57af439722

commit 6e52826e2a74d077147a82ead8d4fbd5b54f4e3b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: allocate the subsystems array as necessary and remove the
    
    fixed limit of subsystems. Saves a few kb of memory in the server and makes
    it more like the other options.
    
    OpenBSD-Commit-ID: e683dfca6bdcbc3cc339bb6c6517c0c4736a547f

commit e19069c9fac4c111d6496b19c7f7db43b4f07b4f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: preserve quoting of Subsystem commands and arguments.
    
    This may change behaviour of exotic configurations, but the most common
    subsystem configuration (sftp-server) is unlikely to be affected.
    
    OpenBSD-Commit-ID: 8ffa296aeca981de5b0945242ce75aa6dee479bf

commit 52dfe3c72d98503d8b7c6f64fc7e19d685636c0b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: downgrade duplicate Subsystem directives from being a
    
    fatal error to being a debug message to match behaviour with just about all
    other directives.
    
    OpenBSD-Commit-ID: fc90ed2cc0c18d4eb8e33d2c5e98d25f282588ce

commit 1ee0a16e07b6f0847ff463d7b5221c4bf1876e25
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: handle cr+lf (instead of just cr) in sshsig signature
    
    files
    
    OpenBSD-Commit-ID: 647460a212b916540016d066568816507375fd7f

commit e1c284d60a928bcdd60bc575c6f9604663502770
Author: job@openbsd.org <job@openbsd.org>
Date:   1 year, 11 months ago

    upstream: Generate Ed25519 keys when invoked without arguments
    
    Ed25519 public keys are very convenient due to their small size.
    OpenSSH has supported Ed25519 since version 6.5 (January 2014).
    
    OK djm@ markus@ sthen@ deraadt@
    
    OpenBSD-Commit-ID: f498beaad19c8cdcc357381a60df4a9c69858b3f

commit 694150ad92765574ff82a18f4e86322bd3231e68
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: trigger keystroke timing obfucation only if the channels
    
    layer enqueud some data in the last poll() cycle; this avoids triggering the
    obfuscatior for non-channels data like ClientAlive probes and also fixes a
    related problem were the obfucations would be triggered on fully quiescent
    connections.
    
    Based on / tested by naddy@
    
    OpenBSD-Commit-ID: d98f32dc62d7663ff4660e4556e184032a0db123

commit b5fd97896b59a3a46245cf438cc8b16c795d9f74
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: avoid bogus "obfuscate_keystroke_timing: stopping ..."
    
    debug messages when keystroke timing obfuscation was never started; spotted
    by naddy@
    
    OpenBSD-Commit-ID: 5c270d35f7d2974db5c1646e9c64188f9393be31

commit ccf7d913db34e49b7a6db1b8331bd402004c840d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: make channel_output_poll() return a flag indicating
    
    whether channel data was enqueued. Will be used to improve keystroke timing
    obfuscation. Problem spotted by / tested by naddy@
    
    OpenBSD-Commit-ID: f9776c7b0065ba7c3bbe50431fd3b629f44314d0

commit 43254b326ac6e2131dbd750f9464dc62c14bd5a7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: set interactive mode for ControlPersist sessions if they
    
    originally requested a tty; enables keystroke timing obfuscation for most
    ControlPersist sessions. Spotted by naddy@
    
    OpenBSD-Commit-ID: 72783a26254202e2f3f41a2818a19956fe49a772

commit ff3eda68ceb2e2bb8f48e3faceb96076c3e85c20
Author: Darren Tucker <dtucker@dtucker.net>
Date:   1 year, 11 months ago

    Set LLONG_MAX for C89 test.
    
    If we don't have LLONG_MAX, configure will figure out that it can get it
    by setting -std=gnu99, at which point we won't be testing C89 any more.
    To avoid this, feed it in via CFLAGS.

commit f98031773db361424d59e3301aa92aacf423d920
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: make PerSourceMaxStartups first-match-wins; ok dtucker@
    
    OpenBSD-Commit-ID: dac0c24cb709e3c595b8b4f422a0355dc5a3b4e7

commit cfa66857db90cd908de131e0041a50ffc17c7df8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: descriptive text shouldn't be under .Cm
    
    OpenBSD-Commit-ID: b1afaeb456a52bc8a58f4f9f8b2f9fa8f6bf651b

commit 01dbf3d46651b7d6ddf5e45d233839bbfffaeaec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: limit artificial login delay to a reasonable maximum (5s)
    
    and don't delay at all for the "none" authentication mechanism. Patch by
    Dmitry Belyavskiy in bz3602 with polish/ok dtucker@
    
    OpenBSD-Commit-ID: 85b364676dd84cf1de0e98fc2fbdcb1a844ce515

commit 528da5b9d7c5da01ed7a73ff21c722e1b5326006
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   1 year, 11 months ago

    upstream: add spacing for punctuation when macro args;
    
    OpenBSD-Commit-ID: e80343c16ce0420b2aec98701527cf90371bd0db

commit 3867361ca691d0956ef7d5fb8181cf554a91d84a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: explicit long long type in timing calculations (doesn't
    
    matter, since the range is pre-clamped)
    
    OpenBSD-Commit-ID: f786ed902d04a5b8ecc581d068fea1a79aa772de

commit 7603ba71264e7fa938325c37eca993e2fa61272f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: Add keystroke timing obfuscation to the client.
    
    This attempts to hide inter-keystroke timings by sending interactive
    traffic at fixed intervals (default: every 20ms) when there is only a
    small amount of data being sent. It also sends fake "chaff" keystrokes
    for a random interval after the last real keystroke. These are
    controlled by a new ssh_config ObscureKeystrokeTiming keyword/
    
    feedback/ok markus@
    
    OpenBSD-Commit-ID: 02231ddd4f442212820976068c34a36e3c1b15be

commit dce6d80d2ed3cad2c516082682d5f6ca877ef714
Author: djm@openbsd.org <djm@openbsd.org>
Date:   1 year, 11 months ago

    upstream: Introduce a transport-level ping facility
    
    This adds a pair of SSH transport protocol messages SSH2_MSG_PING/PONG
    to implement a ping capability. These messages use numbers in the "local
    extensions" number space and are advertised using a "ping@openssh.com"
    ext-info message with a string version number of "0".
    
    ok markus@
    
    OpenBSD-Commit-ID: b6b3c4cb2084c62f85a8dc67cf74954015eb547f

commit d2d247938b38b928f8a6e1a47a330c5584d3a358
Author: tobhe@openbsd.org <tobhe@openbsd.org>
Date:   1 year, 11 months ago

